2002-12-31  Mark Kettenis  <kettenis@gnu.org>

	* gdb_dirent.h: Cleanup and update code to match the example in
	the Autoconf manual.
	* configure.in: Call AC_HEADER_DIRENT.  Remove dirent.h,
	sys/ndir.h, sys/dir.h and ndir.h from call to AC_CHECK_HEADERS.
	* configure: Regenerated.

2002-12-30  Adam Fedor  <fedor@gnu.org>

	* objc-exp.y (parse_number): Cast sscanf arguments to proper type.
	(yylex): Initialize c to avoid uninitialized warning.

2002-12-29  Kazu Hirata  <kazu@cs.umass.edu>

	* doc/fdl.texi: Revert the last change.

2002-12-29  Mark Kettenis  <kettenis@gnu.org>

	* tracepoint.c (ISATTY): Removed.

2002-12-26  J. Brobecker  <brobecker@gnat.com>

	Continuing work to convert the hppa targets to multiarch partil.

	* hppa-tdep.c: Add some missing forward declarations.
	(frameless_function_invocation): Prefix the function name
	by "hppa_" to avoid polluting the namespace.  Update all calls
	to use the new function name.
	(saved_pc_after_call): Ditto.
	(init_extra_frame_info): Ditto.
	(frame_chain): Ditto.
	(push_dummy_frame): Ditto.
	(target_read_pc): Ditto.
	(target_write_pc): Ditto.
	(in_solib_call_trampoline): Ditto.
	(in_solib_return_trampoline): Ditto.
	(skip_trampoline_code): Ditto.
	(hppa_read_fp): New function, renamed from target_read_fp.
	(hppa_target_read_fp): New function, using hppa_read_fp.
	This function conforms to the function profile for the
	READ_FP gdbarch method.
	(hppa_extract_struct_value_address): New function, extracted
	from the definition of the DEPRECATED_EXTRACT_STRUCT_VALUE_ADDRESS
	macro.
	(hppa_frame_num_args): New function.
	(hppa_gdbarch_init): Setup the gdbarch vector for the hppa target.

	* config/pa/tm-hppa.h: Wrap around all gdbarch-eligible macros
	inside "#if !GDB_MULTI_ARCH ... #endif" conditional, in preparation
	for the switch to multiarch partial.
	Update some of the macros definitions to match some changes
	described above in the name of the function they are calling.
	(PUSH_DUMMY_FRAME): Add a FIXME explaining why this macro will
	not be straightforward to convert. Do now wrap it inside
	"#if !... #endif" to remember that this macro has still not
	been taken care of.
	(FIX_CALL_DUMMY): Likewise.

2002-12-26  J. Brobecker  <brobecker@gnat.com>

	Continuing work to convert the hppa targets to multiarch partial.

	* hppa-tdep.c (hppa_register_raw_size): New function replacing
	the body of macro REGISTER_RAW_SIZE.
	* hppa-hpux-tdep.c: Add new functions replacing macro bodies from
	config/pa/tm-hppah.h. These functions will be used to initialize
	the gdbarch structure.
	(hppa_hpux_pc_in_sigtramp): New function.
	(hppa_hpux_frame_saved_pc_in_sigtramp): New function.
	(hppa_hpux_frame_base_before_sigtramp): New function.
	(hppa_hpux_frame_find_saved_regs_in_sigtramp): New function.
	Add gdbcore.h #include.
	* config/pa/tm-hppa.h (REGISTER_RAW_SIZE): Change the definition
	of this gdbarch-eligible macro to a call to the new associated
	function.
	* config/pa/tm-hppah.h (PC_IN_SIGTRAMP): Likewise.
	(FRAME_SAVED_PC_IN_SIGTRAMP): Change the definition of this macro
	into a call to the new associated function.
	(FRAME_BASE_BEFORE_SIGTRAMP): Likewise.
	(FRAME_FIND_SAVED_REGS_IN_SIGTRAMP): Likewise.
	* Makefile.in (hppa-hpux-tdep.o): Add dependency on gdbcore.h.

2002-12-24  David Carlton  <carlton@math.stanford.edu>

	* config/sparc/tm-sparc.h: Delete duplicate definition of
	DEPRECATED_PC_IN_CALL_DUMMY.

2002-12-24  Kevin Buettner  <kevinb@redhat.com>

	* Makefile.in (mips-linux-tdep.o): Add $(mips_tdep_h) and
	$(gdb_assert_h).
	* configure.tgt: Recognize mips64*-*-linux*.
	* mips-linux-tdep.c (mips-tdep.h, gdb_assert.h): Include.
	(supply_32_bit_reg): New function.
	(supply_gregset): Call supply_32bit_reg() instead of supply_register().
	(fill_gregset): Use regcache_collect() instead of
	deprecated_registers[].
	(register_addr): Change name to mips_linux_register_addr().
	(MIPS64_ELF_NGREG, MIPS64_ELF_NFPREG, MIPS64_FPR_BASE, MIPS64_PC)
	(MIPS64_CAUSE, MIPS64_BADVADDR, MIPS64_MMHI, MIPS64_MMLO)
	(MIPS64_FPC_CSR, MIPS64_FPC_EIR, MIPS64_EF_REG0, MIPS64_EF_REG31)
	(MIPS64_EF_LO, MIPS64_EF_HI, MIPS64_EF_CP0_EPC, MIPS64_EF_CP0_BADVADDR)
	(MIPS64_EF_CP0_STATUS, MIPS64_EF_CP0_CAUSE, MIPS64_EF_SIZE)
	(MIPS64_LINUX_JB_PC): New defines.
	(mips64_elf_greg_t, mips64_elf_gregset_t, mips64_elf_fpreg_t)
	(mips64_elf_fpregset_t): New typedefs.
	(mips64_linux_get_longhmp_target, mips64_supply_gregset)
	(mips64_fill_gregset, mips64_supply_fpregset, mips64_fill_fpregset)
	(mips64_linux_register_addr, set_mips_linux_register_addr)
	(register_addr, mips64_linux_svr4_fetch_link_map_offsets):
	(init_register_addr_data)
	New functions.
	(fetch_core_registers): Add support for core file formats with 64-bit
	registers.
	(mips_linux_init_abi): Distinguish o32, n32, and n64 ABIs.
	(register_addr_data): New static global variable.
	(_initialize_mips_linux_tdep): Initialize register_addr_data.  Invoke
	gdbarch_register_osabi() for each MIPS machine.
	* config/mips/linux64.mt: New file.
	* config/mips/tm-linux64.h: New file.

2002-12-23  Adam Fedor  <fedor@gnu.org>

	* maint.c (maintenance_demangle): Add switch to demangle
	ObjC language symbols as well.

2002-12-23  Adam Fedor  <fedor@gnu.org>

	* objc-lang.c (lookup_objc_class, lookup_child_selector): Remove 
	last argument from complaint function call.

2002-12-23  Kevin Buettner  <kevinb@redhat.com>

	* exec.c (print_section_info): Add FIXME comments regarding format
	string choices.

2002-12-23  Daniel Jacobowitz  <drow@mvista.com>

	* config/pa/nm-hppab.h: Delete duplicate CANNOT_STORE_REGISTER decl.
	* config/pa/nm-hppao.h: Delete duplicate CANNOT_STORE_REGISTER decl.

2002-12-23  Rodney Brown  <rbrown64@csc.com.au>

	* config/pa/nm-hppah.h: Delete duplicate CANNOT_STORE_REGISTER decl.

2002-12-23  David Carlton  <carlton@math.stanford.edu>

	* symtab.c (lookup_symbol_aux): Delete 'force_return' variable.
	(lookup_symbol_aux_minsyms): Delete 'force_return' argument.
	(search_symbols): Call lookup_symbol_aux_minsyms to find debugging
	information associated to a minsym, not lookup_symbol.

2002-12-21  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.h (x86_64_init_abi): New prototype.
	* x86-64-tdep.c (i386_fp_regnum_p): Remove function.
	(x86_64_init_abi): Make non-static.  Set number of pseudo
	registers to 0.
	(x86_64_gdbarch_init): Remove function.
	(_initialize_x86_64_tdep): Renove register_gdbarch_init call.
	Remove code dealing with dissambly.
	* x86-64-linux-tdep.c (x86_64_linux_init_abi): New function.
	(_initialize_x86_64_linux_tdep): New function.
	* config/i386/x86-64linux.mt (TDEPFILES): Add i386-tdep.o and
	i386-tdep.o.

2002-12-14  Mark Kettenis  <kettenis@gnu.org>

	* osabi.c: Include "gdb_assert.h" and "gdb_string.h".
	(struct gdb_osabi_handler): Remove member `arch'.  Add member
	`arch_info'.
	(gdbarch_register_osabi): Add new argument `machine'.  Use ot to
	construct a `struct bfd_arch_info' and store it in the `struct
	gdb_osabi_handler' that is created.
	(gdbarch_init_osabi): Check for compatibility based on machine
	type and architecture.
	* osabi.h (gdbarch_register_osabi): Adjust prototype and update
	comment.
	* alpha-linux-tdep.c (_initialize_alpha_linux_tdep): Add 0 as
	second argument in call to gdbarch_register_osabi.
	* alpha-osf1-tdep.c (_initialize_alpha_osf1_tdep): Likewise.
	* alphafbsd-tdep.c (_initialize_alphafbsd_tdep): Likewise.
	* alphanbsd-tdep.c (_initialize_alphanbsd_tdep): Likewise.
	* arm-linux-tdep.c (_initialize_arm_linux_tdep): Likewise.
	* arm-tdep.c (_initialize_arm_tdep): Likewise.
	* armnbsd-tdep.c (_initialize_armnbsd_tdep): Likewise.
	* hppa-hpux-tdep.c (_initialize_hppa_hpux_tdep): Likewise.
	* i386-interix-tdep.c (_initialize_i386_interix_tdep): Likewise.
	* i386-linux-tdep.c (_initialize_i386_linux_tdep): Likewise.
	* i386-sol2-tdep.c (_initialize_i386_sol2_tdep): Likewise.
	* i386-tdep.c (_initialize_i386_tdep): Likewise.
	* i386bsd-tdep.c (_initialize_i386bsd_tdep): Likewise.
	* i386gnu-tdep.c (_initialize_i386gnu_tdep): Likewise.
	* i386ly-tdep.c (_initialize_i386lynx_tdep): Renamed from
	_initialize_i386bsd_tdep and updated likewise.
	* i386nbsd-tdep.c (_initialize_i386nbsd_tdep): Likewise.
	* i386obsd-tdep.c (_initialize_i386obsd_tdep): Likewise.
	* mips-irix-tdep.c (_initialize_mips_irix_tdep): Likewise.
	* mips-linux-tdep.c (_initialize_mips_linux_tdep): Likewise.
	* mipsnbsd-tdep.c (_initialize_mipsnbsd__tdep): Likewise.
	* ns32knbsd-tdep.c (_initialize_ns32kmnsd_tdep): Likewise.
	* ppc-linux-tdep.c (_initialize_ppc_linux_tdep): Likewise.
	* ppcnbsd-tdep.c (_initialize_ppcnbsd_tdep): Likewise.
	* shnbsd-tdep.c (_initialize_shnbsd_tdep): Likewise.
	* sparcnbsd-tdep.c (_initialize_sparcnbsd_tdep): Likewise.

2002-12-20  Kevin Buettner  <kevinb@redhat.com>

	* solib-svr4.c (elf_locate_base): Fix sizeof() related bug.  Add
	DT_MIPS_RLD_MAP case for 64-bit targets.

2002-12-20  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (heuristic_proc_desc): Clear memory associated with
	``temp_saved_regs'', not the pointer or other storage contiguous
	to this pointer.

2002-12-20  Kevin Buettner  <kevinb@redhat.com>

	* Makefile.in (mips-linux-tdep.o): Add $(osabi_h) and $(gdb_string_h).
	* config/mips/tm-linux.h (mips_linux_svr4_fetch_link_map_offsets)
	(mips_linux_get_longjmp_target): Delete declarations.
	(SVR4_FETCH_LINK_MAP_OFFSETS, GET_LONGJMP_TARGET)
	(MIPS_LINUX_JB_ELEMENT_SIZE, MIPS_LINUX_JB_PC): Delete definitions.
	* mips-linux-tdep.c (osabi.h, gdb_string.h): Include.
	(MIPS_LINUX_JB_ELEMENT_SIZE, MIPS_LINUX_JB_PC): Define.
	(mips_linux_get_longjmp_target)
	(mips_linux_svr4_fetch_link_map_offsets): Make static.
	(mips_linux_init_abi): New function.
	(_initialize_mips_linux_tdep): Register mips_linux_init_abi().

2002-12-19  Keith Seitz  <keiths@redhat.com>

	patch committed by Elena Zannoni  <ezannoni@redhat.com>
	* thread.c (do_captured_list_thread_ids): Call prune_threads and
	target_find_new_threads. Fix for PR mi/669.

2002-12-19  David Carlton  <carlton@math.stanford.edu>

	* linespec.c (decode_line_1): Move code into decode_all_digits.
	(decode_all_digits): New function.

2002-12-19  Kevin Buettner  <kevinb@redhat.com>

	* exec.c (print_section_info): Select a format string to use with
	local_hex_string_custom() based upon the value of TARGET_ADDR_BIT.

2002-12-18  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (deprecated_update_current_frame_pc_hack): Replace 
	deprecated_update_current_frame_pc_hack.
	(deprecated_update_frame_base_hack): New function.
	* frame.h (deprecated_update_frame_pc_hack): Replace
	(deprecated_update_frame_base_hack): Declare.
	* infrun.c (normal_stop): Update.

2002-12-18  Andrew Cagney  <ac131313@redhat.com>

	* rs6000-tdep.c (rs6000_init_extra_frame_info): Use
	frame_extra_info_zalloc.
	(rs6000_frame_args_address): Use get_frame_extra_info.
	(frame_get_saved_regs): Use get_frame_saved_regs.
	(frame_initial_stack_address): Use get_frame_saved_regs and
	get_frame_extra_info.
	(frame_initial_stack_address): Use get_frame_extra_info.

2002-12-17  Kevin Buettner  <kevinb@redhat.com>

	* dve3900-rom.c (r3900_regnames): Don't use NUM_REGS to determine
	array size.
	(fetch_bitmapped_register, store_bitmapped_register): Add bounds
	checks for r3900_regnames[].

2002-12-17  Richard Earnshaw  <rearnsha@arm.com>

	* armnbsd-tdep.c (ARM_NBSD_JB_PC): Renamed from JB_PC.
	All uses changed
	(ARM_NBSD_JB_ELELMENT_SIZE): Similarly.

2002-12-17  David Carlton  <carlton@math.stanford.edu>

	* symtab.c (lookup_partial_symbol): Don't search past the end of
	the partial symbols.

2002-12-17  Andrew Cagney  <ac131313@redhat.com>

	* stack.c (frame_info): Use get_frame_saved_regs.
	* breakpoint.c (until_break_command): Use get_frame_pc.

2002-12-16  Kevin Buettner  <kevinb@redhat.com>

	* buildsym.c (block_end_complaint, anon_block_end_complaint)
	(innerblock_complaint, innerblock_anon_complaint)
	(blockvector_complaint): Delete deprecated complaint structs.
	(finish_block, make_blockvector, end_symtab): Replace calls
	to complain() with calls to complaint().
	* coffread.c (ef_complaint, ef_stack_complaint, eb_stack_complaint)
	(bf_no_aux_complaint, ef_no_aux_complaint, lineno_complaint)
	(unexpected_type_complaint, bad_sclass_complaint)
	(misordered_blocks_complaint, tagndx_bad_complaint, eb_complaint):
	Delete deprecated complaint structs.
	(coff_symtab_read, enter_linenos, decode_type, decode_base_type):
	Replace calls to complain() with calls to complaint().
	* dbxread.c (lbrac_complaint, string_table_offset_complaint)
	(unknown_symtype_complaint, unknown_symchar_complaint)
	(lbrac_rbrac_complaint, lbrac_unmatched_complaint)
	(lbrac_mismatch_complaint, repeated_header_complaint)
	(unclaimed_bincl_complaint, discarding_local_symbols_complaint):
	Delete deprecated complaint structs.
	(unknown_symtype_complaint, lbrac_mismatch_complaint)
	(repeated_header_complaint)
	(function_outside_compiliation_unit_complaint): New functions.
	(add_old_header_file, find_corresponding_bincl_psymtab)
	(set_namestring, find_stab_function_addr, read_dbx_symtab)
	(process_one_symbol): Replace calls to complain() with, possibly
	indirect, calls to complaint().
	* dwarfread.c (no_bfd_get_N, malformed_die, bad_die_ref)
	(unknown_attribute_form, unknown_attribute_length)
	(unexpected_fund_type, unknown_type_modifier, volatile_ignored)
	(const_ignored, botched_modified_type, op_deref2, op_deref4)
	(basereg_not_handled, dup_user_type_allocation)
	(dup_user_type_definition, missing_tag, bad_array_element_type)
	(subscript_data_items, unhandled_array_subscript_format)
	(unknown_array_subscript_format, not_row_major)
	(missing_at_name): Delete deprecated complaint structs.
	(bad_die_ref_complaint, unknown_attribute_form_complaint)
	(dup_user_type_definition_complaint)
	(bad_array_element_type_complaint): New functions.
	(lookup_utype, alloc_utype, struct_type, decode_array_element_type)
	(decode_subscript_data_item, dwarf_read_array_type)
	(read_tag_string_type, read_subroutine_type, read_func_scope)
	(locval, scan_partial_symbols, decode_modified_type)
	(decode_func_type, basicdieinfo, completeddieinfo, target_to_host)
	(attribute_size): Replace calls to complain() with, possibly
	indirect, calls to complaint().
	* elfread.c (section_info_complaint, section_info_dup_complaint)
	(stab_info_mismatch_complaint, stab_info_questionable_complaint):
	Delete deprecated complaint structs.
	(elf_symtab_read, elfstab_offset_sections): Replace calls to
	complain() with calls to complaint().
	* gdbtypes.c (stub_noname_complaint): Delete deprecated complaint
	struct.
	(stub_noname_complaint): New function.
	(check_typedef, add_mangled_type): Replace calls to complain()
	with calls to complaint().
	* hpread.c (string_table_offset_complaint, lbrac_unmatched_complaint)
	(lbrac_mismatch_complaint, hpread_unhandled_end_common_complaint)
	(hpread_unhandled_type_complaint, hpread_struct_complaint)
	(hpread_array_complaint, hpread_type_lookup_complaint)
	(hpread_unexpected_end_complaint, hpread_tagdef_complaint)
	(hpread_unhandled_common_complaint)
	(hpread_unhandled_blockdata_complaint): Delete deprecated complaint
	struct definitions and declarations.
	(lbrac_unmatched_complaint, lbrac_mismatch_complaint): New functions.
	(SET_NAMESTRING, hpread_type_lookup, hpread_process_one_debug_symbol):
	Replace calls to complain() with, possibly indirect, calls to
	complaint().
	* macrotab.c (macro_include, check_for_redefinition, macro_undef):
	Likewise.
	* mdebugread.c (bad_file_number_complaint, index_complaint)
	(aux_index_complaint, block_index_complaint)
	(unknown_ext_complaint, unknown_sym_complaint)
	(unknown_st_complaint, block_overflow_complaint)
	(basic_type_complaint, unknown_type_qual_complaint)
	(array_index_type_complaint, bad_tag_guess_complaint)
	(block_member_complaint, stEnd_complaint)
	(unknown_mdebug_symtype_complaint, stab_unknown_complaint)
	(pdr_for_nonsymbol_complaint, pdr_static_symbol_complaint)
	(bad_setjmp_pdr_complaint, bad_fbitfield_complaint)
	(bad_continued_complaint, bad_rfd_entry_complaint)
	(unexpected_type_code_complaint, unable_to_cross_ref_complaint)
	(bad_indirect_xref_complaint, illegal_forward_tq0_complaint)
	(illegal_forward_bt_complaint, bad_linetable_guess_complaint)
	(bad_ext_ifd_complaint, bad_ext_iss_complaint): Delete deprecated
	complaint structs.
	(index_complaint, unknown_ext_complaint, basic_type_complaint)
	(bad_tag_guess_complaint, bad_rfd_entry_complaint)
	(unexpected_type_code_complaint)
	(function_outside_compilation_unit_complaint): New functions.
	(parse_symbol, parse_type, upgrade_type, parse_procedure)
	(parse_partial_symbols, psymtab_to_symtab_1, cross_ref, add_symbol):
	Replace calls to complain() with, possibly indirect calls to
	complaint().
	* objc-lang.c (noclass_lookup_complaint, nosel_lookup_complaint):
	Delete deprecated complaint structs.
	(lookup__objc_class, lookup_child_selector): Replace complain()
	with complaint().
	* remote-vx.c (cant_contact_target): Delete deprecated complaint
	struct.
	(vx_lookup_symbol): Replace complain() with complaint().
	* stabsread.c (invalid_cpp_abbrev_complaint)
	(invalid_cpp_type_complaint, member_fn_complaint)
	(const_vol_complaint, error_type_complaint)
	(invalid_member_complaint, range_type_base_complaint)
	(reg_value_complaint, vtbl_notfound_complaint)
	(unrecognized_cplus_name_complaint, rs6000_builtin_complaint)
	(unresolved_sym_chain_complaint, stabs_general_complaint)
	(lrs_general_complaint, multiply_defined_struct): Delete
	deprecated complaint structs.
	(invalid_cpp_abbrev_complaint, ref_value_complaint)
	(stabs_general_complaint, lrs_general_complaint)
	(msg_unknown_complaint): New functions.
	(dbx_lookup_type, read_cfront_baseclasses)
	(read_cfront_member_functions, resolve_symbol_reference)
	(define_symbol, resolve_live_range, add_live_range, read_type)
	(rs6000_builtin_type, read_member_functions, read_cpp_abbrev)
	(read_one_struct_field, read_baseclasses, read_tilde_fields)
	(read_cfront_static_fields, attach_fields_to_type)
	(complain_about_struct_wipeout, read_range_type)
	(common_block_start, common_block_end, cleanup_undefined_types)
	(scan_file_globals): Replace complain() with complaint().
	* stabsread.h (unknown_symtype_complaint, unknown_symchar_complaint):
	Delete deprecated complaint struct declarations.
	* xcoffread.c (storclass_complaint, bf_notfound_complaint)
	(ef_complaint, eb_complaint): Delete deprecated complaint structs.
	(bf_not_found_complaint, ef_complaint, eb_complaint)
	(function_outside_compilation_unit_complaint): New functions.
	(record_include_begin, record_include_end, enter_line_range)
	(xcoff_next_symbol_text, read_xcoff_symtab, process_xcoff_symbol)
	(read_symbol, read_symbol_lineno, scan_xcoff_symtab) Replace
	complain() with complaint().

2002-12-16  Andrew Cagney  <ac131313@redhat.com>

	* config/arc/arc.mt, config/arc/tm-arc.h: Delete.
	* config/d30v/d30v.mt, config/d30v/tm-d30v.h: Delete.
	* config/fr30/fr30.mt, config/fr30/tm-fr30.h: Delete.
	* config/i386/i386aix.mh, config/i386/i386aix.mt: Delete.
	* config/i386/i386m3.mh, config/i386/i386m3.mt: Delete.
	* config/i386/i386mach.mh, config/i386/i386os9k.mt: Delete.
	* config/i386/nm-i386aix.h, config/i386/nm-i386mach.h: Delete.
	* config/i386/nm-m3.h, config/i386/tm-i386aix.h: Delete.
	* config/i386/tm-i386m3.h, config/i386/tm-i386mk.h: Delete.
	* config/i386/xm-i386aix.h, config/i386/xm-i386m3.h: Delete.
	* config/i386/xm-i386mach.h, config/i386/xm-i386mk.h: Delete.
	* config/i960/mon960.mt, config/i960/nindy960.mt: Delete.
	* config/i960/tm-i960.h, config/i960/tm-mon960.h: Delete.
	* config/i960/tm-nindy960.h, config/i960/tm-vx960.h: Delete.
	* config/i960/vxworks960.mt, config/m68k/apollo68b.mh: Delete.
	* config/m68k/apollo68b.mt, config/m68k/apollo68v.mh: Delete.
	* config/m68k/hp300bsd.mh, config/m68k/hp300bsd.mt: Delete.
	* config/m68k/hp300hpux.mh, config/m68k/hp300hpux.mt: Delete.
	* config/m88k/delta88.mh, config/m88k/delta88.mt: Delete.
	* config/m88k/delta88v4.mh, config/m88k/delta88v4.mt: Delete.
	* config/m88k/m88k.mh, config/m88k/m88k.mt: Delete.
	* config/m88k/nm-delta88v4.h, config/m88k/nm-m88k.h: Delete.
	* config/m88k/tm-delta88.h, config/m88k/tm-delta88v4.h: Delete.
	* config/m88k/tm-m88k.h, config/m88k/xm-delta88.h: Delete.
	* config/m88k/xm-dgux.h: Delete.
	* fr30-tdep.c, i386aix-nat.c, i386m3-nat.c: Delete.
	* i386mach-nat.c, i960-tdep.c, m88k-nat.c: Delete.
	* os9kread.c, remote-bug.c, remote-nindy.c: Delete.
	* remote-nrom.c, remote-os9k.c, remote-vx960.c: Delete.
	* d30v-tdep.c, arc-tdep.c, cxux-nat.c, dst.h, dstread.c: Delete.
	* ch-exp.c, ch-lang.c, ch-lang.h, ch-typeprint.c: Delete.
	* ch-valprint.c: Delete.
	
2002-12-15  Daniel Jacobowitz  <drow@mvista.com>

	* infrun.c (handle_inferior_event): Rearrange code to resume if
	no catchpoint triggers for an event.

2002-12-15  Daniel Jacobowitz  <drow@mvista.com>

	* infrun.c (handle_inferior_event): Merge TARGET_WAITKIND_FORKED
	and TARGET_WAITKIND_VFORKED cases.

2002-12-15  Daniel Jacobowitz  <drow@mvista.com>

	* infrun.c (handle_inferior_event): Assume that catchpoints
	are not affected by DECR_PC_AFTER_BREAK.

2002-12-15  Daniel Jacobowitz  <drow@mvista.com>

	* target.c (update_current_target): Don't inherit DONT_USE.
	* target.h (struct target_ops): Remove DONT_USE.
	(target_next): Remove macro.

2002-12-15  Mark Kettenis  <kettenis@gnu.org>

	* ui-out.c (MAX_UI_OUT_LEVELS): Raise to 6.  Fixes PR cli/654.

2002-12-14  Richard Earnshaw  <rearnsha@arm.com>

	* arm-tdep.c (convert_from_extended): New argument to hold the
	type of floating point result we want to convert to.  Make input 
	argument const.  Fix all callers.
	(convert_to_extended): Similarly.
	(arm_extract_return_value): Now takes a regcache argument.  Change
	code to use regcache accessor functions.  Correctly extract 
	smaller-than-word results on big-endian machines.
	(arm_store_return_value): Now takes a regcache argument.  Change
	code to use regcache accessor functions.  Correctly zero/sign extend
	smaller than word results before storing into r0.
	(arm_gdbarch_init): Register new-style extract_return_value and
	store_return_value functions.

2002-12-13  Michael Snyder  <msnyder@to-limbo.toronto.redhat.com>

	* thread-db.c (thread_from_lwp): Uniquify error msg.
	(lwp_from_thread): Ditto.
	(check_event): Ditto.
	(find_new_threads_callback): Ditto.
	(thread_db_pid_to_str): Ditto.

2002-12-13  Andrew Cagney  <ac131313@redhat.com>

	* frame.h (get_frame_saved_regs): Declare.
	(frame_saved_regs_zalloc): Change return type to CORE_ADDR
	pointer.
	* frame.c (get_frame_saved_regs): New function.
	(frame_saved_regs_zalloc): Return the allocated saved_regs.

2002-12-13  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (deprecated_update_current_frame_pc_hack): New
	function.
	* frame.h (deprecated_update_current_frame_pc_hack): Declare.
	* infrun.c (normal_stop): Use said function instead of directly
	modifying the frame's PC.
	
2002-12-13  Alexandre Oliva  <aoliva@redhat.com>

	* frame.h (frame_id_unwind_ftype): Fix typo in return type.

2002-12-13  Kevin Buettner  <kevinb@redhat.com>

	* config/mips/tm-mips.h, config/mips/tm-irix3.h,
	config/mips/tm-irix6.h (NUM_REGS): Delete.
	* mips-tdep.c (mips_gdbarch_init): Call set_gdbarch_num_regs().
	(temp_saved_regs): Declare as a pointer rather than an array.
	(mips32_heuristic_proc_desc, heuristic_proc_desc): Make sure
	that ``temp_saved_regs'' has storage allocated to it and that
	it's the correct size.

2002-12-13  Jeff Johnston  <jjohnstn@redhat.com>

	* defs.h (init_last_source_visited): New prototype.
	(add_path): Ditto.
	* source.c (add_path): New function that adds to a specified path.
	(mod_path): Change to call add_path.
	(init_last_source_visited): New function to allow interfaces to
	initialize static variable: last_source_visited.  Part of fix
	for PR gdb/741.
	* Makefile.in: Add support for mi/mi-cmd-env.c.

2002-12-13  Andrew Cagney  <ac131313@redhat.com>

	* frame.h (frame_id_unwind): Declare.
	(struct frame_info): Add fields id_unwind, id_unwind_cache_p and
	id_unwind_cache.
	(frame_id_unwind_ftype): Declare.
	* frame.c (frame_id_unwind): New function.
	(set_unwind_by_pc): Add unwind_id parameter.  Initialized.
	(create_new_frame, get_prev_frame): Pass id_unwind to
	set_unwind_by_pc.
	(frame_saved_regs_id_unwind): New function.
	(frame_saved_regs_id_unwind): New function.
	* dummy-frame.c (dummy_frame_id_unwind): New function.
	(struct dummy_frame): Add field id.
	(generic_push_dummy_frame): Initialize `id'.
	* dummy-frame.h (dummy_frame_id_unwind): Declare.

2002-12-13  Andrew Cagney  <ac131313@redhat.com>

	* infcmd.c (run_stack_dummy): Create a frame ID directly and then
	pass that to set_momentary_breakpoint.  Move comments to where they
	belong.
	* frame.h (set_current_frame): Delete declaration.
	* frame.c (set_current_frame): Delete function.

2002-12-13  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (frame_extra_info_zalloc): New function.
	* frame.h (frame_extra_info_zalloc): Declare.

2002-12-13  Joel Brobecker  <brobecker@gnat.com>

	* hppa-tdep.c (hppa_pop_frame): Fix a compilation error introduced
	in the previous prototype change to set_momentary_breakpoint.

2002-12-12  Daniel Jacobowitz  <drow@mvista.com>

	* infrun.c (pending_follow): Remove saw_parent_fork, saw_child_fork,
	and saw_child_exec.
	(follow_fork, init_wait_for_inferior, handle_inferior_event): Remove
	references to saw_parent_fork, saw_child_fork, and saw_child_exec.
	(stop_stepping): Remove outdated check for child vfork events.

2002-12-12  Andrew Cagney  <ac131313@redhat.com>

	* GDB 5.3 released from gdb_5_3-branch.

2002-12-11  Daniel Jacobowitz  <drow@mvista.com>

	* corelow.c (init_core_ops): Delete references to to_require_attach
	and to_require_detach.
	* exec.c (init_exec_ops): Likewise.
	* hppah-nat.c (child_follow_fork): Call hppa_require_attach and
	hppa_require_detach directly.
	* inferior.h (REQUIRE_ATTACH, REQUIRE_DETACH): Delete.
	* inftarg.c (child_detach): Remove.
	(child_detach_from_process): Rename to child_detach, remove
	after_fork argument.
	(child_attach): Remove.
	(child_attach_to_process): Rename to child_attach, remove after_fork
	argument.
	(init_child_ops): Delete references to to_require_attach
	and to_require_detach.
	* infttrace.c (hppa_require_attach): Update comment.
	* target.c (cleanup_target, update_current_target)
	(init_dummy_target, setup_target_debug): Delete references to
	to_require_attach and to_require_detach.
	(find_default_require_detach, find_default_require_attach)
	(debug_to_require_attach, debug_to_require_detach): Remove
	functions.
	* target.h (struct target_ops): Remove to_require_attach
	and to_require_detach.
	(target_require_attach, target_require_detach): Delete macros.
	(find_default_require_detach, find_default_require_attach): Delete
	prototypes.
	* config/pa/nm-hppah.h (REQUIRE_ATTACH, REQUIRE_DETACH): Delete.

2002-12-11  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (get_frame_extra_info): New function.
	* frame.h (get_frame_extra_info): Declare.

2002-12-11  Andrew Cagney  <ac131313@redhat.com>

	* breakpoint.h (struct breakpoint): Replace frame with frame_id.
	(set_momentary_breaokpoint): Replace `struct frame_info' parameter
	with `struct frame_id'.
	(set_longjmp_resume_breakpoint): Ditto.
	* infrun.c (handle_inferior_event): Update.
	* breakpoint.c (watch_command_1, until_break_command): Update.
	* infrun.c (handle_inferior_event, check_sigtramp2): Update.
	(handle_inferior_event, step_over_function): Update.
	* breakpoint.c (bpstat_stop_status, print_one_breakpoint): Update.
	(set_raw_breakpoint, set_longjmp_resume_breakpoint): Update.
	(set_momentary_breakpoint, deprecated_frame_in_dummy): Update.
	* infcmd.c (finish_command, run_stack_dummy): Update.

2002-12-11  Kevin Buettner  <kevinb@redhat.com>

	* dwarf2read.c (dwarf2_const_ignored, dwarf2_volatile_ignored)
	(dwarf2_non_const_array_bound_ignored)
	(dwarf2_missing_line_number_section)
	(dwarf2_statement_list_fits_in_line_number_section)
	(dwarf2_mangled_line_number_section, dwarf2_unsupported_die_ref_attr)
	(dwarf2_unsupported_stack_op, dwarf2_complex_location_expr)
	(dwarf2_unsupported_tag, dwarf2_unsupported_at_encoding)
	(dwarf2_unsupported_at_frame_base, dwarf2_unexpected_tag)
	(dwarf2_missing_at_frame_base, dwarf2_bad_static_member_name)
	(dwarf2_unsupported_accessibility, dwarf2_bad_member_name_complaint)
	(dwarf2_missing_member_fn_type_complaint)
	(dwarf2_vtbl_not_found_complaint, dwarf2_absolute_sibling_complaint)
	(dwarf2_const_value_length_mismatch)
	(dwarf2_unsupported_const_value_attr, dwarf2_misplaced_line_number)
	(dwarf2_line_header_too_long, dwarf2_missing_macinfo_section)
	(dwarf2_macros_too_long, dwarf2_macros_not_terminated)
	(dwarf2_macro_outside_file, dwarf2_macro_unmatched_end_file)
	(dwarf2_macro_malformed_definition, dwarf2_macro_spaces_in_definition)
	(dwarf2_invalid_attrib_class, dwarf2_invalid_pointer_size): Delete
	complaints using deprecated struct..
	(dwarf2_non_const_array_bound_ignored_complaint)
	(dwarf2_complex_location_expr_complaint)
	(dwarf2_unsupported_at_frame_base_complaint)
	(dwarf2_const_value_length_mismatch_complaint)
	(dwarf2_macros_too_long_complaint)
	(dwarf2_macro_malformed_definition_complaint)
	(dwarf2_invalid_attrib_class_complaint): New functions.
	(read_func_scope, dwarf2_attach_fields_to_type, dwarf2_add_member_fn)
	(read_structure_scope, read_array_type, read_common_block)
	(read_tag_pointer_type, read_base_type, read_partial_die)
	(dwarf_decode_line_header, check_cu_functions, dwarf_decode_lines)
	(new_symbol, dwarf2_const_value, read_type_die)
	(dwarf2_get_ref_die_offset, decode_locdesc, consume_improper_spaces)
	(parse_macro_definition, dwarf_decode_macros): Replace calls to
	complain() with, possibly indirect, calls to complaint().

2002-12-11  Andrew Cagney  <cagney@redhat.com>

	* frame.c (deprecated_get_frame_saved_regs): Rename
	get_frame_saved_regs.
	* frame.h (deprecated_get_frame_saved_regs): Update declaration.
	* sparc-tdep.c: Update.
	* hppa-tdep.c: Update.
	* h8500-tdep.c: Update.

2002-12-11  Kevin Buettner  <kevinb@redhat.com>

	* gdbarch.sh (ADDRESS_CLASS_TYPE_FLAGS_TO_NAME)
	(ADDRESS_CLASS_NAME_TO_TYPE_FLAGS): Use ``const char *'' instead of
	``char *'' for return and parameter types.
	* gdbarch.h, gdbarch.c: Regenerate.
	* gdbtypes.h, gdbtypes.c (address_space_int_to_name): Change
	return type from ``char *'' to ``const char *''.
	* c-typeprint.c (c_type_print_modifier): Make ``address_space_id''
	const.

2002-12-11  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c: Include "dummy-frame.h".
	(i386_frame_chain, i386_frame_saved_pc): Replace
	DEPRECATED_PC_IN_CALL_DUMMY with call to pc_in_dummy_frame.
	(i386_gdbarch_init): Don't set deprecated_pc_in_call_dummy.

2002-12-10  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_INIT_FRAME_PC): Rename INIT_FRAME_PC.
	Change to a function with predicate.
	* gdbarch.h, gdbarch.c: Re-generate.
	* frame.c (get_prev_frame): Update.  Test
	DEPRECATED_INIT_FRAME_PC_P.
	* config/sparc/tm-sparc.h (DEPRECATED_INIT_FRAME_PC): Update.
	* config/rs6000/tm-rs6000.h (DEPRECATED_INIT_FRAME_PC): Update.
	* config/mn10200/tm-mn10200.h (DEPRECATED_INIT_FRAME_PC): Update.
	* alpha-tdep.c (alpha_gdbarch_init): Update.
	* mn10300-tdep.c (mn10300_gdbarch_init): Update.
	* mips-tdep.c (mips_gdbarch_init): Update.
	* i386-interix-tdep.c (i386_interix_init_abi): Update.
	* arm-tdep.c: Update comments.
	* h8300-tdep.c (h8300_gdbarch_init): Explicitly set init_frame_pc.
	* config/m32r/tm-m32r.h (DEPRECATED_INIT_FRAME_PC): Ditto.
	* frv-tdep.c (frv_gdbarch_init): Ditto.
	* x86-64-tdep.c (x86_64_init_abi): Ditto.
	* ia64-tdep.c (ia64_gdbarch_init): Ditto.
	* s390-tdep.c (s390_gdbarch_init): Ditto.
	* v850-tdep.c (v850_gdbarch_init): Ditto.
	* vax-tdep.c (vax_gdbarch_init): Ditto.
	* sh-tdep.c (sh_gdbarch_init): Ditto.
	* ns32k-tdep.c (ns32k_gdbarch_init): Ditto.
	* m68hc11-tdep.c (m68hc11_gdbarch_init): Ditto.
	* mcore-tdep.c (mcore_gdbarch_init): Ditto.
	* xstormy16-tdep.c (xstormy16_gdbarch_init): Ditto.
	* i386-tdep.c (i386_gdbarch_init): Ditto.
	* d10v-tdep.c (d10v_gdbarch_init): Ditto.
	* cris-tdep.c (cris_gdbarch_init): Ditto.
	* avr-tdep.c (avr_gdbarch_init): Ditto.
	* arm-tdep.c (arm_gdbarch_init): Ditto.
	* config/z8k/tm-z8k.h (INIT_FRAME_PC_FIRST): Delete macro.
	(DEPRECATED_INIT_FRAME_PC): Rename INIT_FRAME_PC.

2002-12-10  Daniel Jacobowitz  <drow@mvista.com>

	* config/pa/nm-hppah.h (CHILD_POST_FOLLOW_VFORK): Change to
	CHILD_FOLLOW_FORK.
	* hppah-nat.c (saved_vfork_pid): Add.
	(child_post_follow_vfork): Remove.
	(child_follow_fork): New function.
	(child_wait): Call detach_breakpoints after receiving the child vfork.
	Call child_resume directly instead of going through resume ().
	Make sure we have the exec before reporting the vfork.
	* inferior.h (follow_inferior_reset_breakpoints): Add prototype.
	* infrun.c (follow_fork, follow_vfork, follow_inferior_fork): Remove.
	(follow_fork): New function.  Call target_follow_fork.
	(follow_inferior_reset_breakpoints): New function broken out from
	old follow_inferior_fork.
	(resume): Remove hack to follow exec after vfork.
	* inftarg.c (child_post_follow_vfork): Remove.
	(child_follow_fork): New function.
	(init_child_ops): Replace to_post_follow_vfork with to_follow_fork.
	* target.c (cleanup_target): Replace to_post_follow_vfork with
	to_follow_fork.
	(update_current_target): Likewise.
	(setup_target_debug): Likewise.
	(debug_to_post_follow_vfork): Remove.
	(debug_to_follow_fork): New function.
	* target.h (struct target_ops): Replace to_post_folow_vfork with
	to_follow_fork.
	(child_post_follow_vfork): Remove prototype.
	(child_follow_fork): Add prototype.
	(target_post_follow_vfork): Remove macro.
	(target_follow_fork): Add macro.

2002-12-10  Daniel Jacobowitz  <drow@mvista.com>

	* hppah-nat.c (saved_child_execd_pathname, saved_vfork_state): New.
	(child_post_follow_vfork): Cancel pending exec event if we follow
	the parent.
	(child_wait): Only return TARGET_WAITKIND_VFORKED when all necessary
	events have been processed.  Return a fake TARGET_WAITKIND_EXECD
	event at the following wait call if necessary.
	* infrun.c (follow_vfork): Don't follow_exec here.
	(handle_inferior_event): Add comment to TARGET_WAITKIND_EXECD
	case about HP/UX 10.20.  Remove code pushed down to
	hppah-nat.c:child_wait.
	* infttrace.c (child_resume): Use TT_PROC_CONTINUE if
	vfork_in_flight is set.

2002-12-10  Daniel Jacobowitz  <drow@mvista.com>

	* hppah-nat.c (child_wait): Return TARGET_WAITKIND_IGNORE
	for the parent's fork event.
	* infrun.c (handle_inferior_event): Only expect one fork event.
	Call prepare_to_wait for TARGET_WAITKIND_IGNORE.  Update comment.
	* target.h: Update comment for TARGET_WAITKIND_IGNORE.

2002-12-10  Andrew Cagney  <ac131313@redhat.com>

	* PROBLEMS: Delete reference to PR gdb/725.
	
	* MAINTAINERS (gdb.c++): Add David Carlton.

2002-12-09  David Carlton  <carlton@math.stanford.edu>

	* cli/cli-setshow.c: #include <readline/tilde.h> after defs.h.
	* cli/cli-cmds.c: Ditto.

2002-12-09  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (gdbarch_dump): Print NAME_OF_MALLOC using %s.  Wrap
	function address in <>.
	* gdbarch.c: Re-generate.

2002-12-09  David Carlton  <carlton@math.stanford.edu>

	* p-exp.y: Rename TRUE and FALSE to TRUEKEYWORD and FALSEKEYWORD.

2002-12-09  David Carlton  <carlton@math.stanford.edu>

	* linespec.c (symtab_from_filename): New function.
	(decode_line_1): Move code into symtab_from_filename.

2002-12-09  Kevin Buettner  <kevinb@redhat.com>

	* lin-lwp.c (strsignal): Make extern declaration match that of glibc.

2002-12-07  Andrew Cagney  <ac131313@redhat.com>

	* f-valprint.c (info_common_command): Use get_frame_pc.
	* std-regs.c (value_of_builtin_frame_pc_reg): Ditto.
	* ax-gdb.c (agent_command): Ditto.
	* rs6000-tdep.c (rs6000_init_extra_frame_info): Ditto.
	(rs6000_pop_frame): Ditto.
	(rs6000_frameless_function_invocation): Ditto.
	(rs6000_frame_saved_pc, frame_get_saved_regs): Ditto.
	(frame_initial_stack_address, rs6000_frame_chain): Ditto.
	* macroscope.c (default_macro_scope): Ditto.
	* stack.c (print_frame_info_base): Ditto.
	(print_frame, frame_info, print_frame_label_vars): Ditto.
	(return_command, func_command, get_frame_language): Ditto.
	* infcmd.c (finish_command): Ditto.
	* dummy-frame.c (cached_find_dummy_frame): Ditto.
	* breakpoint.c (deprecated_frame_in_dummy): Ditto.
	(break_at_finish_at_depth_command_1): Ditto.
	(break_at_finish_command_1): Ditto.
	(until_break_command, get_catch_sals): Ditto.
	* blockframe.c (func_frame_chain_valid): Ditto.
	(frameless_look_for_prologue): Ditto.
	(frame_address_in_block, generic_func_frame_chain_valid): Ditto.

2002-12-08  Andrew Cagney  <ac131313@redhat.com>

	* config/rs6000/tm-rs6000.h (init_frame_pc_noop): Add declaration.
	* dwarf2cfi.c (cfi_init_frame_pc): Cast the PC to a pointer.

2002-12-08  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (INIT_FRAME_PC_FIRST, INIT_FRAME_PC_DEFAULT): Convert
	to pure functions.
	* gdbarch.h, gdbarch.c: Re-generate.
	* frame.c (get_prev_frame): Explictly assign prev's pc with value
	returned by INIT_FRAME_PC_FIRST and INIT_EXTRA_FRAME_INFO.

	* arch-utils.h (init_frame_pc_default, init_frame_pc_noop): Change
	declaration to a function returning a CORE_ADDR.
	* x86-64-tdep.h (x86_64_init_frame_pc): Ditto.
	* arch-utils.c (init_frame_pc_noop): Return the PC value.
	(init_frame_pc_default): Ditto.
	* x86-64-linux-tdep.c (x86_64_init_frame_pc): Ditto.
	* s390-tdep.c (s390_init_frame_pc_first): Ditto.
	* mips-tdep.c (mips_init_frame_pc_first): Ditto.
	* dwarf2cfi.h (cfi_init_frame_pc): Ditto.
	* dwarf2cfi.c (cfi_init_frame_pc): Ditto.
	* alpha-tdep.c (alpha_init_frame_pc_first): Ditto.

	* i386-interix-tdep.c (i386_interix_init_abi): Set init_frame_pc
	to init_frame_pc_noop.
	(i386_interix_init_frame_pc): Delete function.
	* z8k-tdep.c (init_frame_pc): Delete function.
	* config/z8k/tm-z8k.h (INIT_FRAME_PC): Define as init_frame_pc_noop.
	(INIT_FRAME_PC_FIRST): Ditto.
	* config/mn10200/tm-mn10200.h (INIT_FRAME_PC): Ditto.
	(INIT_FRAME_PC_FIRST): Ditto.
	* config/sparc/tm-sparc.h (INIT_FRAME_PC): Ditto.
	* config/rs6000/tm-rs6000.h (INIT_FRAME_PC): Redefine as
	init_frame_pc_noop.
	(INIT_FRAME_PC_FIRST): Convert to an expression.
	* config/sparc/tm-sparc.h (INIT_FRAME_PC_FIRST): Ditto.

2002-12-08  Andrew Cagney  <ac131313@redhat.com>

	* blockframe.c: Use get_frame_base instead of directly accessing
	the `struct frame_info' member frame.
	* f-valprint.c, std-regs.c, rs6000-tdep.c: Ditto.
	* stack.c, dummy-frame.c, breakpoint.c: Ditto.

2002-12-08  Elena Zannoni  <ezannoni@redhat.com>

	* Makefile.in (readline_h): Define.
	(completer.o): Depend on readline_h.
	(corelow.o): Ditto.
	(event-top.o): Ditto.
	(exec.o): Ditto.
	(solib.o): Ditto.
	(source.o): Ditto. 
	(symfile.o): Ditto. 
	(symmisc.o): Ditto. 
	(top.o): Ditto.
	(tracepoint.o): Ditto. 
	(utils.o): Ditto.
	(cli-dump.o): Ditto.
	(tui-hooks.o): Ditto. 
	(tuiWin.o): Ditto. 

2002-12-08  Elena Zannoni  <ezannoni@redhat.com>

	More cleanup from import of readline 4.3.
	* completer.h (complete_line, readline_line_completion_function):
	Update prototypes.
	(line_completion_function): Removed, not used outside of completer.c.
	* completer.c (readline_line_completion_function,
	complete_function, line_completion_function): Use const for first
	parameter.
	(line_completion_function): Make static.
	(filename_completer): filename_completion_function is now called
	rl_filename_completion_function
	* corelow.c: Include <readline/readline.h>.
	* exec.c: Ditto.
	* solib.c: Ditto.
	* source.c: Ditto.
	* symfile.c: Ditto.
	* symmisc.c: Ditto.
	* top.c (init_main): No need to coerce
	readline_line_completion_function anymore.
	* cli/cli-dump.c: Include <readline/readline.h>.

2002-12-08  Andrew Cagney  <ac131313@redhat.com>

	* stack.c (frame_info): Use get_prev_frame.
	* blockframe.c (frame_address_in_block): Ditto.
	* rs6000-tdep.c (rs6000_init_extra_frame_info): Ditto.
	(rs6000_frameless_function_invocation): Ditto.
	(rs6000_frame_saved_pc): Ditto.
	(rs6000_frame_chain): Ditto.
	* arch-utils.c (init_frame_pc_default): Ditto.

2002-12-08  Andrew Cagney  <ac131313@redhat.com>

	* config/mn10200/tm-mn10200.h (DEPRECATED_PC_IN_CALL_DUMMY):
	Delete redundant definition.

2002-12-08  Elena Zannoni  <ezannoni@redhat.com>

        Import of readline 4.3:
        * cli/cli-cmds.c: Include readline/tilde.h.
        * cli/cli-setshow.c: Ditto.
        * defs.h: Don't declare tilde_expand anymore, since readline
        exports it.

2002-12-08  Elena Zannoni  <ezannoni@redhat.com>

	* Makefile.in (thread-db.o): Add explicit rule to ignore the use of
	-Werror on this file.

2002-12-07  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (TARGET_FLOAT_FORMAT): Use the macro when printing
	the format name.
	(TARGET_DOUBLE_FORMAT, TARGET_LONG_DOUBLE_FORMAT): Ditto.
	* gdbarch.c: Regenerate.
	
2002-12-06  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (DEPRECATED_INIT_FRAME_PC_FIRST): Rename
	INIT_FRAME_PC_FIRST.  Change to a function with predicate.  Do not
	provide a default value.
	* gdbarch.h, gdbarch.c: Regenerate.
	* frame.c (get_prev_frame): Update.  Check
	DEPRECATED_INIT_FRAME_PC_FIRST_P.
	* s390-tdep.c (s390_gdbarch_init): Update.
	* mips-tdep.c (mips_gdbarch_init): Update.
	* config/sparc/tm-sparc.h (DEPRECATED_INIT_FRAME_PC_FIRST): Update.
	* config/rs6000/tm-rs6000.h (DEPRECATED_INIT_FRAME_PC_FIRST): Update.
	* alpha-tdep.c (alpha_gdbarch_init): Update.
	
2002-12-06  Elena Zannoni  <ezannoni@redhat.com>

	* ia64-linux-nat.c: Include gdb_string.h.
	* alpha-nat.c: Ditto.
	* ppc-linux-nat.c: Ditto.
	* Makefile.in (ia64-linux-nat.o, alpha-nat.o, ppc-linux-nat.o):
	Update dependencies.

2002-12-05  Andrew Cagney  <ac131313@redhat.com>

	* gdbthread.h: Include "frame.h".
	(struct thread_info): Replace step_frame_address with
	step_frame_id.
	* inferior.h: Include "frame.h".
	(step_frame_id): Replace external variable step_frame_address.
	* gdbthread.h (save_infrun_state): Replace step_frame_address
	parameter with step_frame_id parameter.
	(load_infrun_state): Ditto.
	* Makefile.in (gdbthread_h, inferior_h): Add $(frame_h).
	* infcmd.c (step_frame_id, step_1, step_once): Update.
	* thread.c (load_infrun_state, save_infrun_state): Update.
	* infrun.c (clear_proceed_status, save_inferior_status): Update.
	(handle_inferior_event, step_over_function): Update.
	(normal_stop, context_switch, restore_inferior_status): Update.
	(struct inferior_status): Replace step_frame_address with
	step_frame_id.

2002-12-05  David Carlton  <carlton@math.stanford.edu>

	* dwarf2read.c (dwarf2_add_field): Treat a field that is a
	DW_TAG_member as well as a declaration as being a C++ static data
	member.
	(read_structure_scope): Combine tests for DW_TAG_member and
	DW_TAG_variable.

2002-12-05  David Carlton  <carlton@math.stanford.edu>

	* linespec.c (decode_compound): New function.
	(decode_line_1): Move code into decode_compound.

2002-12-05  David Carlton  <carlton@math.stanford.edu>

	* symtab.c (lookup_symbol_aux_local): Add 'static_block'
	argument.
	(lookup_symbol_aux): Do the 'field_of_this' check before checking
	the static block.  See PR gdb/804.

2002-12-05  David Carlton  <carlton@math.stanford.edu>

	* symtab.c (lookup_symbol_aux_block): New function.
	(lookup_symbol_aux_local): Move code into lookup_symbol_aux_block.

2002-12-05  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh: Dump the predicate function and macro values.
	(read): Print error on standard error.
	* gdbarch.c: Regenerate.
	
2002-12-04  Kevin Buettner  <kevinb@redhat.com>

	* Makefile.in (mips_tdep_h): Define.
	(mips-tdep.o): Add mips_tdep_h to dependency list.
	* mips-tdep.h: New file.
	* mips-tdep.c (mips-tdep.h): Include.
	(enum mips_abi): Move to mips-tdep.h.
	(mips_abi): New function.

2002-12-04  David Carlton  <carlton@math.stanford.edu>

	* Makefile.in (f-exp.tab.c): Don't depend on c-exp.tab.c.

2002-12-04  David Carlton  <carlton@math.stanford.edu>

	* symtab.c (lookup_symbol_aux): Move minsym code into a separate
	function.
	(lookup_symbol_aux_minsyms): New function.

2002-12-04  J. Brobecker  <brobecker@gnat.com>

	* pa64solib.c: s/boolean/int/. Fixes a build failure on hppa64-hpux.

2002-12-04  J. Brobecker  <brobecker@gnat.com>

	* config/pa/tm-hppah.h (PC_IN_SIGTRAMP): Renamed from IN_SIGTRAMP,
	which is an obsolete macro name.

2002-12-04  Daniel Jacobowitz  <drow@mvista.com>

	* doublest.c (convert_floatformat_to_doublest): Cast exp_bias to int.
	* config/alpha/alpha-linux.mh (MH_CFLAGS): Add -mieee.

2002-12-03  H.J. Lu  (hjl@gnu.org)

	* breakpoint.c (create_thread_event_breakpoint): Use xasprintf.
	(create_breakpoints): Make sure the addr_string field is not
	NULL.

2002-12-03  Andrew Cagney  <ac131313@redhat.com>

	* sparc-nat.c (fetch_inferior_registers)
	(store_inferior_registers): Add comment on problem of LWP vs
	threads.
	
	From 2002-11-21 Daniel Jacobowitz <drow@mvista.com>
	* lin-lwp.c (lin_lwp_fetch_registers): Remove.
	(lin_lwp_store_registers): Remove.
	(init_lin_lwp_ops): Use fetch_inferior_registers
	and store_inferior_registers directly.
	* sparc-nat.c (fetch_inferior_registers): Honor LWP ID.
	(store_inferior_registers): Likewise.
	Fix PR gdb/725.

2002-12-03  Andrew Cagney  <ac131313@redhat.com>

	* frame.h (get_frame_id): Convert to a function.
	(null_frame_id, frame_id_p): Declare.
	(frame_id_eq, frame_id_inner): Declare.
	(frame_id_build): New function.
	* frame.c (get_frame_id): Update.  Use null_frame_id.
	(frame_find_by_id): Rewrite using frame_id_p, frame_id_eq and
	frame_id_inner.
	(null_frame_id, frame_id_p): Define.
	(frame_id_eq, frame_id_inner): Define.
	(frame_id_build): New function.
	* varobj.c (varobj_create): Update.
	(varobj_update): Update.
	* valops.c (value_assign): Update.
	(new_root_variable): Update.
	* infrun.c (save_inferior_status): Update.
	* breakpoint.c (watch_command_1): Update.

2002-12-03  J. Brobecker  <brobecker@gnat.com>

	* config/pa/tm-hppah.h (SNAP1): Remove unused macro.
	(SNAP2): Likewise.

2002-12-03  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Mention Daniel Jacobowitz's multi-threaded shared library
	patch.

	* PROBLEMS: Mention PR gdb/725.

2002-12-03  Andreas Schwab  <schwab@suse.de>

	* infcmd.c (construct_inferior_arguments): Handle empty arguments.

2002-12-02  Adam Fedor  <fedor@gnu.org>
	    Klee Dienes  <kdienes@apple.com>

	* objc-lang.c (objc_printstr): Add width arg to match
	printstr prototype.
	(compare_selectors): Add 'const' to arg types.
	(compare_classes): Likewise.
	(find_imps): Cast msym pointer to avoid compiler warning.
	(print_object_command): Validate the address before
	passing it to the print routine.
	(find_objc_msgcall_submethod): Change function argument to
	return an int.
	* objc-lang.h: Add 'extern' to all function declarations.
	(value_nsstring): Add declaration.

2002-12-02  J. Brobecker  <brobecker@gnat.com>

	* somsolib.c (dld_cache): Replace boolean by int for field is_valid.
	Fixes a build failure on HP/UX.

	* hpread.c (told_objfile): Replace boolean type by int. Fixes a build
	failure on HP/UX. 
	(hpread_has_name): Advance declaration to avoid a compilation warning.
	(pst_syms_count): Add missing variable type. By change, the compiler
	was defaulting to int, which seems a good choice. Fixes a compilation
	warning.
	(pst_syms_size): Likewise.
 
2002-12-02  J. Brobecker  <brobecker@gnat.com>

	* hppa-tdep.c: Add #include "osabi.h" (for hppa_gdbarch_init).
	(hppa_gdbarch_init): Detect osabi from objfile. Will be needed
	later to set the proper gdbarch methods depending on the osabi.
	* Makefile.in (hppa-tdep.o): Add dependency on osabi.h.

2002-12-02  J. Brobecker  <brobecker@gnat.com>

	* osabi.h (gdb_osabi): Add two new enum values for HPUX ELF and SOM.
	* osabi.c (gdb_osabi_name): Add strings images for the two new
	enum values.
	(generic_elf_osabi_sniffer): Handle HPUX objfiles.

2002-12-02  Andrew Cagney  <ac131313@redhat.com>

	* MAINTAINERS (Java): Global maintainers are responible for Java.
	(Past Maintainers): Mention both Anthony Green and Per Bothner as
	part Java maintainers.

2002-12-02  J. Brobecker  <brobecker@gnat.com>

	* xcoffread.c (read_symbol_lineno): Replace boolean by int.
	Fixes a compilation failure on AiX.

2002-12-02  J. Brobecker  <brobecker@gnat.com>

	* config/powerpc/aix432.mh (NATDEPFILES): Add a comment explaining
	why aix-thread.o is not listed.

2002-12-01  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (DEPRECATED_PC_IN_CALL_DUMMY): Rename
	PC_IN_CALL_DUMMY.  Change to predicate.  Always allow call.
	* gdbarch.h, gdbarch.c: Re-generate.
	* config/sparc/tm-sparc.h, config/sparc/tm-sp64.h: Update.
	* config/mn10200/tm-mn10200.h, config/h8500/tm-h8500.h: Update.
	* config/pa/tm-hppa.h, frame.h: Update.
	* x86-64-tdep.c, vax-tdep.c, sparc-tdep.c: Update.
	* s390-tdep.c, ns32k-tdep.c, mn10300-tdep.c: Update.
	* m68k-tdep.c, i386-tdep.c, frv-tdep.c: Update.
	* cris-tdep.c, alpha-tdep.c: Update.
	* frame.c (set_unwind_by_pc, create_new_frame): Use either
	DEPRECATED_PC_IN_CALL_DUMMY or pc_in_dummy_frame.
	(get_prev_frame): Ditto.

2002-11-30  Andrew Cagney  <cagney@redhat.com>

	* exec.c (xfer_memory): Replace boolean with int.
	* p-exp.y: Use 0 instead of false.
	* corelow.c (gdb_check_format): Change return type to int from
	boolean.
	* utils.c: Don't include <curses.h> or <term.h> first.

2002-11-29  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (m68hc11_register_raw_size): Remove.
	(m68hc11_register_byte): Remove.
	(m68hc11_gdbarch_init): Don't set the above.

2002-11-29  Andrew Cagney  <cagney@redhat.com>

	* remote-mips.c (mips_initialize): Force a selected frame rebuild
	by calling get_selected_frame.
	* ocd.c (ocd_start_remote): Use get_selected frame instead of
	set_current_frame, create_new_frame, select_frame and
	get_current_frame.
	* remote-e7000.c (e7000_start_remote): Ditto.
	* remote-mips.c (common_open): Ditto
	* remote-rdp.c (remote_rdp_open): Ditto.

2002-11-29  Andreas Schwab  <schwab@suse.de>

	* m68k-tdep.c (m68k_frame_chain, m68k_frame_saved_pc)
	(altos_skip_prologue, delta68_frame_saved_pc, isi_frame_num_args)
	(delta68_frame_num_args, news_frame_num_args, m68k_skip_prologue)
	(m68k_frame_init_saved_regs, m68k_saved_pc_after_call): Use
	read_memory_unsigned_integer instead of read_memory_integer when
	dealing with addresses and instruction opcodes.
	* m68klinux-tdep.c (m68k_linux_sigtramp_saved_pc) 
	(m68k_linux_frame_saved_pc): Likewise.

2002-11-29  Andrew Cagney  <ac131313@redhat.com>

	* stack.c (selected_frame, select_frame): Move from here ...
	* frame.c (selected_frame, select_frame): ... to here.  Include
	"language.h".
	* Makefile.in (frame.o): Update dependencies.
	* frame.c (get_selected_frame): New function.
	* frame.h (get_selected_frame): Declare.
	(deprecated_selected_frame): Rename selected_frame.
	* ada-lang.c, ada-tasks.c, breakpoint.c, corelow.c: Update.
	* eval.c, f-valprint.c, findvar.c, frame.c, frame.h: Update.
	* h8300-tdep.c, h8500-tdep.c, hppa-tdep.c, infcmd.c: Update.
	* inflow.c, infrun.c, macroscope.c, mips-tdep.c: Update.
	* mn10300-tdep.c, ocd.c, regcache.h, remote-e7000.c: Update.
	* remote-mips.c, remote-rdp.c, sh-tdep.c, sparc-tdep.c: Update.
	* stack.c, thread.c, tracepoint.c, valops.c, varobj.c: Update.
	* z8k-tdep.c, cli/cli-cmds.c: Update.
	
2002-11-29  Andrew Cagney  <ac131313@redhat.com>

	* frame.h (get_selected_block): Add comments.

2002-11-28  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (pc_notcurrent): New function.
	(find_frame_sal): New function.
	* frame.h (find_frame_sal): Declare.
	(struct symtab_and_line): Add opaque declaration.
	* stack.c (print_frame_info_base): Use find_frame_sal instead of
	find_pc_line.
	(frame_info): Ditto.
	* ada-lang.c (find_printable_frame): Ditto.

2002-11-28  J. Brobecker  <brobecker@gnat.com>

	* configure.in: Check that the pthdebug library is recent enough
	before enabling thread support on native AiX.
	* configure: Regenerate.

	* config/powerpc/aix432.mh (NATDEPFILES): Remove aix-thread.o
	from the list of object files as it is now appended by configure
	if thread support is enabled.
	(NAT_CLIBS): Removed as -lpthdebug is also appended by configure
	if thread support is enabled.

2002-11-28  Andrew Cagney  <cagney@redhat.com>

	* stack.c (get_selected_block): In-line get_current_block.
	* frame.h (get_current_block): Delete declaration.
	* blockframe.c (get_current_block): Delete function.

2002-11-28  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (DEPRECATED_USE_GENERIC_DUMMY_FRAMES): Rename
	USE_GENERIC_DUMMY_FRAMES.
	* gdbarch.h, gdbarch.c: Regenerate.
	* valops.c, frame.c: Update.
	* config/z8k/tm-z8k.h, config/mn10200/tm-mn10200.h: Update.
	* config/m32r/tm-m32r.h, config/h8500/tm-h8500.h: Update.
	* config/pa/tm-hppa.h, blockframe.c: Update.
	* vax-tdep.c, sparc-tdep.c, ns32k-tdep.c: Ditto.
	* m68k-tdep.c, alpha-tdep.c: Ditto.

	* arm-tdep.c: Eliminate USE_GENERIC_DUMMY_FRAMES as always 1.
	* mips-tdep.c: Ditto.

2002-11-27  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (CALL_DUMMY_LOCATION): Default to AT_ENTRY_POINT.
	(USE_GENERIC_DUMMY_FRAMES): Default to true.
	(PC_IN_CALL_DUMMY): Default to generic_pc_in_call_dummy.
	* gdbarch.c, gdbarch.h: Re-generate.
	* inferior.h (USE_GENERIC_DUMMY_FRAMES): Delete macro definition.
	(CALL_DUMMY_LOCATION): Delete macro definition.
	(PC_IN_CALL_DUMMY): Delete macro definitions.
	
	* arm-tdep.c (arm_gdbarch_init): Do not set pc_in_call_dummy,
	default is already generic_pc_in_call_dummy.
	* xstormy16-tdep.c (xstormy16_gdbarch_init): Ditto.
	* v850-tdep.c (v850_gdbarch_init): Ditto.
	* sh-tdep.c (sh_gdbarch_init): Ditto.
	* rs6000-tdep.c (rs6000_gdbarch_init): Ditto.
	* mips-tdep.c (mips_gdbarch_init): Ditto.
	* mcore-tdep.c (mcore_gdbarch_init): Ditto.
	* m68hc11-tdep.c (m68hc11_gdbarch_init): Ditto.
	* ia64-tdep.c (ia64_gdbarch_init): Ditto.
	* h8300-tdep.c (h8300_gdbarch_init): Ditto.
	* d10v-tdep.c (d10v_gdbarch_init): Ditto.
	* avr-tdep.c (avr_gdbarch_init): Ditto.
	
	* arm-tdep.c (arm_gdbarch_init): Do not set
	use_generic_dummy_frames, default is already 1.
	* xstormy16-tdep.c (xstormy16_gdbarch_init): Ditto.
	* x86-64-tdep.c (x86_64_gdbarch_init): Ditto.
	* v850-tdep.c (v850_gdbarch_init): Ditto.
	* sh-tdep.c (sh_gdbarch_init): Ditto.
	* s390-tdep.c (s390_gdbarch_init): Ditto.
	* rs6000-tdep.c (rs6000_gdbarch_init): Ditto.
	* mn10300-tdep.c (mn10300_gdbarch_init): Ditto.
	* mips-tdep.c (mips_gdbarch_init): Ditto.
	* mcore-tdep.c (mcore_gdbarch_init): Ditto.
	* m68hc11-tdep.c (m68hc11_gdbarch_init): Ditto.
	* ia64-tdep.c (ia64_gdbarch_init): Ditto.
	* i386-tdep.c (i386_gdbarch_init): Ditto.
	* h8300-tdep.c (h8300_gdbarch_init): Ditto.
	* frv-tdep.c (frv_gdbarch_init): Ditto.
	* d10v-tdep.c (d10v_gdbarch_init): Ditto.
	* cris-tdep.c (cris_gdbarch_init): Ditto.
	* avr-tdep.c (avr_gdbarch_init): Ditto.

	* xstormy16-tdep.c (xstormy16_gdbarch_init): Do not set
	call_dummy_location, default is already AT_ENTRY_POINT.
	* x86-64-tdep.c (x86_64_gdbarch_init): Ditto.
	* v850-tdep.c (v850_gdbarch_init): Ditto.
	* sparc-tdep.c (sparc_gdbarch_init): Ditto.
	* sh-tdep.c (sh_gdbarch_init): Ditto.
	* s390-tdep.c (s390_gdbarch_init): Ditto.
	* rs6000-tdep.c (rs6000_gdbarch_init): Ditto.
	* mn10300-tdep.c (mn10300_gdbarch_init): Ditto.
	* mips-tdep.c (mips_gdbarch_init): Ditto.
	* mcore-tdep.c (mcore_gdbarch_init): Ditto.
	* m68hc11-tdep.c (m68hc11_gdbarch_init): Ditto.
	* ia64-tdep.c (ia64_gdbarch_init): Ditto.
	* i386-tdep.c (i386_gdbarch_init): Ditto.
	* h8300-tdep.c (h8300_gdbarch_init): Ditto.
	* frv-tdep.c (frv_gdbarch_init): Ditto.
	* d10v-tdep.c (d10v_gdbarch_init): Ditto.
	* cris-tdep.c (cris_gdbarch_init): Ditto.
	* avr-tdep.c (avr_gdbarch_init): Ditto.
	* arm-tdep.c (arm_gdbarch_init): Ditto.
	* alpha-tdep.c (alpha_gdbarch_init): Ditto.

2002-11-28  Andrew Cagney  <cagney@redhat.com>

	* frame.h: Update comments on set_current_frame, create_new_frame,
	flush_cached_frames, reinit_frame_cache, select_frame and
	selected_frame.
	
2002-11-27  Andrew Cagney  <cagney@redhat.com>

	* config/z8k/tm-z8k.h (PC_IN_CALL_DUMMY): Update definition to use
	deprecated pc_in_call_dummy function.
	* config/sparc/tm-sparc.h (PC_IN_CALL_DUMMY): Ditto.
	* config/sparc/tm-sp64.h (PC_IN_CALL_DUMMY): Ditto.
	* config/pa/tm-hppa.h (PC_IN_CALL_DUMMY): Ditto.
	* config/mn10200/tm-mn10200.h (PC_IN_CALL_DUMMY): Ditto.
	* config/h8500/tm-h8500.h (PC_IN_CALL_DUMMY): Ditto.

2002-11-26  Martin M. Hunt  <hunt@redhat.com>

	* Makefile.in: Remove Tix dependencies.
	* acinclude.m4: Ditto.
	* aclocal.m4: Ditto.
	* configure.in: Ditto.
	* configure: Regenerated.
	
2002-11-26  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (TARGET_FLOAT_FORMAT): Print the float format name.
	(TARGET_DOUBLE_FORMAT, TARGET_LONG_DOUBLE_FORMAT): Ditto.
	* gdbarch.c: Re-generate.
	
2002-11-26  Andrew Cagney  <ac131313@redhat.com>

	* config/h8500/tm-h8500.h (CALL_DUMMY_LOCATION): Define as ON_STACK.
	(USE_GENERIC_DUMMY_FRAMES): Define as zero.
	(PC_IN_CALL_DUMMY): Define as pc_in_call_dummy_on_stack.
	* config/mn10200/tm-mn10200.h (PC_IN_CALL_DUMMY): Define as
	pc_in_call_dummy_at_entry_point.
	* config/pa/tm-hppa.h (CALL_DUMMY_LOCATION): Define as ON_STACK.
	(USE_GENERIC_DUMMY_FRAMES): Define as zero.
	(PC_IN_CALL_DUMMY): Define as pc_in_call_dummy_on_stack.
	* config/pa/tm-hppa64.h (CALL_DUMMY_LOCATION): Delete undefine.
	* config/sparc/tm-sparc.h (PC_IN_CALL_DUMMY): Define as
	pc_in_call_dummy_on_stack.
	* config/sparc/tm-sp64.h (PC_IN_CALL_DUMMY): Redefine as
	pc_in_call_dummy_at_entry_point and pc_in_call_dummy_on_stack.
	* config/z8k/tm-z8k.h (CALL_DUMMY_LOCATION): Define as ON_STACK.
	(USE_GENERIC_DUMMY_FRAMES): Define as zero.
	(PC_IN_CALL_DUMMY): Defile as pc_in_call_dummy_on_stack.
	
2002-11-26  Andrew Cagney  <ac131313@redhat.com>

	* inferior.h (deprecated_pc_in_call_dummy_before_text_end): Rename
	pc_in_call_dummy_before_text_end
	(deprecated_pc_in_call_dummy_after_text_end): Rename
	pc_in_call_dummy_after_text_end.
	(deprecated_pc_in_call_dummy_on_stack): Rename
	pc_in_call_dummy_on_stack.
	(deprecated_pc_in_call_dummy_at_entry_point): Rename
	pc_in_call_dummy_at_entry_point.
	* m68k-tdep.c (m68k_gdbarch_init): Update.
	* s390-tdep.c (s390_gdbarch_init): Update.
	* x86-64-tdep.c (x86_64_gdbarch_init): Update.
	* vax-tdep.c (vax_gdbarch_init): Update.
	* sparc-tdep.c (sparc_gdbarch_init): Update.
	* ns32k-tdep.c (ns32k_gdbarch_init): Update.
	* mn10300-tdep.c (mn10300_gdbarch_init): Update.
	* i386-tdep.c (i386_gdbarch_init): Update.
	* frv-tdep.c (frv_gdbarch_init): Update.
	* cris-tdep.c (cris_gdbarch_init): Update.
	* config/sparc/tm-sparc.h (PC_IN_CALL_DUMMY): Update.
	* blockframe.c (deprecated_pc_in_call_dummy_before_text_end)
	(deprecated_pc_in_call_dummy_after_text_end)
	(deprecated_pc_in_call_dummy_on_stack)
	(deprecated_pc_in_call_dummy_at_entry_point): Update.
	* alpha-tdep.c (alpha_gdbarch_init): Update.

2002-11-25  Daniel Jacobowitz  <drow@mvista.com>

	* acconfig.h (HAVE_PREAD64): Add.
	* configure.in: Check for pread64.
	* config.in: Regenerated.
	* configure: Regenerated.
	* lin-lwp.c (lin_lwp_xfer_memory): Call linux_proc_xfer_memory.
	* linux-proc.c (linux_proc_xfer_memory): New function.
	* config/nm-linux.h (linux_proc_xfer_memory): Add prototype.

2002-11-25  David Carlton  <carlton@math.stanford.edu>

	* dwarf2read.c (scan_partial_symbols): Descend into namespace
	pdi's with no name.

2002-11-25  Andrew Cagney  <ac131313@redhat.com>

	* MAINTAINERS: Mark h8500 as broken.  Breakage occured Fri Nov 5
	16:32:04 1999 Andrew Cagney <cagney@b1.cygnus.com>.

2002-11-25  Jim Blandy  <jimb@redhat.com>

	* symfile.c (init_objfile_sect_indices): New function.
	(default_symfile_offsets): Move the section-index-initializing
	stuff into init_objfile_sect_indices, and call that.

	* symtab.h (SIZEOF_N_SECTION_OFFSETS): New macro.
	(SIZEOF_SECTION_OFFSETS): Use SIZEOF_N_SECTION_OFFSETS.

	* symfile.c (syms_from_objfile): Adjust indentation.

	* symfile.c (symbol_file_add): Flush gdb_stdout even if from_tty
	|| info_verbose isn't true.

2002-11-24  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (FRAME_ARGS_ADDRESS, FRAME_LOCALS_ADDRESS): Change
	default to get_frame_base.
	* gdbarch.h, gdbarch.c: Regenerate.
	* arch-utils.c (default_frame_address): Delete function.
	* arch-utils.h (default_frame_address): Delete declaration

2002-11-24  Pierre Muller  <muller@ics.u-strasbg.fr>

	* varobj.c (find_frame_addr_in_frame_chain):
	Use get_frame_base instead of FRAME_FP,
	obvious fix.

2002-11-19  Andrew Cagney  <ac131313@redhat.com>

	* frame.h (FRAME_FP): Delete macro.
	(get_frame_base): New function declaration.
	* frame.c (get_frame_base): New function.
	(get_frame_id): Use ->frame.
	(frame_find_by_id): Rewrite to use get_frame_id.
	* blockframe.c: Use get_frame_base instead of FRAME_FP.
	* cris-tdep.c, d10v-tdep.c, findvar.c, h8500-tdep.c: Ditto.
	* hppa-tdep.c, i386-tdep.c, infcmd.c, infrun.c: Ditto.
	* m68hc11-tdep.c, m68k-tdep.c, mcore-tdep.c, mips-tdep.c: Ditto.
	* mn10200-tdep.c, mn10300-tdep.c, rs6000-tdep.c: Ditto.
	* sh-tdep.c, sparc-tdep.c, stack.c, tracepoint.c: Ditto.
	* v850-tdep.c, valops.c, z8k-tdep.c: Ditto.

2002-11-24  Andrew Cagney  <ac131313@redhat.com>

	* arm-tdep.c (arm_gdbarch_init): Do not set get_saved_register.

2002-11-24  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (set_unwind_by_pc): Revert change below, use
	PC_IN_CALL_DUMMY.
	(get_prev_frame): Ditto.

2002-11-24  Andrew Cagney  <ac131313@redhat.com>

	* dummy-frame.c (pc_in_dummy_frame): New function.
	(generic_pc_in_call_dummy): Call pc_in_dummy_frame.
	(find_dummy_frame): Update comment.
	(generic_pop_current_frame): Use get_frame_type.
	* dummy-frame.h (pc_in_dummy_frame): Declare.
	* frame.c (set_unwind_by_pc): Use pc_in_dummy_frame.
	(create_new_frame): Use pc_in_dummy_frame.
	(get_prev_frame): Use pc_in_dummy_frame.
	(frame_saved_regs_register_unwind): Use get_prev_frame.
	(deprecated_generic_get_saved_register): Use get_prev_frame.

2002-11-23  Andrew Cagney  <ac131313@redhat.com>

	* blockframe.c (find_frame_addr_in_frame_chain): Move function
	from here ...
	* varobj.c (find_frame_addr_in_frame_chain): ... to here.
	(varobj_create): Note that frame ID should be used.
	* frame.h (find_frame_addr_in_frame_chain): Delete declaration.

2002-11-23  Andrew Cagney  <ac131313@redhat.com>

	* breakpoint.c: Include "gdb_assert.h".
	(deprecated_frame_in_dummy): Assert that generic dummy frames are
	not being used.
	* Makefile.in (breakpoint.o): Update dependencies.
	* ada-lang.c (find_printable_frame): Use get_frame_type instead of
	deprecated_frame_in_dummy.
	* stack.c (print_frame_info_base): Ditto.
	(frame_info): Ditto.
	(print_frame_info_base): Ditto.  Delete dead code.
	
2002-11-23  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (m68k_tdep_h): Define.
	(abug-rom.o, cpu32bug-rom.o, dbug-rom.o, m68k-tdep.o, m68klinux-nat.o)
	(remote-est.o, rom68k-rom.o): Add $(m68k_tdep_h).
	* m68k-tdep.c: Move register number enum ...
	* m68k-tdep.h: ... to this new file and rename the constants from
	E_* to M68K_*.  All uses changed.
	* config/m68k/tm-m68k.h (D0_REGNUM, A0_REGNUM): Remove definitions.
	* abug-rom.c: Include "m68k-tdep.h".  Use
	M68K_D0_REGNUM/M68K_A0_REGNUM instead of D0_REGNUM/A0_REGNUM.
	* cpu32bug-rom.c: Likewise.
	* dbug-rom.c: Likewise.
	* m68k-tdep.c: Likewise.
	* m68klinux-nat.c: Likewise.
	* remote-est.c: Likewise.
	* rom68k-rom.c: Likewise.
	* config/m68k/tm-linux.h: Likewise.

2002-11-23  Andrew Cagney  <ac131313@redhat.com>

	* arm-tdep.c (arm_gdbarch_init): Remove old style non-generic
	dummy frame initialization code.
	* mips-tdep.c (mips_gdbarch_init): Ditto.

2002-11-22  Christopher Faylor  <cgf@redhat.com>

	* win32-nat.c (child_attach): Reset saw_create counter or subsequent
	attach will hang.

2002-11-22  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (FRAME_ARGS_ADDRESS, FRAME_LOCALS_ADDRESS): Default
	to default_frame_address.
	* gdbarch.h, gdbarch.c: Re-generate.

	* d10v-tdep.c (d10v_gdbarch_init): Do not set frame_args_address
	or frame_locals_address to default_frame_address.
	* m68k-tdep.c (m68k_gdbarch_init): Update.
	* i386-tdep.c (i386_gdbarch_init): Update.
	* frv-tdep.c (frv_gdbarch_init): Update.
	* sh-tdep.c (sh_gdbarch_init): Update.
	* v850-tdep.c (v850_gdbarch_init): Update.
	* sparc-tdep.c (sparc_gdbarch_init): Update.
	* mips-tdep.c (mips_gdbarch_init): Update.
	* mn10300-tdep.c (mn10300_gdbarch_init): Update.
	* x86-64-tdep.c (x86_64_gdbarch_init): Update.
	* xstormy16-tdep.c (xstormy16_gdbarch_init): Update.

	* cris-tdep.c (cris_frame_args_address): Delete function.
	(cris_frame_locals_address): Delete function.
	(cris_gdbarch_init): Do not set frame_args_address or
	frame_locals_address.

2002-11-22  Michael Snyder  <msnyder@redhat.com>

	* thread-db.c (thread_db_load): Tell the user what's going on
	if dlopen fails on libthread_db.

2002-11-23  Andreas Schwab  <schwab@suse.de>

	* m68k-tdep.c (m68k_register_virtual_type): Use architecture
	invariant return values.

2002-11-22  Andreas Schwab  <schwab@suse.de>

	* valops.c (value_slice): Move declaration of `offset' to avoid
	warning.

2002-11-22  Christopher Faylor  <cgf@redhat.com>

	* win32-nat.c (psapi_get_dll_name): Fix a compiler warning.
	(struct so_stuff): Add end_addr field.
	(register_loaded_dll): Calculate and store end address of loaded dll.
	(solib_address): New function.
	(child_solib_loaded_library_pathname): Pass carefully constructed
	section info to safe_symbol_file_add rather than ignoring it.
	(get_child_debug_event): Call re_enable_breakpoints_in_shlibs when a
	DLL is loaded.
	(do_initial_child_stuff): Call disable_breakpoints_in_shlibs.
	(child_create_inferior): Fix a compiler warning.
	* config/i386/tm-cygwin.h (PC_SOLIB): Define new macro.
	(solib_address): Declare new function.

2002-11-22  Andreas Schwab  <schwab@suse.de>

	* m68k-tdep.c (m68k_register_virtual_type): Return int for SR, FPC
	and FPS registers.

2002-11-21  Daniel Jacobowitz  <drow@mvista.com>

	* maint.c (_initialize_maint_cmds): Fix typo.  From
	Francesco Potorti` <pot@gnu.org>.

2002-11-21  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (mips_dump_tdep): Delete references to
	GDB_TARGET_UNMASK_DISAS_PC and GDB_TARGET_MASK_DISAS_PC.
	* config/mips/tm-mips.h (GDB_TARGET_MASK_DISAS_PC): Delete macro.
	(GDB_TARGET_UNMASK_DISAS_PC): Delete macro.
	* printcmd.c (build_address_symbolic): Delete calls to
	GDB_TARGET_UNMASK_DISAS_PC and GDB_TARGET_MASK_DISAS_PC.
	(address_info): Ditto.
	Fix PR gdb/773.
	
2002-11-19  Klee Dienes  <kdienes@apple.com>
            Adam Fedor  <fedor@gnu.org>

	* completer.c (skip_quoted_chars): Renamed from skip_chars.  Add
	the ability to explicitly specify the quote characters and word
	break characters; if NULL is specified for either, use the old
	behavior of using the characters used by the completer.
	(skip_chars): New function.  Convenience wrapper around
	skip_quoted_chars to provide the original skip_chars behavior.
	* completer.h (skip_quoted_chars): Add prototype.

2002-11-19  Andrew Cagney  <ac131313@redhat.com>

	Problems reported by Paul Eggert.
	* gdbarch.sh: Use `sort -k 3`.  Fix PR gdb/527.

2002-11-19  Andreas Schwab  <schwab@suse.de>

	* m68klinux-nat.c (IS_SIGTRAMP, IS_RT_SIGTRAMP) 
	(m68k_linux_in_sigtramp, SIGCONTEXT_PC_OFFSET) 
	(UCONTEXT_PC_OFFSET, m68k_linux_sigtramp_saved_pc) 
	(m68k_linux_frame_saved_pc): Move to ...
	* m68klinux-tdep.c: ... here.  New file.
	* Makefile.in (m68klinux-tdep.o): Add dependencies.
	* config/m68k/linux.mt (TDEPFILES): Add m68klinux-tdep.o.

2002-11-19  Adam Fedor  <fedor@gnu.org>

	* objc-exp.y: Revert to old skip_quoted usage.

2002-11-19  Adam Fedor  <fedor@gnu.org>

	* Makefile.in (SFILES): Add objc-exp.y objc-lang.c.
	(objc_lang_h): Define.
	(YYFILES): Add objc-exp.tab.c.
	(local-maintainer-clean): Remove objc-exp.tab.c.
	(objc-exp.tab.c, objc-exp.tab.o, objc-lang.o): New target.
	
2002-11-19  Pierre Muller  <muller@ics.u-strasbg.fr>

	* p-exp.y (typecast rule): Add automatic dereference of
	pascal classes if needed.
	(THIS): Set current_type.
	Automatically dereference pascal classes. 
	(typebase rule): Add ^typebase recognition.

2002-11-18  Adam Fedor  <fedor@gnu.org>

	* expprint.c (print_subexp): Handle OP_OBJC_NSSTRING,
	OP_OBJC_MSGCALL, and OP_OBJC_SELF.	
	(op_name): Handle OP_OBJC_SELF.
	* Makefile.in (expprint.o): Add additional depends.

2002-11-18  Adam Fedor  <fedor@gnu.org>

	* expression.h: Rename ObjC ops to OP_OBJC_MSGCALL,
	OP_OBJC_SELECTOR, OP_OBJC_NSSTRING, and OP_OBJC_SELF.
	* parse.c (length_of_subexp, prefixify_subexp): Likewise.
	* objc-exp.y: Likewise.	

2002-11-18  Adam Fedor  <fedor@gnu.org>

	* gdb/parser-defs.h: (struct objc_class_str): New structure
	for parsing ObjC classes.

2002-11-18  Andrew Cagney  <ac131313@redhat.com>

	* stack.c (frame_relative_level): Copy function from here ...
	* frame.c (frame_relative_level): ...to here.

2002-11-18  Andrew Cagney  <ac131313@redhat.com>

	* frame.h (enum frame_type): Define.
	(get_frame_type): Declare.
	(struct frame_info): Add field `type'.  Delete field
	signal_handler_caller.
	(deprecated_set_frame_signal_handler_caller): Declare.
	* frame.c (get_frame_type): New function.
	(deprecated_set_frame_type): New function.
	(create_new_frame): Set the frame's type.
	(get_prev_frame): Similar.
	* sparc-tdep.c: Use get_frame_type instead of signal_handler_caller.
	* s390-tdep.c: Ditto.
	* m68klinux-nat.c: Ditto.
	* ns32k-tdep.c: Ditto.
	* x86-64-linux-tdep.c: Ditto.
	* vax-tdep.c: Ditto.
	* rs6000-tdep.c: Ditto.
	* ppc-linux-tdep.c: Ditto.
	* i386-interix-tdep.c: Ditto.
	* mips-tdep.c: Ditto.
	* m68k-tdep.c: Ditto.
	* hppa-tdep.c: Ditto.
	* ia64-tdep.c: Ditto.
	* cris-tdep.c: Ditto.
	* arm-tdep.c: Ditto.
	* alpha-tdep.c: Ditto.
	* i386-tdep.c: Ditto.
	* stack.c: Ditto.
	* ada-lang.c: Ditto.
	* blockframe.c: Update.
	* i386-interix-tdep.c (i386_interix_back_one_frame): Use
	deprecated_set_frame_type instead of signal_handler_caller.
	* ppc-linux-tdep.c (ppc_linux_init_extra_frame_info): Ditto.
	* rs6000-tdep.c (rs6000_init_extra_frame_info): Ditto.
	* breakpoint.h: Delete FIXME suggesting get_frame_type.

2002-11-18   Klee Dienes  <kdienes@apple.com>

	* Makefile.in (buildsym.o): Add dependency for gdb_assert.h.

2002-11-18  Klee Dienes  <kdienes@apple.com>

	* buildsym.c (pop_context): Add comment.
	
2002-11-18  Klee Dienes  <kdienes@apple.com>

        * buildsym.h (pop_context): Convert to function, defined in
	buildsym.c.
	* buildsym.c: Include gdb_assert.h.
	(pop_context): Implement as C function.  Add check for stack
	underflow.
        * dbxread.c (process_one_symbol): Complain and stop processing
	that symbol if we are already at the top of the context stack for
	a function-end N_FUN (this would imply an umatched RBRAC).  Ditto
	when processing N_RBRAC.

2002-11-16  Daniel Jacobowitz  <drow@mvista.com>

	* config/pa/nm-hppah.h (CHILD_POST_FOLLOW_INFERIOR_BY_CLONE): Don't
	define.
	(struct target_waitstatus): Add opaque definition.
	* corelow.c (init_core_ops): Don't set to_clone_and_follow_inferior.
	* exec.c (init_exec_ops): Likewise.
	* fork-child.c (clone_and_follow_inferior): Remove.
	* hppah-nat.c (child_post_follow_inferior_by_clone): Remove.
	* inferior.h (clone_and_follow_inferior): Remove prototype.
	* infrun.c (follow_fork_mode_both): Remove.
	(follow_fork_mode_kind_names): Remove commented out "both".
	(follow_inferior_fork): Remove follow_fork_mode_both support.
	* inftarg.c (child_clone_and_follow_inferior): Remove.
	(child_post_follow_inferior_by_clone): Remove.
	(init_child_ops): Don't set to_clone_and_follow_inferior
	or to_post_follow_inferior_by_clone.
	* target.c (default_clone_and_follow_inferior): Remove.
	(cleanup_target): Don't set to_clone_and_follow_inferior
	or to_post_follow_inferior_by_clone.
	(find_default_clone_and_follow_inferior): Remove.
	(init_dummy_target): Don't set to_clone_and_follow_inferior.
	(debug_to_clone_and_follow_inferior): Remove.
	(debug_to_post_follow_inferior_by_clone): Remove.
	(setup_target_debug): Don't set to_clone_and_follow_inferior
	or to_post_follow_inferior_by_clone.
	* target.h (struct target_ops): Remove to_clone_and_follow_inferior
	and to_post_follow_inferior_by_clone.
	(child_clone_and_follow_inferior): Remove prototype.
	(child_post_follow_inferior_by_clone): Remove prototype.
	(target_clone_and_follow_inferior): Remove macro.
	(target_post_follow_inferior_by_clone): Remove macro.
	(find_default_clone_and_follow_inferior): Remove prototype.

2002-11-16  Daniel Jacobowitz  <drow@mvista.com>

	* breakpoint.c (bpstat_stop_status): Call inferior_has_forked,
	inferior_has_vforked, and inferior_has_execd instead of
	target_has_forked, target_has_vforked, and target_has_execd.
	* config/pa/nm-hppah.h (CHILD_HAS_FORKED, CHILD_HAS_VFORKED)
	(CHILD_HAS_EXECD, CHILD_HAS_SYSCALL_EVENT): Don't define.
	(CHILD_WAIT): Define.
	(child_wait): Add prototype.
	* hppah-nat.c (hpux_has_forked): Rename from child_has_forked.
	Add prototype.
	(hpux_has_vforked): Likewise, from child_has_vforked.
	(hpux_has_execd): Likewise, from child_has_execd.
	(hpux_has_syscall_event): Likewise, from child_has_syscall_event.
	(not_same_real_pid, child_wait): New, copied from inftarg.c.
	Call hpux_has_forked, hpux_has_vforked, hpux_has_execd,
	and hpux_has_syscall_event instead of the target hooks.
	* infrun.c (inferior_has_forked, inferior_has_vforked)
	(inferior_has_execd): New functions.
	* inftarg.c (not_same_real_pid): Remove.
	(child_wait): Remove references to not_same_real_pid,
	target_has_forked, target_has_vforked, target_has_execd,
	and target_has_syscall_event.
	(child_has_forked, child_has_vforked, child_has_execd)
	(child_has_syscall_event): Remove.
	(init_child_ops): Remove references to child_has_forked,
	child_has_vforked, child_has_execd, and child_has_syscall_event.
	* infttrace.c (hpux_has_forked): Rename from child_has_forked.
	(hpux_has_vforked): Likewise, from child_has_vforked.
	(hpux_has_execd): Likewise, from child_has_execd.
	(hpux_has_syscall_event): Likewise, from child_has_syscall_event.
	* target.c (cleanup_target): Remove references to
	to_has_forked, to_has_vforked, to_has_execd, and
	to_has_syscall_event.
	(update_current_target): Likewise.
	(setup_target_debug): Likewise.
	(debug_to_has_forked): Remove.
	(debug_to_has_vforked): Remove.
	(debug_to_has_execd): Remove.
	(debug_to_has_syscall_event): Remove.
	* target.h (struct target_ops): Remove to_has_forked.
	to_has_vforked, to_has_execd, and to_has_syscall_event.
	(child_has_forked, child_has_vforked, child_has_execd)
	(child_has_syscall_event): Remove prototypes.
	(inferior_has_forked, inferior_has_vforked, inferior_has_execd): Add
	prototypes.
	(target_has_forked, target_has_vforked, target_has_execd)
	(target_has_syscall_event): Remove macros.

2002-11-16  Daniel Jacobowitz  <drow@mvista.com>

	* hppah-nat.c (child_can_follow_vfork_prior_to_exec): Remove.
	* inftarg.c (child_can_follow_vfork_prior_to_exec): Remove.
	(init_child_ops): Don't initialize to_can_follow_vfork_prior_to_exec.
	* infttrace.c (child_can_follow_vfork_prior_to_exec): Remove.
	* target.c (cleanup_target): Remove reference to
	to_can_follow_vfork_prior_to_exec.
	(update_current_target): Likewise.
	(debug_to_can_follow_vfork_prior_to_exec): Remove.
	(setup_target_debug): Remove reference to
	to_can_follow_vfork_prior_to_exec.
	* target.h (struct target_ops): Remove
	to_can_follow_vfork_prior_to_exec.
	(child_can_follow_vfork_prior_to_exec): Remove prototype.
	(target_can_follow_vfork_prior_to_exec): Remove definition.
	* config/pa/nm-hppah.h (CHILD_CAN_FOLLOW_VFORK_PRIOR_TO_EXEC): Don't
	define.
	* infrun.c (follow_vfork_when_exec): Remove.
	(follow_inferior_fork): Remove references to follow_vfork_when_exec.
	(follow_exec): Likewise.
	(handle_inferior_event): Likewise.
	(keep_going): Likewise.

2002-11-15  Andrew Cagney  <cagney@redhat.com>

	* frame.c (generic_unwind_get_saved_register): Make static.
	* frame.h (generic_unwind_get_saved_register): Delete declaration.
	* avr-tdep.c (avr_gdbarch_init): Do not set get_saved_register,
	defaults to generic_unwind_get_saved_register.
	* mn10300-tdep.c (mn10300_gdbarch_init): Ditto.
	* h8300-tdep.c (h8300_gdbarch_init): Ditto.
	* frv-tdep.c (frv_gdbarch_init): Ditto.
	* i386-tdep.c (i386_gdbarch_init): Ditto.
	* s390-tdep.c (s390_gdbarch_init): Ditto.
	* rs6000-tdep.c (rs6000_gdbarch_init): Ditto.
	* v850-tdep.c (v850_gdbarch_init): Ditto.
	* mcore-tdep.c (mcore_gdbarch_init): Ditto.
	* d10v-tdep.c (d10v_gdbarch_init): Ditto.
	* config/mn10200/tm-mn10200.h (GET_SAVED_REGISTER): Delete macro.

2002-11-15  Andrew Cagney  <cagney@redhat.com>

	* x86-64-linux-nat.c (i386_sse_regnum_p): New function.  Copy from
	i386-tdep.c.

2002-11-15  Andrew Cagney  <cagney@redhat.com>

	* frame.h (sigtramp_saved_pc): Delete declaration.
	* blockframe.c (sigtramp_saved_pc): Delete function.
	* ns32k-tdep.c (ns32k_sigtramp_saved_pc): New function.
	(ns32k_frame_saved_pc): Call ns32k_sigtramp_saved_pc.
	* vax-tdep.c (vax_sigtramp_saved_pc): New function.
	(vax_frame_saved_pc): Call vax_sigtramp_saved_pc.

2002-11-15  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (frame_pc_unwind): New function.
	(frame_saved_regs_pc_unwind): New function.
	(frame_register_unwind): Pass unwind_cache instead of
	register_unwind_cache.
	(set_unwind_by_pc): Add unwind_pc parameter, set.
	(create_new_frame): Pass frame->pc_unwind to set_unwind_by_pc.
	(get_prev_frame): Ditto.
	* frame.h (frame_pc_unwind_ftype): Declare.
	(struct frame_info): Add pc_unwind, pc_unwind_cache_p and
	pc_unwind_cache.  Rename register_unwind_cache to unwind_cache.
	(frame_pc_unwind): Declare.
	* dummy-frame.c (dummy_frame_pc_unwind): New function.
	(struct dummy_frame): Add comment mentioning that values are for
	previous frame.
	* dummy-frame.h (dummy_frame_pc_unwind): Declare.
	* blockframe.c (file_frame_chain_valid): Use frame_pc_unwind.
	(generic_file_frame_chain_valid): Ditto.
	* stack.c (frame_info): Ditto.

2002-11-15  David Carlton  <carlton@math.stanford.edu>

	* linespec.c (locate_first_half): New function.
	(decode_line_1): Move code into locate_first_half.

2002-11-15  Andrew Cagney  <ac131313@redhat.com>

	* complaints.h: Add comment explaining how to eliminate a
	deprecated_complain call.
	* complaints.h: Fix spelling errors.

2002-11-15  David Carlton  <carlton@math.stanford.edu>

	* printcmd.c: Remove #include "disasm.h".

2002-11-14  Andrew Cagney  <ac131313@redhat.com>

	* frame.h: Move the most relevant interface functions to the start
	of the file.

2002-11-14  Andrew Cagney  <ac131313@redhat.com>

	* regcache.h (deprecated_registers): Rename registers.
	* a68v-nat.c, alpha-nat.c, arch-utils.c, core-sol2.c: Update.
	* hp300ux-nat.c, hppab-nat.c, hppah-nat.c: Update.
	* hppam3-nat.c, hpux-thread.c, i386gnu-nat.c: Update.
	* ia64-aix-nat.c, ia64-linux-nat.c, ia64-tdep.c: Update.
	* irix4-nat.c, irix5-nat.c, lynx-nat.c, m68k-tdep.c: Update.
	* m68knbsd-nat.c, mips-linux-tdep.c, mipsm3-nat.c: Update.
	* mipsv4-nat.c, ns32knbsd-nat.c, ppc-bdm.c: Update.
	* ppc-sysv-tdep.c, ptx4-nat.c, regcache.c, remote-es.c: Update.
	* remote-sds.c, remote-vx68.c, remote-vxmips.c: Update.
	* remote-vxsparc.c, rs6000-tdep.c, sol-thread.c: Update.
	* sparc-nat.c, sparc-tdep.c, sun3-nat.c, symm-nat.c: Update.
	* v850ice.c: Update.

Wed Nov 13 19:51:05 2002  Andrew Cagney  <cagney@redhat.com>

	* utils.c (gdb_realpath): Add comment mentioning realpath with a
 	NULL buffer.

2002-11-13  Andrew Cagney  <cagney@redhat.com>

	* regcache.h (deprecated_read_register_bytes): Rename
	read_register_bytes.
	(deprecated_write_register_bytes): Rename write_register_bytes.
	* alpha-tdep.c, arm-tdep.c, cris-tdep.c, d10v-tdep.c: Update.
	* dwarf2cfi.c, frv-tdep.c, hppa-tdep.c, ia64-tdep.c: Update.
	* m68k-tdep.c, mcore-tdep.c, mips-tdep.c, mn10300-tdep.c: Update.
	* ns32k-tdep.c, regcache.c, remote-sds.c, remote-vx.c: Update.
	* remote.c, rs6000-tdep.c, s390-tdep.c, sh-tdep.c: Update.
	* sparc-tdep.c, v850-tdep.c, vax-tdep.c, x86-64-tdep.c: Update.
	* xstormy16-tdep.c, z8k-tdep.c, config/nm-gnu.h: Update.
	* config/nm-m3.h, config/h8500/tm-h8500.h: Update.
	* config/i386/nm-ptx4.h, config/i386/nm-symmetry.h: Update.
	* config/m32r/tm-m32r.h, config/m68k/nm-sun3.h: Update.
	* config/m68k/tm-delta68.h, config/m68k/tm-linux.h: Update.
	* config/mn10200/tm-mn10200.h, config/pa/tm-hppa64.h: Update.
	* config/sparc/nm-nbsd.h, config/sparc/nm-sun4os4.h: Update.
	* config/sparc/nm-sun4sol2.h, config/sparc/tm-sparclet.h: Update.

2002-11-13  Jim Blandy  <jimb@redhat.com>

	* findvar.c (read_var_value): Doc fix.

2002-11-13  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (struct regcache): Replace passthough_p with
	readonly_p.
	(regcache_xmalloc): Initialize readonly_p.
	(build_regcache): Initialize readonly_p.
	(regcache_save): New function.
	(regcache_restore): New function.
	(regcache_cpy): Re-implement using regcache_save and
	regcache_restore.
	(regcache_raw_read): Update.
	(regcache_cooked_read): When a read-only cache, checked for cached
	pseudo register values.
	(regcache_raw_write): Assert that the cache is not read-only.
	Remove code handling a non-passthrough cache.
	* regcache.h (regcache_save): Declare.
	(regcache_restore): Declare.

2002-11-13  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (struct regcache_descr): Add fields
	sizeof_cooked_registers and sizeof_cooked_register_valid_p.
	(init_legacy_regcache_descr): Compute the size of a cooked
	register cache and then assign that to sizeof_raw_registers.  Set
	sizeof_raw_register_valid_p to sizeof_cooked_register_valid_p
	(init_legacy_regcache_descr): Ditto.

2002-11-13  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (register_buffer): Move to near start of file, update
	description.
	(regcache_raw_read): Use.
	(regcache_raw_write): Use.
	(struct regcache): Rename raw_registers to registers and
	raw_register_valid_p to register_valid_p.
	(regcache_xmalloc): Update.
	(regcache_xfree): Update.
	(register_buffer): Update.
	(regcache_cpy): Update.
	(regcache_cpy_no_passthrough): Update.
	(regcache_valid_p): Update.
	(deprecated_grub_regcache_for_registers): Update.
	(deprecated_grub_regcache_for_register_valid): Update.
	(set_register_cached): Update.
	(regcache_raw_write): Update.

2002-11-13  Pierre Muller  <muller@ics.u-strasbg.fr>

	* p-exp.y (name_not_typename): Use copy_name to
	set current_type variable for fields of THIS.

2002-11-12  Daniel Jacobowitz  <drow@mvista.com>

	* gnu-nat.c (init_gnu_ops): Remove NULL initializations.
	* monitor.c (init_base_monitor_ops): Likewise.
	* ppc-bdm.c (init_bdm_ppc_ops): Likewise.
	* remote-array.c (init_array_ops): Likewise.
	* remote-e7000.c (init_e7000_ops): Likewise.
	* remote-es.c (init_es1800_ops): Likewise.
	(init_es1800_child_ops): Likewise.
	* remote-rdp.c (init_remote_rdp_ops): Likewise.
	* remote-sim.c (init_gdbsim_ops): Likewise.
	* remote-st.c (init_st2000_ops): Likewise.
	* sol-thread.c (init_sol_core_ops): Likewise.
	(init_sol_thread_ops): Likewise.
	* v850ice.c (init_850ice_ops): Likewise.
	* win32-nat.c (init_child_ops): Likewise.
	* wince.c (init_child_ops): Likewise.

2002-11-12  Andrew Cagney  <ac131313@redhat.com>

	* utils.c (gdb_realpath): Make rp a constant pointer.

2002-11-12  Andrew Cagney  <ac131313@redhat.com>

	* utils.c (gdb_realpath): Rewrite.  Try, in order: realpath() with
	a constant buffer; cannonicalize_file_name(); realpath() with a
	pathconf() defined buffer, xstrdup().

2002-11-12  Andrew Cagney  <ac131313@redhat.com>

	* config/djgpp/fnchange.lst: Fix typo, hang1.c to hang1.C; hang2.c
	to hang2.C; hang3.c to hang3.C.

2002-11-11  Elena Zannoni  <ezannoni@redhat.com>

        * findvar.c (read_var_value): Reenable TLS code.

2002-11-11  Elena Zannoni  <ezannoni@redhat.com>
            Jim Blandy  <jimb@redhat.com>
	
	* gdb_thread_db.h (enum): Add TD_NOTALLOC.
	* target.c (update_current_target): Add
	to_get_thread_local_address.
	* target.h (to_get_thread_local_address): Export.
	(target_get_thread_local_address): Define.
	(target_get_thread_local_address_p): Define.
	* thread-db.c: Include solib-svr4.h.
	(td_thr_tls_get_addr_p): Define.
	(thread_db_load): Get a pointer to td_thr_tls_get_addr.
	(thread_db_get_thread_local_address): New function.
	(init_thread_db_ops): Initialize to_get_thread_local_address.
	* configure.in: Add test for TD_NOTALLOC in thread_db.h.
	* configure: Regenerate.
	* config.in: Regenerate.

2002-11-11  David Carlton  <carlton@math.stanford.edu>

	* linespec.c (set_flags): New function.
	(decode_line_1): Move code into set_flags.

2002-11-11  David Carlton  <carlton@math.stanford.edu>

	* linespec.c (decode_line_1): Move chunks of code to separate
	functions.
	(initialize_defaults): New function.
	(decode_indirect): New function.

2002-11-11  Andrew Cagney  <ac131313@redhat.com>

	* blockframe.c (sigtramp_saved_pc): Fix tipo. void_func_ptr
	instead of void_code_ptr.
	(sigtramp_saved_pc): Ditto.

	* x86-64-tdep.c (i386_fp_regnum_p): Copy i386-tdep.c's
	i386_fp_regnum_p.

2002-11-10  Daniel Jacobowitz  <drow@mvista.com>

	* gdbtypes.h (struct main_type): Move artificial flag out of
	loc.  New member of ``struct field'' named static_kind.  Reduce
	overloaded meaning of bitsize.
	(FIELD_ARTIFICIAL, SET_FIELD_PHYSNAME, SET_FIELD_PHYSADDR)
	(TYPE_FIELD_STATIC, TYPE_FIELD_STATIC_HAS_ADDR): Likewise.
	(FIELD_STATIC_KIND, TYPE_FIELD_STATIC_KIND): New macros.

	* ada-lang.c (fill_in_ada_prototype): Initialize static_kind for
	new fields.
	(template_to_fixed_record_type, template_to_static_fixed_type)
	(to_record_with_fixed_variant_part): Likewise.
	* coffread.c (coff_read_struct_type, coff_read_enum_type): Likewise.
	* dwarf2read.c (dwarf2_add_field, read_enumeration): Likewise.
	* dwarfread.c (struct_type, enum_type): Likewise.
	* hpread.c (hpread_read_enum_type)
	(hpread_read_function_type, hpread_read_doc_function_type)
	(hpread_read_struct_type): Likewise.
	* mdebugread.c (parse_symbol): Likewise.

2002-11-10  Andrew Cagney  <ac131313@redhat.com>

	* breakpoint.h (deprecated_frame_in_dummy): Rename frame_in_dummy.
	* stack.c (print_frame_info_base): Update.
	(print_frame_info_base, frame_info): Update.
	* sparc-tdep.c (sparc_init_extra_frame_info): Update.
	(sparc_frame_saved_pc): Update.
	* ada-lang.c (find_printable_frame): Update.
	* breakpoint.c (deprecated_frame_in_dummy): Update.
	
2002-11-09  Mark Kettenis  <kettenis@gnu.org>

	* i386-linux-nat.c (ORIG_EAX): Define to -1 if not already
	defined.
	(regmap): Extend to cover all registers.
	(PT_READ_U, PT_WRITE_U, PTRACE_XFER_TYPE,
	OLD_CANNOT_FETCH_REGISTERS, OLD_CANNOT_STORE_REGISTERS): Remove
	definitions.
	(fetch_register, sore_register): Simplify.
	(old_fetch_inferior_registers, old_store_inferior_registers):
	Remove functions.
	(cannot_fetch_register, cannot_store_register): Change
	implementation to use regmap array to decide which registers
	cannot be fetched/stored.  This removes $orig_eax from the
	registers that cannot be fetched/stored.
	(fetch_inferior_registers): Call fetch_register directly instead
	of calling old_fetch_inferior_registers.
	(store_inferior_registers): Call store_register directly instead
	of calling old_store_inferior_registers.
	(i386_linux_dr_get): Replace PT_READ_U with PTRACE_PEEKUSER.
	(i386_linux_dr_set): Replace PT_WRITE_U with PTRACE_POKEUSER.
	* config/i386/nm-linux.h (U_REGS_OFFSET): Remove definition.

2002-11-09  Klee Dienes  <kdienes@apple.com>

        * i387-tdep.c (i387_supply_register): When called with NULL as a
	buffer, mark the register as not provided (to mirror the behavior
	of supply_register).
        (i387_supply_fxsave): Ditto.
        (i387_supply_fsave): Ditto (inherits the behavior from
	i387_supply_register).

2002-11-09  Klee Dienes  <kdienes@apple.com>

	* blockframe.c (sigtramp_saved_pc): Use
	builtin_type_void_code_ptr, not builtin_type_void_data_ptr (we are
	extracting the PC).  Use TYPE_LENGTH (builtin_type_void_code_ptr)
	instead of (TARGET_PTR_BIT / TARGET_CHAR_BIT).
	
2002-11-09  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (get_prev_frame): Test prev_p to identify a previously
	unwound frame.  Initialize prev_p.
	* frame.h (struct frame_info): Add field prev_p.  Expand prev/next
	comment.

2002-11-09  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (get_prev_frame): Cleanups.  Eliminate redundant tests
	for a NULL NEXT_FRAME.  Simplify fromleaf initialization.  Add
	more comments.  Zap dead code.

2002-11-09  Mark Kettenis  <kettenis@gnu.org>

	* infcmd.c (print_vector_info, print_float_info): Move code that
	checks whether the target has any registers and whether there is a
	selected frame up, such that it is also used if a target provides
	multi-arch definitions of these functions.

2002-11-08  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in (DESTDIR): Define.
	(install-only, install-gdbtk, uninstall-gdbtk): Add $(DESTDIR)
	prefix.

	* config/djgpp/fnchange.lst: 8.3 proof i386obsd-nat.c and
	i386obsd-tdep.c.  Rename to "gdb.cxx", paths containing "gdb.c++".

2002-11-08  Andrew Cagney  <ac131313@redhat.com>

	* i386-linux-tdep.c: Include "reggroups.h".
	(i386_linux_register_reggroup_p): New function.
	(i386_linux_init_abi): Set register_reggroup_p to
	i386_linux_register_reggroup_p.
	* i386-tdep.h (i386_register_reggroup_p): Declare.
	* i386-tdep.c: Include "reggroups.h".
	(i386_init_reggroups): New function.
	(i386_add_reggroups): New function.
	(i386_register_reggroup_p): New function.
	(i386_sse_reggroup, i386_mmx_reggroup): New variables.
	(_initialize_i386_tdep): Call i386_init_reggroups.
	(i386_gdbarch_init): Set register_reggroup_p and add in the i386
	specific reggroups.

2002-11-09  Mark Kettenis  <kettenis@gnu.org>

	* infptrace.c (child_xfer_memory): Make use of the new PT_IO
	request that's available in *BSD.

	* i386-tdep.h (IS_FPU_CTRL_REGNUM): Remove.

	* i387-tdep.c (i387_fill_fxsave): Use FOOFF_REGNUM instead of
	FDOFF_REGNUM.

2002-11-08  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (set_unwind_by_pc): Use dummy_frame_register_unwind.
	* dummy-frame.c (find_dummy_frame): Rename
	generic_find_dummy_frame, make static.  Return the dummy frame
	instead of the regcache.
	(generic_find_dummy_frame): Re-implement using find_dummy_frame,
	(cached_find_dummy_frame): New function.  Use find_dummy_frame.
	(dummy_frame_register_unwind): Rename
	generic_call_dummy_register_unwind.  Use cached_find_dummy_frame.
	* dummy-frame.h (dummy_frame_register_unwind): Rename
	generic_call_dummy_register_unwind.

2002-11-08  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/tm-i386v42mp.h: Remove file.  Move its contents,
	except the inclusion of "i386/tm-i386.h", to...
	* config/i386/nm-i386v42mp.h: ...here.
	* config/i386/i386v42mp.mt (TM_FILE): Set to tm-i386.h.

2002-11-08  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in (frame.o): Update dependencies.
	* blockframe.c (current_frame, frame_obstack_alloc)
	(frame_saved_regs_zalloc, get_current_frame)
	(set_current_frame, create_new_frame)
	(set_unwind_by_pc, get_next_frame)
	(flush_cached_frames, reinit_frame_cache)
	(frame_saved_regs_register_unwind)
	(deprecated_generic_get_saved_register)
	(get_prev_frame, get_frame_pc, get_frame_saved_regs)
	(_initialize_blockframe): Move frame code from here...
	* frame.c: ...to here.  Include "gdb_obstack.h", "gdbcore.h",
	"annotate.h" and "dummy-frame.h".
	(_initialize_frame): New function.

2002-11-08  Jim Blandy  <jimb@redhat.com>

	* dwarf2read.c (read_func_scope): Restore list_in_scope properly
	when we finish a function a context.
	* buildsym.h (outermost_context_p): New macro.
	(Bug analyzed by David Edelsohn.)

2002-11-08  Andrew Cagney  <ac131313@redhat.com>

	* blockframe.c: Include "dummy-frame.h".
	(struct dummy_frame, dummy_frame_stack)
	(generic_find_dummy_frame, deprecated_generic_find_dummy_frame)
	(generic_pc_in_call_dummy, deprecated_read_register_dummy)
	(generic_push_dummy_frame, generic_save_dummy_frame_tos)
	(generic_save_call_dummy_addr, generic_pop_current_frame)
	(generic_pop_dummy_frame, generic_fix_call_dummy)
	(generic_fix_call_dummy, generic_call_dummy_register_unwind): Move
	dummy frame code from here...
	* dummy-frame.c: ...to here.  New file.
	* dummy-frame.h: New file.
	(generic_call_dummy_register_unwind): Declare.
	(generic_find_dummy_frame): Declare.
	* Makefile.in (SFILES): Add dummy-frame.c.
	(dummy-frame.o): Specify dependencies.
	(dummy_frame_h): Define.
	(COMMON_OBS): Add dummy-frame.o.
	(blockframe.o): Update dependencies.

2002-11-08  Jim Blandy  <jimb@redhat.com>

	* dwarf2read.c (read_func_scope): Restore local_symbols and
	param_symbols after we finish the function context.  (Based on a
	patch from David Edelsohn.)

2002-11-08  David Carlton  <carlton@math.stanford.edu>

	* linespec.c (symbol_found): New function.
	(minsym_found): New function.
	(decode_line_1): Separate out some code into separate functions.

2002-11-08  Joel Brobecker  <brobecker@gnat.com>

	* i386-tdep.c (i386_frameless_signal_p): Make non static for
	the benefit of the interix target.
	* i386-tdep.h (i386_frameless_signal_p): Declare.

2002-11-08  Andrew Cagney  <ac131313@redhat.com>

	* i386-tdep.h (i386_linux_orig_eax_regnum_p): Delete stray
	declaration that snuck in from change below.

2002-11-06  Andrew Cagney  <cagney@redhat.com>

	* i386-tdep.c (i386_mmx_regnum_p): Rename mmx_regnum_p.  Update
	all callers.
	(i386_fp_regnum_p): New function.  Use instead of FP_REGNUM_P.
	(i386_fpc_regnum_p): New function.  Use instead of FPC_REGNUM_P.
	(i386_sse_regnum_p): New function.  Use instead of SSE_REGNUM_P.
	(i386_mxcsr_regnum_p): new function.  Use instead of
	MXCSR_REGNUM_P.
	* i386-tdep.h (SSE_REGNUM_P): Delete macro.
	(i386_sse_regnum_p): Declare.
	(i386_mxcsr_regnum_p): Declare.
	(FP_REGNUM_P, FPC_REGNUM_P): Delete macros.
	(i386_fp_regnum_p, i386_fpc_regnum_p): Declare.
	(IS_FP_REGNUM): Update definition.
	(IS_FPU_CTRL_REGNUM): Update definition..
	(IS_SSE_REGNUM): Update definition..
	* i386v-nat.c (register_u_addr): Update.
	* go32-nat.c (fetch_register): Update.
	(store_register): Update.

2002-11-07  Joel Brobecker  <brobecker@gnat.com>

	Preparation work to convert the hppa targets to multiarch partial.

	* hppa-tdep.c: Add new functions replacing macro bodies from
	config/pa/tm-hppa.h. These function will be used to initialize
	the gdbarch structure. Import some comments from tm-hppa.h,
	and place them where appropriate, to avoid loosing them when
	we cleanup this file.
	(hppa_reg_struct_has_addr): New function.
	(hppa_inner_than): New function.
	(hppa_stack_align): New function.
	(hppa_pc_requires_run_before_use): New function.
	(hppa_instruction_nullified): New function.
	(hppa_register_byte): New function.
	(hppa_register_virtual_type): New function.
	(hppa_store_struct_return): New function.
	(hppa_cannot_store_register): New function.
	(hppa_frame_args_address): New function.
	(hppa_frame_locals_address): New function.
	(hppa_smash_text_address): New function.
	(hppa_coerce_float_to_double): New function. Requires the inclusion
	of "language.h".

	* Makefile.in (hppa-tdep.o): Add dependency on language.h.

	* tm-hppa.h (REG_STRUCT_HAS_ADDR): Change the definition of this
	gdbarch-eligible macro to a call to the new associated function
	created in hppa-tdep.c.
	(INNER_THAN): Likewise.
	(STACK_ALIGN): Likewise.
	(PC_REQUIRES_RUN_BEFORE_USE): Likewise.
	(INSTRUCTION_NULLIFIED): Likewise.
	(REGISTER_BYTE): Likewise.
	(REGISTER_VIRTUAL_TYPE): Likewise.
	(STORE_STRUCT_RETURN): Likewise.
	(CANNOT_STORE_REGISTER): Likewise.
	(FRAME_ARGS_ADDRESS): Likewise.
	(FRAME_LOCALS_ADDRESS): Likewise.
	(SMASH_TEXT_ADDRESS): Likewise.
	(COERCE_FLOAT_TO_DOUBLE): Likewise.
	(ABOUT_TO_RETURN): Delete, as no longer used.

2002-11-07  Fernando Nasser  <fnasser@redhat.com>

	* printcmd.c (disassemble_command): Remove obsolete function.
	(_initialize_printcmd): Do not create disassemble command here.
	* cli/cli-cmds.c (disassemble_command): New function.  Implements
	disassemble command.
	(init_cli_cmds): Create disassemble command here instead.

2002-11-07  Andrew Cagney  <ac131313@redhat.com>

	* MAINTAINERS: Add Daniel Jacobowitz to global maintainers list.

2002-11-07  Andrew Cagney  <ac131313@redhat.com>

	* regcache.h (regcache_cooked_read_using_offset_hack)
	(regcache_cooked_write_using_offset_hack): Delete declarations.
	(register_changed): Delete declaration.
	* regcache.c (regcache_cooked_read_using_offset_hack)
	(regcache_cooked_write_using_offset_hack): Delete functions.
	(cooked_xfer_using_offset_hack): Delete function.
	(register_changed): Delete function.

2002-11-07  Jim Blandy  <jimb@redhat.com>

	* macroscope.c: #include "complaints.h".
	(sal_macro_scope): Cope with filenames that appear in the symtabs,
	but not in the macro table.
	* Makefile.in (macroscope.o): Record dependency.

2002-11-07  Joel Brobecker  <brobecker@gnat.com>

	* PROBLEMS: Document gdb/816 (unable to read core file on alpha-osf).

2002-11-07  Andrew Cagney  <ac131313@redhat.com>

	* regcache.c (deprecated_registers_fetched): Update.
	* regcache.h (deprecated_registers_fetched): Rename
	registers_fetched.
	* remote-vxsparc.c (vx_read_register): Update.
	* remote-vxmips.c (vx_read_register): Update.
	* remote-vx68.c (vx_read_register): Update.
	* irix5-nat.c (fetch_core_registers): Update.
	* mipsm3-nat.c (fetch_inferior_registers): Update.
	* sun3-nat.c (fetch_inferior_registers): Update.
	* symm-nat.c (fetch_inferior_registers): Update.
	* ns32knbsd-nat.c (fetch_inferior_registers): Update.
	(fetch_core_registers): Update.
	(fetch_kcore_registers): Update.
	* mips-nat.c (fetch_inferior_registers): Update.
	* corelow.c (get_core_registers): Update.
	* a68v-nat.c (fetch_inferior_registers): Update.

2002-11-06  Joel Brobecker  <brobecker@gnat.com>

	Put in place the framework necessary for multiarching the hppa targets.
	* hppa-tdep.c (hppa_gdbarch_init): New function.
	(hppa_dump_tdep): New function.
	(_initialize_hppa_tdep): Register the hppa gdbarch init function and
	tdep structure dumper.
	* config/pa/tm-hppa.h (GDB_MULTI_ARCH): New macro, defined to 0
	until the multi-arching conversion has partially been completed.

2002-11-06  Andrew Cagney  <ac131313@redhat.com>

	* valops.c (value_assign): Merge lval_register case into
	lval_reg_frame_relative.  Use frame_register and
	regcache_cooked_write instead of get_saved_register and
	write_register_bytes.  After flushing the register cache, try to
	re-select the selected frame.

2002-11-06  Andrew Cagney  <ac131313@redhat.com>

	* regcache.h (deprecated_register_valid): Rename register_valid.
	* regcache.c: Update.
	* ia64-aix-nat.c: Update.
	* i386gnu-nat.c: Update.
	* alpha-nat.c: Update.
	* sparc-nat.c: Update.
	* lynx-nat.c: Update.
	* remote-mips.c: Update.

2002-11-06  Joel Brobecker  <brobecker@gnat.com>

	* hppa-tdep.c (_initialize_hppa_tdep): Move function body
	to end of file, to be more consistent with the pratice followed
	by other targets.

2002-11-06  Andrew Cagney  <ac131313@redhat.com>

	* infcmd.c: Include "reggroups.h" and <ctype.h>.
	(print_float_info): Print registers in float_reggroup.
	(print_vector_info): Print registers in vector_reggroup.
	(default_print_registers_info): When all, print registers in
	all_reggroup.  Otherwize, print registers in general_reggroup.
	(registers_info): Rewrite.  Add support for register groups.
	Eliminate a goto.

2002-11-06  Elena Zannoni  <ezannoni@redhat.com>

	* symtab.c (methods_info): Delete. It has been ifdeffed out for
	ages.
	(symtab_symbol_info): Remove eons old ifdeffed out code.
	(_initialize_symtab): Remove prehistoric disabled 'info methods'
	command.

2002-11-06  Theodore A. Roth  <troth@openavr.org>

	* c-exp.y: Add missing semi-colons.
	* f-exp.y: Add missing semi-colons.
	* m2-exp.y: Add missing semi-colons.
	* p-exp.y: Add missing semi-colons.
	Add empty action to start rule to avoid a type clash error when
	building with bison >= 1.50.

2002-11-06  Jim Blandy  <jimb@redhat.com>

	* macrotab.h (struct macro_source_file): Doc fix.

2002-11-05  Jeff Johnston  <jjohnstn@redhat.com>

	* varobj.c (child_exists, cplus_number_of_children): Change
	STREQ macro references to strcmp.
	(cplus_name_of_child): Change code to handle the fact that
	fields are not necessarily contiguous with regards to their 
	access control. This is a fix for PR gdb/792.

2002-11-05  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (GET_SAVED_REGISTER): Change to a predicate function.
	* gdbarch.h, gdbarch.c: Regnerate.
	* frame.h (frame_register): Declare.
	* frame.c (frame_register): New function.
	(get_saved_register): Test GET_SAVED_REGISTER_P before calling
	GET_SAVED_REGISTER, otherwize call
	generic_unwind_get_saved_register.
	(frame_register_read): Use frame_register instead of
	get_saved_register.

2002-11-05  Elena Zannoni  <ezannoni@redhat.com>
	
        From Jim Ingham  <jingham@apple.com>:
	* event-top.c (gdb_disable_readline): New function.
	(_initialize_event_loop): Move comment.

2002-11-05  Elena Zannoni  <ezannoni@redhat.com>

	* event-loop.c (start_event_loop): Add comment.
	Update copyright.

2002-11-05  Andrew Cagney  <ac131313@redhat.com>

	* infcmd.c (default_print_registers_info): Do not call
	PRINT_REGISTER_HOOK.

2002-11-05  Andrew Cagney  <ac131313@redhat.com>

	* sparc-tdep.c (sparc_print_register_hook): Make static.
	(sparc_print_registers_info): New function.
	(sparc_do_registers_info): New function.
	(sparclet_print_registers_info): New function.
	(sparclet_do_registers_info): New function.
	(do_sparc_print_registers_info): New function.
	(sparc_print_registers): New static function, clone of infcmd.c's
	default_print_registers_info.
	* config/sparc/tm-sparclet.h (PRINT_REGISTER_HOOK): Delete macro.
	(sparclet_do_registers_info): Declare.
	(DEPRECATED_DO_REGISTERS_INFO): Re-define.
	* config/sparc/tm-sparc.h (DEPRECATED_DO_REGISTERS_INFO):
	Re-define.
	(sparc_do_registers_info): Declare.
	(PRINT_REGISTER_HOOK): Delete macro.
	(sparc_print_register_hook): Delete declaration.

2002-11-05  David Carlton  <carlton@math.stanford.edu>

	* symtab.c (lookup_symbol_aux): Move chunks of code into separate
	functions.
	(lookup_symbol_aux_local): New function.
	(lookup_symbol_aux_symtabs): New function.
	(lookup_symbol_aux_psymtabs): New function.

2002-11-05  David Carlton  <carlton@math.stanford.edu>

	* symtab.c (lookup_symbol_aux): In minsym sections, don't use the
	previous values of 'objfile' and 'block'.

2002-11-05  Pierre Muller  <muller@ics.u-strasbg.fr>

	* values.c (value_change_enclosing_type): Set 
	enclosing_type field correctly also for the case where 
	more memory needs to be allocated.

2002-11-03  Mark Kettenis  <kettenis@gnu.org>

	* i387-tdep.c (i387_print_float_info): Call fputs_filtered instead
	of puts_filtered.

	* i387-tdep.c (i387_print_float_info): Replace calls to
	register_read and deprecated_read_register_gen with calls to
	frame_register_read, and make the necessary adjustments to the
	surrounding code.

2002-11-02  Andrew Cagney  <ac131313@redhat.com>

	* gdbarch.sh (register_reggroup_p): Allow default value.
	* gdbarch.h, gdbarch.c: Regenerate.

2002-11-02  Andrew Cagney  <ac131313@redhat.com>

	* regcache.h: Add coment indicating replacements for deprecated
	functions.

2002-11-02  Andrew Cagney  <cagney@redhat.com>

	* reggroups.h, reggroups.c: New files.
	* regcache.c: Include "reggroups.h".
	(enum regcache_dump_what): Add `regcache_dump_groups'.
	(regcache_dump): Contract size of the "Type" column.  When
	specified, dump the register's groups.
	(maintenance_print_register_groups): New function.
	(_initialize_regcache): Add command `maint print register-groups'.
	* Makefile.in (COMMON_OBS): Add reggroups.o
	(SFILES): Add reggroups.c.
	(reggroups_h): Define.
	(regcache.o, gdbarch.o): Update dependencies.
	(reggroups.o): Specify dependencies.
	* gdbarch.sh (register_reggroup_p): Add pure multi-arch method.
	Add opaque declaration for `struct reggroup' in generated .h file.
	Include "reggroups.h" in generated .c file.
	gdbarch.h, gdbarch.c: Re-generate.

2002-11-02  Andrew Cagney  <cagney@redhat.com>

	* regcache.h (deprecated_read_register_gen): Rename
	read_register_gen.
	(deprecated_write_register_gen): Rename write_register_gen.
	* i387-tdep.c: Update.
	* x86-64-linux-nat.c: Update
	* wince.c: Update.
	* thread-db.c: Update.
	* win32-nat.c: Update.
	* mips-tdep.c: Update.
	* d10v-tdep.c: Update.
	* cris-tdep.c: Update.
	* remote-sim.c: Update.
	* remote-rdi.c: Update.
	* remote-rdp.c: Update.
	* frame.c: Update.
	* target.c: Update.
	* blockframe.c: Update.
	* x86-64-tdep.c: Update.
	* xstormy16-tdep.c: Update.
	* sh-tdep.c: Update.
	* s390-tdep.c: Update.
	* rs6000-tdep.c: Update.
	* sparc-tdep.c: Update.
	* i386-tdep.c: Update.
	* dwarf2cfi.c: Update.
	* regcache.c: Update.

2002-11-01  Joel Brobecker  <brobecker@gnat.com>

	New interix-specific files:
	* config/i386/nm-interix.h: New file.
	* config/i386/interix.mh: New file.
	* config/i386/interix.mt: New file.
	* i386-interix-nat.c: New file.
	* i386-interix-tdep.c: New file.

2002-11-01  Andrew Cagney  <cagney@redhat.com>

	* frame.h (deprecated_generic_get_saved_register): Rename
	generic_get_saved_register.
	* blockframe.c (deprecated_generic_get_saved_register): Update.
	* xstormy16-tdep.c (xstormy16_get_saved_register): Update.
	(xstormy16_frame_saved_register): Update.
	* sh-tdep.c (sh_gdbarch_init): Update.
	* m68hc11-tdep.c (m68hc11_gdbarch_init): Update.
	* ia64-tdep.c (ia64_get_saved_register): Update.
	* cris-tdep.c (cris_gdbarch_init): Update.
	* config/m32r/tm-m32r.h (GET_SAVED_REGISTER): Update.
	* arm-tdep.c (arm_gdbarch_init): Update.

2002-10-31  Daniel Jacobowitz  <drow@mvista.com>

	* lin-lwp.c (lin_lwp_resume): Remove resume_all test for !step.

2002-10-31  Daniel Jacobowitz  <drow@mvista.com>

	* i386-linux-tdep.c (i386_linux_pc_in_sigtramp): Check for
	trampolines in sigaction.

2002-10-31  Andrew Cagney  <cagney@redhat.com>

	* h8300-tdep.c: Include "gdb_assert.h".
	(h8300_print_register): Add gdbarch, file and frame parameters.
	Use frame_read_unsigned_register to read the register's value.
	Use fprintf_filtered to display output.
	(h8300_print_registers_info): Replace h8300_do_registers_info.
	(h8300_gdbarch_init): Set print_registers_info.

2002-10-31  Andrew Cagney  <cagney@redhat.com>

	* frame.c (frame_read_unsigned_register): New function.
	(frame_read_signed_register): New function.
	* frame.h (frame_read_unsigned_register): Declare.
	(frame_read_signed_register): Declare.

2002-10-31  Andrew Cagney  <cagney@redhat.com>

	* h8500-tdep.c (h8500_print_registers_info): New static function,
	clone of infcmd.c's default_print_registers_info.
	(h8500_do_registers_info): New funtion.
	(h8500_print_register_hook): Rename print_register_hook, make
	static.

	* config/h8500/tm-h8500.h: Update copyright.
	(DEPRECATED_DO_REGISTERS_INFO): Define.
	(h8500_do_registers_info: Declare.
	(PRINT_REGISTER_HOOK): Delete macro.
	(print_register_hook): Delete function.

2002-10-31  Andrew Cagney  <cagney@redhat.com>

	* z8k-tdep.c (z8k_print_register_hook): Make static.
	(z8k_print_registers_info): New static function, clone of
	infcmd.c's default_print_registers_info.
	(z8k_do_registers_info): New function.  Wrap
	z8k_print_registers_info.
	* config/z8k/tm-z8k.h: Update copyright.
	(PRINT_REGISTER_HOOK): Delete macro.
	(z8k_print_register_hook): Delete declaration.
	(DEPRECATED_DO_REGISTERS_INFO): Define.
	(z8k_do_registers_info): Declare.

2002-10-30  Joel Brobecker  <brobecker@gnat.com>

	* hppa-tdep.c (find_function_in_inferior): Remove this extern,
	as this is already provided by value.h, and was actually causing
	a compilation error because of a conflict in parameter type
	declaration due to a missing const keyword.
	(low_text_segment_addres): Fix a compilation warning.

2002-10-29  Daniel Jacobowitz  <drow@mvista.com>

	* mips-linux-nat.c (mips_linux_cannot_fetch_register): Don't fetch
	registers without a name.
	(mips_linux_cannot_store_register): Don't store registers without
	a name.

2002-10-28  David Carlton  <carlton@math.stanford.edu>

	* symtab.c (find_addr_symbol): Delete.  (It was already commented
	out.)
	* symtab.h: Delete prototype for find_addr_symbol.

2002-10-26  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (DEPRECATED_DO_REGISTERS_INFO): Rename
	DO_REGISTERS_INFO.
	gdbarch.h, gdbarch.c: Re-generate.
	* infcmd.c (default_print_registers_info): Update reference.
	* mips-tdep.c (mips_gdbarch_init): Set deprecated_do_registers_info.
	(mips_dump_tdep): Do not print DO_REGISTERS_INFO.
	* sh-tdep.c (sh_gdbarch_init): Ditto.
	* mn10300-tdep.c (mn10300_gdbarch_init): Ditto.
	* h8300-tdep.c (h8300_gdbarch_init): Ditto.

2002-10-26  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c (x86_64_init_abi): Set init_extra_frame_info to
	cfi_init_extra_frame_info.
	* x86-64-tdep.h (x86_64_init_extra_frame_info): Remove prototype.
	* x86-64-linux-tdep.c (x86_64_init_extra_frame_info): Remove function.

	* x86-64-tdep.c (x86_64_init_abi): Add calls to override the i386
	target where necessary.  Add more comments and remove the ones
	that don't provide any useful information.

	* i386-tdep.c (i386_frame_saved_pc): Replace call to
	deprecated_read_register_dummy with
	frame_unwind_unsigned_register.

	* i386-tdep.c (i386_extract_struct_value_address): Use
	regcache_raw_read_unsigned instead of
	regcache_cooked_read_unsigned since we know that the register
	we're reading isn't a pseudo register.  Rename variable 'val' into
	the more descriptive 'addr'.

	* x86-64-tdep.c: Fix some formatting problems, mostly in comments.
	(x86_64_push_return_address): Add comment.
	(x86_64_pop_frame): Make static.
	(examine_argument): Clarify comment.
	(x86_64_skip_prologue): Make prolog_expact variable static.

	* dwarf2cfi.c: Fix some formatting problems.
	(context_cpy, read_encoded_pointer): Clarify comments.

	* x86-64-tdep.c (x86_64_breakpoint_from_pc): Constify.
	(x86_64_init_abi): Move set_gdbarch_* calls that overlap with the
	i386 target back into x86_64_gdbarch_init.  Add some comments and
	remove meaningless ones.

2002-10-25  Andrew Cagney  <cagney@redhat.com>

	* complaints.h (struct deprecated_complaint): Rename `struct
	complaint'.
	* complaints.c (complain): Update.
	* remote-vx68.c, remote-vxmips.c, remote-vxsparc.c: Delete
	incorrect comment indicating that "symfile.h" was being included
	for the `struct complaint' definition.
	* remote-vx.c: Update.
	* objc-lang.c: Update.
	* xcoffread.c: Update.
	* hpread.c: Update.
	* mdebugread.c: Update.
	* stabsread.c: Update.
	* dwarf2read.c: Update.
	* dwarfread.c: Update.
	* elfread.c: Update.
	* coffread.c: Update.
	* stabsread.h: Update.
	* dbxread.c: Update.
	* buildsym.c: Update.
	* gdbtypes.c: Update.
	* macrotab.c: Update.

2002-10-25  Mark Kettenis  <kettenis@gnu.org>

	* x86-64-tdep.c (x86_64_gdbarch_init): Make a bit more similar to
	the version in i386-tdep.c.  Move set_gdbarch_* calls out into...
	(x86_64_init_abi): ...new function.

	* Makefile.in (i386v-nat.o): Add $(i386_tdep_h).
	* i386v-nat.c: Include "i386-tdep.h".

2002-10-25  Andrew Cagney  <cagney@redhat.com>

	* gdbtypes.c (address_space_name_to_int): Update.
	(address_space_int_to_name): Update.
	* gdbarch.sh (address_class_type_flags_to_name): Change to a pure
	multi-arch predicate.
	(address_class_name_to_type_flags): Ditto.
	* gdbarch.h, gdbarch.c: Re-generate.
	
	* MAINTAINERS: Check all warnings when h8300hms and alpha-elf.

2002-10-24  Martin M. Hunt  <hunt@redhat.com>

	* utils.c (string_to_core_addr): Revert patch from 11 Oct.

2002-10-24  Elena Zannoni  <ezannoni@redhat.com>

	* symtab.h (INIT_SAL): Delete macro.
	(init_sal): Export.
	* symtab.c (init_sal): New function.

	* ada-lang.c (ada_finish_decode_line_1): Change INIT_SAL macro
	to init_sal function call.
	(find_sal_from_funcs_and_line): Ditto.
	(all_sals_for_line): Ditto. 
	* breakpoint.c (create_internal_breakpoint): Ditto. 
	(create_fork_vfork_event_catchpoint): Ditto. 
	(create_exec_event_catchpoint): Ditto. 
	(parse_breakpoint_sals): Ditto. 
	(watch_command_1): Ditto. 
	(handle_gnu_4_16_catch_command): Ditto.
	(clear_command): Ditto. 
	* hppa-tdep.c (child_enable_exception_callback): Ditto. 
	* infcmd.c (run_stack_dummy): Ditto. 
	* infrun.c (process_event_stop_test): Ditto.
	(check_sigtramp2): Ditto.
	(step_over_function): Ditto. 
	* linespec.c (decode_line_2): Ditto. 
	(decode_line_1): Ditto. 
	* source.c (line_info): Ditto. 
	* symtab.c (find_pc_sect_line): Ditto.

2002-10-24  Michal Ludvig  <mludvig@suse.cz>

	* dwarf2cfi.c (struct context)
	(struct context_reg): Moved to dwarf2cfi.h
	(context_alloc, frame_state_alloc, context_cpy):
	Made extern instead of static, removed prototypes.
	* dwarf2cfi.h (struct context)
	(struct context_reg): New, moved from dwarf2cfi.c
	(context_alloc, frame_state_alloc, context_cpy):
	New prototypes.
	* x86-64-linux-tdep.c (x86_64_linux_sigtramp_saved_pc):
	Changed from static to extern.
	(LINUX_SIGINFO_SIZE, LINUX_SIGCONTEXT_PC_OFFSET)
	(LINUX_SIGCONTEXT_FP_OFFSET)
	(LINUX_UCONTEXT_SIGCONTEXT_OFFSET): Adjusted.
	(x86_64_linux_in_sigtramp, x86_64_linux_frame_chain)
	(x86_64_init_frame_pc, x86_64_init_extra_frame_info): New.
	* x86-64-tdep.c (x86_64_gdbarch_init): Several
	set_gdbarch_*() calls now use x86-64 specific functions 
	instead of DWARF2 CFI ones.
	* x86-64-tdep.h (x86_64_linux_in_sigtramp)
	(x86_64_linux_frame_chain, x86_64_init_frame_pc)
	(x86_64_init_extra_frame_info): New prototypes.
	
2002-10-23  David Carlton  <carlton@math.stanford.edu>

	* linespec.c: #include "parser-defs.h".
	Delete prototype for find_template_name_end.
	* Makefile.in (linespec.o): Depend on $(parser_defs_h).

2002-10-23  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: add recent mi fixes.
	* varobj.c (struct varobj): Add new "updated" flag.
	(new_variable): Default "updated" flag to 0.
	(varobj_set_value): Set "updated" flag to 1 if value
	changes.
	(varobj_update): Check varobj "updated" flag before
	comparing old and refreshed values.  Fix for
	PR gdb/702.

2002-10-23  David Carlton  <carlton@math.stanford.edu>

	* parse.c (parse_exp_1): Use BLOCK_START.
	* x86-64-tdep.c (x86_64_skip_prologue): Use BLOCK_END,
	SYMBOL_BLOCK_VALUE.
	* objc-lang.c (find_methods): Use BLOCK_START, BLOCK_END.

2002-10-23  David Carlton  <carlton@math.stanford.edu>

	* symtab.c: Delete cplusplus_hint.
	Delete prototype for find_template_name_end.

2002-10-23  Elena Zannoni  <ezannoni@redhat.com>

	* symtab.h: Update comment.

2002-10-23  Michael Snyder  <msnyder@redhat.com>

	* printcmd.c (address_info): Restore quotes in output.
	* valops.c (value_of_local): Restore quotes in error message.

2002-10-23  Elena Zannoni  <ezannoni@redhat.com>

	* symtab.c (symbol_demangled_name): New function.
	* symtab.h (SYMBOL_DEMANGLED_NAME): Simplify macro, by
	turning most of it into a function.
	(symbol_demangled_name): Export.

2002-10-23  Michael Snyder  <msnyder@redhat.com>

	* valops.c (value_of_local): Restore quotes in error message.

2002-10-23  Elena Zannoni  <ezannoni@redhat.com>

	* symtab.c (symbol_init_language_specific): New function.
	* symtab.h (SYMBOL_INIT_LANGUAGE_SPECIFIC): Simplify macro, by
	turning most of it into a function.
	(symbol_init_language_specific): Export.

2002-10-23  David Carlton  <carlton@math.stanford.edu>

	* dwarf2read.c (dwarf_tag_name): Add DWARF 3 names.
	(dwarf_attr_name): Ditto.
	(dwarf_type_encoding_name): Ditto.
	(scan_partial_symbols): Descend into DW_TAG_namespace entries.
	(process_die): Handle DW_TAG_namespace,
	DW_TAG_imported_declaration, DW_TAG_imported_module.
	(read_namespace): New function.

2002-10-22  Joel Brobecker  <brobecker@gnat.com>

	* configure.in: Define NEW_PROC_API on Interix too.
	* configure: Regenerate.

2002-10-21  Joel Brobecker  <brobecker@gnat.com>

	* configure: Regenerate using the proper version of autoconf.

2002-10-21  Elena Zannoni  <ezannoni@redhat.com>

	* findvar.c (read_var_value): Temporarily disable TLS code, until
	complete TLS support is added.

2002-10-21  Jim Blandy  <jimb@redhat.com>
	    Elena Zannoni  <ezannoni@redhat.com>

	* symtab.h (address_class): Re-add LOC_THREAD_LOCAL_STATIC
	for thread local storage locations.
	(struct symbol): Add objfile field.
	(SYMBOL_OBJFILE): Define.
	* dwarf2read.c (is_thread_local): New static variable.
	(new_symbol): If variable is in thread local fill in address class
	and objfile appropriately.
	(decode_locdesc): Recognize and handle DW_OP_GNU_push_tls_address
	stack operation.
	* printcmd.c (address_info): Print the information for thread
	local storage variable.
	* findvar.c (read_var_value): In case of thread local variable,
	defer to the target vector code to compute address.

2002-10-21  Elena Zannoni  <ezannoni@redhat.com>

        * solib-svr4.c (svr4_fetch_objfile_link_map): New function.
        * solib-svr4.h (svr4_fetch_objfile_link_map): Export.   

2002-10-21  Elena Zannoni  <ezannoni@redhat.com>

	* symtab.h (address_class):  Rename
	LOC_THREAD_LOCAL_STATIC to LOC_HP_THREAD_LOCAL_STATIC.
	* hpread.c (hpread_process_one_debug_symbol): Ditto.
	* printcmd.c (address_info): Ditto.
	* findvar.c (symbol_read_needs_frame, read_var_value): Ditto.

2002-10-20  Mark Kettenis  <kettenis@gnu.org>

	* i386bsd-nat.c (i386bsd_dr_set, i386bsd_dr_get_status): Use
	DBREG_DRX macro to acces debug registers.

	* Makefile.in (i386obsd-tdep.o): New target.

	* solib-sunos.c: Include "bcache.h" and "regcache.h".
	* Makefile.in (solib-sunos.o): Add $(bcache_h) and $(regcache_h).

	* configure.tgt (i[3456]86-*-openbsd*): Set gdb_target to obds.
	* config/i386/obsd.mt: New file.
	* i386bsd-nat.c (_initialize_i386bsd_nat): Introduce
	i386obsd_sc_pc_offset and i386obsd_sc_sp_offset;
	* i386obsd-nat.c (_initialize_i386obsd_nat): Set
	i386obsd_sigtramp_start and i386obsd_sigtramp_end instead of
	i386nbsd_sigtramp_start and i386nbsd_sigtramp_end.
	* i386obsd-tdep.c: New file.

2002-10-19  Adam Fedor  <fedor@gnu.org>

	* objc-exp.y (name_not_typename): Fix invalid comment.	

2002-10-20  Mark Kettenis  <kettenis@gnu.org>

	* solib-sunos.c (allocate_rt_common_objfile): Use bcache_xmalloc
	to allocate partial syms and macro byte caches.

2002-10-18  David Carlton  <carlton@math.stanford.edu>

	* symtab.h: Delete 'struct source' and 'struct sourcevector'.

2002-10-18  Adam Fedor  <fedor@gnu.org>

	* stabsread.c (find_name_end): New function.
	(define_symbol): Use it.

2002-10-18  Daniel Jacobowitz  <drow@mvista.com>

	* config/alpha/nm-fbsd.h (CANNOT_STEP_BREAKPOINT): Define to 1.
	* config/alpha/nm-linux.h (CANNOT_STEP_BREAKPOINT): Define to 1.
	* config/alpha/nm-nbsd.h (CANNOT_STEP_BREAKPOINT): Define to 1.
	* config/alpha/nm-osf.h (CANNOT_STEP_BREAKPOINT): Define to 1.

2002-10-17  David Carlton  <carlton@math.stanford.edu>

	* symfile.h: Add opaque declaration for struct obstack.
	Declare obsavestring to take a const char *.
	* symfile.c (obsavestring): Make first argument a const char *.

2002-10-16  Adam Fedor  <fedor@gnu.org>

	* breakpoint.c (parse_breakpoint_sals): Ignore ObjC method
	names when matching breakpoints in current file.

2002-10-16  Kevin Buettner  <kevinb@redhat.com>

	* dwarf2read.c (dwarf2_invalid_pointer_size): New complaint.
	(read_tag_pointer_type): Add address class support.
	* gdbarch.sh (ADDRESS_CLASS_TYPE_FLAGS)
	(ADDRESS_CLASS_TYPE_FLAGS_TO_NAME, ADDRESS_CLASS_NAME_TO_TYPE_FLAGS):
	New methods.
	* gdbarch.h, gdbarch.c: Regenerate.
	* gdbtypes.c (address_space_name_to_int, address_space_int_to_name)
	(make_type_with_address_space, recursive_type_dump): Add address
	class support.
	* gdbtypes.h (TYPE_FLAG_ADDRESS_CLASS_1, TYPE_FLAG_ADDRESS_CLASS_2)
	(TYPE_FLAG_ADDRESS_CLASS_ALL, TYPE_ADDRESS_CLASS_1)
	(TYPE_ADDRESS_CLASS_2, TYPE_ADDRESS_CLASS_ALL): New defines

2002-10-16  Klee Dienes  <kdienes@apple.com>

	* stabsread.c (read_tilde_fields): Use name[sizeof(vptr_name)-2]
	to get the last character of a char[] buffer, not
	name[sizeof(vptr_name)-1].

2002-10-14  Adam Fedor  <fedor@gnu.org>

	* symtab.h: New objc_specific struct.
	(SYMBOL_INIT_LANGUAGE_SPECIFIC): Handle ObjC.
	(SYMBOL_DEMANGLED_NAME): Likewise.

2002-10-14  Adam Fedor  <fedor@gnu.org>

	* symfile.c (init_filename_language_table): Add ObjC file extension.

2002-10-14  Adam Fedor  <fedor@gnu.org>

	* utils.c (puts_filtered_tabular): New function.
	(fprintf_symbol_filtered): Get ObjC demangled name.
	* defs.h (puts_filtered_tabular): Declared.

2002-10-14  Kevin Buettner  <kevinb@redhat.com>

	* c-lang.h (c_type_print_varspec_prefix): Delete.
	* c-typeprint.c (c_type_print_varspec_prefix): Make static.  Add
	``need_post_space'' parameter.  Adjust all callers.

2002-10-14  Daniel Jacobowitz  <drow@mvista.com>  
 
	* config/mips/nm-irix4.h (HAVE_NONSTEPPABLE_WATCHPOINT): Define to 1.
	* config/mips/nm-irix5.h (HAVE_NONSTEPPABLE_WATCHPOINT): Likewise.
	* config/mips/tm-embed.h (HAVE_NONSTEPPABLE_WATCHPOINT): Likewise.
	* config/pa/nm-hppah.h (HAVE_NONSTEPPABLE_WATCHPOINT): Likewise.

2002-10-13  Adam Fedor  <fedor@gnu.org>

	* source.c (print_source_lines): Update comments.

2002-10-13  Adam Fedor  <fedor@gnu.org>

	* valops.c (value_of_local): New function.
	(value_of_this): Use it.
	* value.h (value_of_local): Declared.

2002-10-13  Adam Fedor  <fedor@gnu.org>

	* parse.c: (length_of_subexp, prefixify_subexp): Handle
	OP_MSGCALL, OP_SELECTOR, OP_NSSTRING, and OP_SELF.

2002-10-12  Adam Fedor  <fedor@gnu.org>

	* language.c (binop_result_type): Add language_objc to case.
        (integral_type): Likewise.
        (character_type): Likewise.
        (string_type): Likewise.
        (boolean_type): Likewise.
        (structured_type): Likewise.
        (binop_type_check): Likewise.

2002-10-11  Adam Fedor  <fedor@gnu.org>

	* printcmd.c (address_info): Print 'self' for ObjC.

2002-10-11  Adam Fedor  <fedor@gnu.org>

	* expression.h: New ops OP_NSSTRING, OP_SELECTOR, OP_MSGCALL, and
	OP_SELF.

2002-10-11  Adam Fedor  <fedor@gnu.org>

	* language.h (CAST_IS_CONVERSION): Add language_objc.

2002-10-11  Adam Fedor  <fedor@gnu.org>

	* defs.h (enum language): Add language_objc.

2002-10-11  Klee Dienes  <kdienes@apple.com>

        * corefile.c (read_memory_typed_address): New function.
        * gdbcore.h (read_memory_typed_address): Add prototype.
        * blockframe.c (sigtramp_saved_pc): Use read_memory_typed_address
	to read a value destined for a CORE_ADDR, not read_memory_integer.
        * f-valprint.c (f77_get_dynamic_upperbound): Ditto.
        (f77_get_dynamic_lowerbound): Ditto.

2002-10-11  Martin M. Hunt  <hunt@redhat.com>

	* utils.c (string_to_core_addr): After turning string into
	a number, convert to a CORE_ADDR using INTEGER_TO_ADDRESS
	which will do necessary sign-extension, etc.

2002-10-11  Daniel Jacobowitz  <drow@mvista.com>

	* c-exp.y (THIS): Delete token and grammar rule.
	(yylex): Don't return THIS.
	* cp-valprint.c (vtbl_ptr_name_old): Delete.
	(cp_is_vtbl_ptr_type): Don't check vtbl_ptr_name_old.
	* demangle.c (cplus_markers): Update comment.  Put '$'
	first.  Remove CPLUS_MARKER.
	(_initialize_demangler): Don't call set_cplus_marker_for_demangling.
	* jv-exp.y (THIS): Delete token and grammar rule.
	(yylex): Don't return THIS.
	* mips-tdep.c (mips_dump_tdep): Don't dump CPLUS_MARKER.
	* objc-exp.y (THIS): Delete token and grammar rule.
	(yylex): Don't return THIS.
	* p-exp.y (yylex): Remove reference to CPLUS_MARKER.
	* stabsread.c (vptr_name, vb_name): Replace CPLUS_MARKER with '$'.
	(read_member_functions): Likewise for opname.
	(read_tilde_fields): Use is_cplus_marker.

	* defs.h (CPLUS_MARKER): Don't define.
	* config/tm-sysv4.h (CPLUS_MARKER): Likewise.
	* config/i386/xm-i386sco.h (CPLUS_MARKER): Likewise.
	* config/mips/tm-irix3.h (CPLUS_MARKER): Likewise.
	* config/mips/tm-irix6.h (CPLUS_MARKER): Likewise.
	* config/rs6000/tm-rs6000.h (CPLUS_MARKER): Likewise.

	* config/i386/tm-i386v4.h: Delete file.
	* config/djgpp/fnchange.lst: Delete tm-i386v4.h.
	* config/i386/tm-i386sol2.h: Include "i386/tm-i386.h" instead.
	* config/i386/tm-i386v42mp.h: Include "i386/tm-i386.h" instead.
	* config/i386/tm-ptx.h: Include "i386/tm-i386.h" instead.
	* config/i386/i386gnu.mt (TM_FILE): Use tm-i386.h.
	* config/i386/i386sco5.mt (TM_FILE): Likewise.
	* config/i386/i386v4.mt (TM_FILE): Likewise.
	* config/i386/ncr3000.mt (TM_FILE): Likewise.

2002-10-10  Marko Mlinar  <markom@opencores.org>

	* infrun.c (resume): Convert #ifdef HAVE_NONSTEPPABLE_WATCHPOINT into C,
	accidentially not commited 2002-10-09
	* gdbarch.h, gdbarch.c: Re-generate.

2002-10-09  Marko Mlinar  <markom@opencores.org>

	* infrun.c (resume): Convert #ifdef HAVE_NONSTEPPABLE_WATCHPOINT into C.
	* gdbarch.sh (HAVE_NONSTEPPABLE_WATCHPOINT): Add.
	* gdbarch.h, gdbarch.c: Re-generate.

2002-10-08  Petr Sorfa <petrs@caldera.com>

	Revised and re-submitted by John Wolfe <jlw@caldera.com>

	Move the Dwarf 2 abbrev table to a per-compilation-unit structure,
	so we can work on more than one compilation unit at a time.  This
	helps prepare GDB to handle inter-CU die references.
	* dwarf2read.c (ABBREV_HASH_SIZE): moved definition forward in
	the code to be defined before struct comp_unit_head.
	(comp_unit_head): Added new members - offset, cu_head,
	begin_die, next and dwarf2_abbrevs.
	(dwarf2_abbrevs): Removed single static var; now member of
	struct comp_unit_head.
	dwarf2_build_psymtabs_hard): Complete new struct comp_unit_head
	members.
	(psymtab_to_symtab_1): Changed to work with the new
	struct comp_unit_head.
	(dwarf2_read_abbrevs): Now accepts a cu_header parameter and
	constructs the dwarf2_abbrevs[] inside the cu_header.
	(dwarf2_empty_abbrev_table): Now expects a ptr to a
	dwarf2_abbrev table to clean up.
	(dwarf2_lookup_abbrev): Now accepts a cu_header parameter and
	handling of dwarf2_abbrevs inside the cu_header.
	(read_partial_die): Now supports the call to the new
	dwarf2_lookup_abbrev.
	(read_full_die): Now supports the call to the new
	dwarf2_lookup_abbrev.

2002-10-06  Christopher Faylor  <cgf@redhat.com>

	* Makefile.in (install-gdbtk): Add missing continuation backslash to
	insure that shell variables, such as "transformed_name" are propagated
	to later shell statements in rule.

2002-10-06  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/nm-i386sco.h: Add protection against
	multiple-inclusion.  Include "i386/nm-i386v.h".
	(REGISTER_U_ADDR): Remove define.
	(i386_register_u_addr): Remove prototype.

2002-10-04  Michael Snyder  <msnyder@redhat.com>

	* m32r-stub.c (handle_exception): Make sure exception is "trap"
	before treating it as a single-step event.

2002-10-03  Adam Fedor  <fedor@gnu.org>

	* objc-lang.c: ARI fixes.  Change string.h to gdb_string.h.
	(objc_demangle): Remove assignment in if statements, Replace
	free with xfree.
	(add_msglist): Likewise.
	(end_msglist): Likewise.
	(complare_selectors): Likewise.
	(selectors_info): Likewise.
	(compare_classes): Likewise.
	(classes_info): Likewise.
	(print_object_command): Likewise.
	(find_objc_msgcall_submethod): Replace PTR with void *.
	* objc-lang.h: Remove check for __STDC__.

2002-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	* ui-out.h (ui_out_field_fmt_int): New prototype.
	* ui-out.c (ui_out_field_fmt_int): New function allowing specification
	of field width and alignment.
	* stack.c (print_frame_info_base): When printing frame level, use
	ui_out_field_fmt_int with a width of 2 and left alignment.  Fix for
	PR gdb/192

2002-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	* MAINTAINERS: Add self to Write After Approval list.

2002-10-02  Elena Zannoni  <ezannoni@redhat.com>

	* infcmd.c (interrupt_target_command_wrapper): Delete.
	(interrupt_target_command): Make non static.
	(nofp_registers_info): Make static.
	* stack.c (return_command_wrapper): Delete.
	(return_command): Make non static.

2002-10-02  Elena Zannoni  <ezannoni@redhat.com>

	* event-top.c (gdb_setup_readline): New function. Code moved from
	_initialize_event_loop().
	(_initialize_event_loop): Call gdb_setup_readline().

2002-10-02  Andrew Cagney  <ac131313@redhat.com>

	* infrun.c (resume): Convert #ifdef CANNOT_STEP_BREAKPOINT into C.
	* gdbarch.sh (CANNOT_STEP_BREAKPOINT): Add.
	* gdbarch.h, gdbarch.c: Re-generate.

2002-10-02  Daniel Jacobowitz  <drow@mvista.com>

	Fix PR gdb/778
	* gdbtypes.c (fill_in_vptr_fieldno): Call check_typedef
	before recursing.
	* gnu-v3-abi.c (gnuv3_virtual_fn_field): Check return value
	of fill_in_vptr_fieldno.

2002-10-02  Elena Zannoni  <ezannoni@redhat.com>

	* inferior.h (registers_info, stepi_command, nexti_command,
	continue_command, interrupt_target_command): Export from infcmd.c.
	* frame.h (args_info, selected_frame_level_changed_hook,
	return_command): Export from stack.c.
	* v850ice.c (stepi_command, nexti_command, continue_command): use
	prototypes from inferior.h.
	* tracepoint.c (registers_info, args_info, locals_info): Use
	prototypes from frame.h and inferior.h.
	* Makefile.in (mi-main.o): Add dependency on frame.h.

2002-10-02  Andrew Cagney  <ac131313@redhat.com>

	* rs6000-tdep.c (rs6000_store_struct_return): Store struct_return
	value in register 3 adjusted by ppc_gp0_regnum.

	* rs6000-tdep.c (skip_prologue): Bias alloca_reg by ppc_gp0_regnum.

2002-10-02  Marko Mlinar <markom@opencores.org>

        * MAINTAINERS: Add myself to the Write After Approval list.

2002-10-01  Alexandre Oliva  <aoliva@redhat.com>

	* mips-tdep.c (mips_find_abi_section): .mdebug.abi64 is the name
	of the section for the N64 ABI, fixed.

	* config/mips/tm-irix6.h: Include solib.h.

2002-10-01  Elena Zannoni  <ezannoni@redhat.com>

	* dwarf2read.c (dwarf_stack_op_name): Recognize more dwarf3 and
	GNU operators.

2002-10-01  Andrew Cagney  <ac131313@redhat.com>

	* NEWS: Mention that MI syntax, selected by "mi" changed to "mi2"
	and that "mi0" syntax has been removed.

2002-09-30  David Carlton  <carlton@math.stanford.edu>

	* Makefile.in (ppc-sysv-tdep.o): Depend on gdb_string_h.
	* ppc-sysv-tdep.c: #include "gdb_string.h".
	* remote-sds.c (getmessage): Add semicolon after 'retry' label to
	pacify GCC.

2002-10-01  Andrew Cagney  <ac131313@redhat.com>

	* rs6000-tdep.c (rs6000_gdbarch_init): For powerpc:7400, fix
	"vrsave"'s register number.

2002-09-30  Andrew Cagney  <ac131313@redhat.com>

	* mips-tdep.c (mips_frame_saved_pc): When a generic dummy frame,
	use frame_unwind_signed_register to obtain the PC.
	(mips_frame_chain): Handle a generic dummy frame.
	(mips_init_extra_frame_info): When a generic dummy frame, don't
	re-compute the frame base.
	(mips_pop_frame): Handle generic dummy frames.
	(mips_gdbarch_init): When generic dummy frames, set
	use_generic_dummy_frames, push_dummy_frame to
	generic_push_dummy_frame, pc_in_call_dummy to
	generic_pc_in_call_dummy, and save_dummy_frame_top_of_stack to
	generic_save_dummy_frame_tos.

2002-09-30  Andrew Cagney  <ac131313@redhat.com>

	* blockframe.c (generic_find_dummy_frame): Rewrite.  Only test
	against TOP when TOP was explictly set.
	(generic_push_dummy_frame): Set TOP to zero.

2002-09-30  Elena Zannoni  <ezannoni@redhat.com>

	* event-loop.c (start_event_loop): Rename variable 'result' to
	'gdb_result', to avoid conflicts with upcoming intepreters changes.

2002-09-30  Keith Seitz  <keiths@redhat.com>

	* gdb-events.sh (selected_thread_changed): New event.
	* gdb-events.c: Regenerated.
	* gdb-events.h: Regenerated.

2002-09-30  Hans-Peter Nilsson  <hp@bitrange.com>

	* MAINTAINERS: Add self to Write After Approval list.

2002-09-30  Fernando Nasser  <fnasser@redhat.com>

	* disasm.c: New file.  
	* disasm.h: New file.  
	* mi/mi-cmd-disas.c (gdb_dis_asm_read_memory): Moved to disasm.c.
	(compare_lines): Ditto.
	(dump_insns): Ditto.
	(do_mixed_source_and_assembly): Moved to disasm.c. Added uiout
	argument.
	(do_assembly_only): Ditto.
	(do_disassembly): Renamed to gdb_disassembly and moved to
	disasm.c.  Sdded uiout argument.
	* Makefile.in: Add new files.  Reorder SFILES list. Update
	dependencies.  Include libgdb.a later in the insight executable.

2002-09-29  Andrew Cagney  <ac131313@redhat.com>

	* config/djgpp/fnchange.lst: Rename bfd/elf64-alpha.c and
	bfd/elf64-alpha-fbsd.c.

2002-09-29  Andrew Cagney  <ac131313@redhat.com>

	* config/djgpp/fnchange.lst: Rename i386gnu-nat.c and
	i386gnu-tdep.c.

2002-09-29  Andrew Cagney  <ac131313@redhat.com>

	* gnu-nat.h (debug): Use __FILE__ and __LINE__ instead of
	__FUNCTION__.
	* gnu-nat.c (do_mach_notify_no_senders): Replace __FUNCTION__ with
	function name.
	(do_mach_notify_port_deleted, do_mach_notify_msg_accepted): Ditto.
	(do_mach_notify_port_destroyed, do_mach_notify_send_once): Ditto.
	(S_proc_setmsgport_reply, S_proc_getmsgport_reply): Ditto.
	(S_msg_sig_post_reply): Ditto.
	
2002-09-28  Corinna Vinschen  <vinschen@redhat.com>

	* sh-tdep.c (sh_use_struct_convention): Use definition according
	to ABI.
	(sh_push_arguments): Store in register with correct endianess.
	(sh_default_store_return_value): Ditto.
	(sh_gdbarch_init): Set sizeof long double to 8.

2002-09-27  Mark Kettenis  <kettenis@gnu.org>

	* defs.h: Move inclusion of "ansidecl.h" before "gdb_locale.h".
	Fix some whitespace problems.

2002-09-27  David Carlton  <carlton@math.stanford.edu>

	* Makefile.in (cris-tdep.o): Depend on gdb_string_h.
	(mcore-tdep.o): Ditto.
	(ns32k-tdep.o): Ditto.
	(ns32knbsd-tdep.o): Ditto.
	(sh3-rom.o): Ditto.
	(vax-tdep.o): Ditto.
	* cris-tdep.c: #include "gdb_string.h"
	* mcore-tdep.c: Ditto.
	* ns32k-tdep.c: Ditto.
	* ns32knbsd-tdep.c: Ditto.
	* sh3-rom.c: Ditto.
	* vax-tdep.c: Ditto.

2002-09-27  David Carlton  <carlton@math.stanford.edu>

	* config/djgpp/fnchange.lst: Add entries for
	gdb/testsuite/gdb.c++/m-static files.

2002-09-27  Jim Wilson  <wilson@redhat.com>

	* MAINTAINERS: Add myself to the Write After Approval list.

2002-09-26  Martin M. Hunt  <hunt@redhat.com>

	* mips-tdep.c (find_proc_desc): Initialize startaddr.


2002-09-26  Andrew Cagney  <ac131313@redhat.com>

	* rs6000-tdep.c (rs6000_frame_chain): Don't chain past the dummy
	frame.

2002-09-26  Andrew Cagney  <ac131313@redhat.com>

	* rs6000-tdep.c (rs6000_extract_struct_value_address): Return 0.
	(rs6000_struct_return_address): Delete variable.
	(rs6000_store_struct_return): Update.
	(rs6000_gdbarch_init): Set extract_struct_value_address instead of
	deprecated_extract_struct_value_address.
	(rs6000_frame_align): New function.
	(rs6000_gdbarch_init): Set frame_align.

2002-09-26  Andrew Cagney  <ac131313@redhat.com>

	From Grace Sainsbury <graces@redhat.com>:
	* Makefile.in (gdbtk-main.o): New target.
	(gdb.o): New target.
	(main_h): Define.
	(main.o): Update dependencies.
	(gdb$(EXEEXT)): Add gdb.o.
	(SUBDIR_GDBTK_SRCS): Add gdbtk-main.c.
	(SUBDIR_GDBTK_ALL, SUBDIR_GDBTK_UNINSTALL): Set.
	(SUBDIR_GDBTK_CLEAN): Set.
	(install-gdbtk): Install the insight binary.
	(uninstall-gdbtk): New target.
	(all-gdbtk, clean-gdbtk): New rule.
	* top.c (use_windows): Default to zero.
	* main.c: Include "main.h".
	(main): Delete.
	(struct captured_main_args): Delete.
	(gdb_main): New function.
	* main.h: New file.
	* gdb.c: New File.

2002-09-25  Andrew Cagney  <cagney@redhat.com>

	* frame.c: Include "gdb_string.h" and "builtin-regs.h".
	(frame_map_regnum_to_name): New function.
	(frame_map_name_to_regnum): New function.
	* frame.h (frame_map_name_to_regnum): Declare.
	(frame_map_regnum_to_name): Declare.
	* builtin-regs.c (builtin_reg_map_regnum_to_name): New function.
	* builtin-regs.h (builtin_reg_map_regnum_to_name): Declare.
	* parse.c: Do not include "builtin-regs.h".
	(target_map_name_to_register): Delete function.
	(write_dollar_variable): Use frame_map_name_to_regnum.
	* parser-defs.h (target_map_name_to_register): Delete declaration.
	* expprint.c: Include "frame.h".
	(print_subexp): Use frame_map_regnum_to_name.
	* eval.c (evaluate_subexp_standard): Use frame_map_regnum_to_name.
	* infcmd.c (registers_info): Use frame_map_name_to_regnum.

2002-09-25  Andrew Cagney  <ac131313@redhat.com>

	* rs6000-tdep.c (rs6000_frame_saved_pc): If the link register
	wasn't saved, and the next innermost frame is a dummy, return the
	dummy frame's link register.

2002-09-24  Jim Blandy  <jimb@redhat.com>

	Fix from Paul Breed:
	* main.c (captured_main): Add a `break' after the case for 'b'.

2002-09-24  Keith Seitz  <keiths@redhat.com>

	* varobj.c (c_type_of_child): Use get_target_type instead
	of TYPE_TARGET_TYPE.

2002-09-22  Fernando Nasser  <fnasser@redhat.com>

	* source.c (get_current_or_default_source_symtab_and_line): Remove
	function.
	(set_default_source_symtab_and_line): New function. Attempts to
	determine a source file to list lines from if one is not currently
	defined.
	(get_current_source_symtab_and_line): Initialize sal.pc and
        sal.end fields.
	(set_current_source_symtab_and_line): Mark argument as const.
	* source.h: Update declarations and comments.
	* linespec.c (decode_line_1): Replace call to removed routine above.
	* stack.c (print_frame_info_base): Ditto.
	* cli/cli-cmds.c (edit_command): Ditto.
	(list_command): Ditto.

2002-09-22  Fernando Nasser  <fnasser@redhat.com>

	* source.c (get_current_or_default_source_symtab_and_line): Initialize
	sal.pc and sal.end fields.
	(get_current_or_default_source_symtab_and_line): Ditto.
	* breakpoint.c (parse_breakpoint_sals): Use correct accessor function
	so we do not cause a new source symtab to be searched for (reverting an
	unintentional change from the 2002-09-20 patch).
	* scm-lang.c (scm_unpac): Ditto.

2002-09-21  Andrew Cagney  <cagney@redhat.com>

	* complaints.c (symfile_explanations): Remove new-line from
	``isolated_message''.
	(vcomplaint): When ISOLATED_MESSAGE, force a line break.
	(clear_complaints): When a SUBSEQUENT_MESSAGE, force a line break.

2002-09-20  Nick Clifton  <nickc@redhat.com>
	
	* NEWS: Announce that V850EA ISA is no longer supported.
        * v850-tdep.c: Remove reference to bfd_mach_v850ea.

2002-09-20  David Carlton  <carlton@math.stanford.edu>

	* Makefile.in (c-lang.o): Correct dependencies.
	(utils.o): Gather dependencies.
	(charset.o): Move.
	* c-lang.c: #include "gdb_string.h"

2002-09-20  Fernando Nasser  <fnasser@redhat.com>

	From 2002-07-02  George Helffrich <george@gly.bris.ac.uk>
	* cli/cli-cmds.c (list_command): New function.  Implements the new
	cli edit command.
	(_init_cli_cmds): Add new command definition.
	* gdb.1: Document edit command.
	* doc/gdb.texinfo: Document edit command.

2002-09-20  Fernando Nasser  <fnasser@redhat.com>

	* source.c: Make global variables current_source_symtab and
	current_source_line static.
	(list_command): Moved to cli/cli-cmds.c.
	(ambiguous_line_spec): Moved to cli/cli-cmds.c.
	(get_first_line_listed): New accessor function.
	(get_lines_to_list): New accessor function.
	(get_current_source_symtab_and_line): New function. Retrieves the
	position in the source code that we consider current.
	(get_current_or_default_source_symtab_and_line): New function.
	Like the above but attempts to determine a default position if one
	is not currently defined.
	(set_current_source_symtab_and_line): New function. Sets the source
	code position considered current and returns the previously set one.
	(clear_current_source_symtab_and_line): Reset stored information about
	a current source line.
	(_initialize_source): Remove registration for the "list" command and
	its alias.
	* source.h: Add declarations for the new functions above.
	* symtab.h: Remove declarations for the global variables mentioned
	above.
	* breakpoint.c (parse_breakpoint_sals): Use accessor functions to
	obtain current source line.
	* linespec.c (decode_line_1): Ditto.
	* macroscope.c (default_macro_scope): Ditto.
	* scm-lang.c (scm_unpac): Ditto.
	* stack.c (print_frame_info_base): Ditto.
	* symfile.c (clear_symtab_users): Ditto.
	* symtab.c (decode_line_spec): Ditto.
	* cli/cli-cmds.c (list_command): Moved here from source.c.
	(ambiguous_line_spec): Moved here from source.c.
	(_init_cli_cmds): Add definition for "list" and its alias.
	* Makefile.in: Update dependencies.

2002-09-20  Corinna Vinschen  <vinschen@redhat.com>

	* h8300-tdep.c (h8300_examine_prologue): Match saved regs location
	with what gcc thinks is correct.

2002-09-20  Corinna Vinschen  <vinschen@redhat.com>

	* h8300-tdep.c (h8300_examine_prologue): Fix loop for saved regs in
	multiple register push instruction.

2002-09-19  Jim Blandy  <jimb@redhat.com>

	Add support for distinct host and target character sets.
	* charset.c, charset.h: New files.
	* c-exp.y: #include "charset.h".
	(yylex): Convert character and string literals to the target
	character set, before returning them as the semantic value of the
	token.
	* c-lang.c: #include "charset.h".
	(c_emit_char): Use charset-specific methods to recognize
	characters with backslash escape forms, to decide which characters
	to print literally and which to print using numeric escape
	sequences, and to convert target characters to host characters
	before printing.
	* utils.c: #include "charset.h".
	(no_control_char_error): New function.
	(parse_escape): Use charset-specific methods to recognize
	backslash escapes, parse `control character' notation, and convert
	characters from the host character set to the target character set.
	* configure.in: Set the default host character set.
	Check where to find iconv, and what its argument types might be.
	* acinclude.m4 (AM_ICONV): New macro, borrowed from GCC.
	* Makefile.in (SFILES): List charset.c.
	(COMMON_OBS): List charset.o.	
	(charset.o): New rule.
	(charset_h): New header dependency variable.
	(c-lang.o, utils.o, c-exp.tab.o): Note dependency on $(charset_h).
	(LIBICONV): New variable, set by configure.
	(CLIBS): Include $(LIBICONV) here.
	* aclocal.m4, config.in, configure: Regenerated.

2002-09-19  Joel Brobecker  <brobecker@gnat.com>

	* ada-exp.y: Add missing semicolons to end rules. Fixes a
	bison 1.35 warning.

2002-09-19  Richard Earnshaw  <rearnsha@arm.com>

	* gdb_mbuild.sh: New file.

2002-09-19  Andrew Cagney  <ac131313@redhat.com>

	* objc-exp.y, objc-lang.h, objc-lang.c: Fix copyright notice.

2002-09-18  Andrew Cagney  <ac131313@redhat.com>

	* breakpoint.c, c-exp.y, defs.h, elfread.c, expression.h,
	jv-exp.y, language.c, language.h, p-exp.y, parse.c, parser-defs.h,
	printcmd.c, source.c, stabsread.c, symfile.c, symtab.h, utils.c,
	valops.c, value.h: Revert previous change.
	
2002-09-18  Michael Snyder  <msnyder@redhat.com>

	Preliminary support for Objective-C:
	* defs.h (language_objc): New enum value.
	(puts_filtered_tabular): Declaration only, exported from utils.c.
	(skip_quoted): Delete, declared in completer.h.
	* c-exp.y: Include completer.h.
	* p-exp.y: Ditto.
	* jv-exp.y: Ditto.
	* expression.h (OP_MSGCALL, OP_SELECTOR, OP_SELF, OP_NSSTRING): 
	New operator enum values.
	* language.h (CAST_IS_CONVERSION): Test for language_objc.
	* language.c (binop_result_type): Handle language_objc case.
	(integral_type, character_type, string_type, boolean_type,
	structured_type, binop_type_check): Ditto.
	* symtab.h (SYMBOL_OBJC_DEMANGLED_NAME): Define.
	(struct objc_specific): Add to general_symbol_info.
	(SYMBOL_INIT_LANGUAGE_SPECIFIC): Add objc initialization.
	(SYMBOL_DEMANGLED_NAME): Handle objc case.
	* parser-defs.h (struct objc_class_str): New struct type.
	(start_msglist, end_msglist, add_msglist): Declaration only,
	exported from objc-lang.c.
	* value.h (value_of_local, value_nsstring, 
	call_function_by_hand_expecting_type): Exported from valops.c.
	* valops.c (find_function_addr): Export.
	(call_function_by_hand_expecting_type): New function.
	(value_of_local): New function.
	* symfile.c (init_filename_language_table): Add ".m" extension
	for Objective-C.
	* utils.c (puts_filtered_tabular): New function.
	(fprintf_symbol_filtered): Add objc demangling support (disabled).
	(set/show demangle): Extend help-string to refer to ObjC.
	* elfread.c (elf_symtab_read): Skip Objective-C special symbols.
	* stabsread.c (symbol_reference_defined): Objective-C symbols
	may contain colons: make allowances when scanning stabs strings
	for colons.
	(objc_find_colon): New function.
	* printcmd.c (address_info): If language == objc then print
	"self" instead of "this".
	* parse.c (length_of_subexp): Handle new operators OP_MSGCALL,
	OP_NSSTRING, and OP_SELF.
	(prefixify_subexp): Ditto.
	* source.c (print_source_lines): Mention objc in comment.
	* breakpoint.c (parse_breakpoint_sals): Recognize Objective-C
	method names.

2002-09-18  Andrew Cagney  <ac131313@redhat.com>

	* complaints.h: Update copyright.
	(struct complaints): Declare.
	(struct complaint): Make `message' constant.
	(internal_complaint): Declare.
	(complaint): Declare.
	(complaint_root): Delete declaration.
	(symfile_complaints): Delete declaration.
	(struct complaints): Add opaque declaration.
	(clear_complaints): Add a complaints parameter.
	* complaints.c: Update copyright.
	(enum complaint_series): Define.
	(complaint_root): Delete.
	(struct complaints): Define.
	(complaint_sentinel, symfile_complaint_book): New variables.
	(symfile_explanations, symfile_complaints): New variables.
	New variables.
	(get_complaints): New function.
	(vcomplaint): New function.
	(complaint): New function.
	(internal_complaint): New function.
	(complain): Call vcomplain with symfile_complaint.
	(clear_complaints): Rewrite.
	(_initialize_complaints): Use add_setshow_command.
	* Makefile.in (complaints.o): Update dependencies.
	* symfile.c (syms_from_objfile): Add symfile_complaints parameter
	to call to clear_complaints.
	(new_symfile_objfile, reread_symbols): Ditto.
	(oldsyms_complaint): Delete.
	(empty_symtab_complaint, unknown_option_complaint): Delete.
	(free_named_symtabs): Use complaint instead of complain.

2002-09-18  Michael Snyder  <msnyder@redhat.com>

	Contributed by Apple Computer, Inc.  Merged with current sources
	by Adam Fedor <fedor@doc.com> [cagney].
	
	* objc-lang.c: First clean-up round: comments, indentation.
	* objc-lang.h: Ditto.
	* objc-lang.y: Ditto.

2002-09-18  Andrew Cagney  <ac131313@redhat.com>

	* maint.c (maintenance_internal_error): Print the parameter as the
	error message.
	(maintenance_internal_warning): New function.
	(_initialize_maint_cmds): Add command `maint internal-warning'.

	* defs.h (internal_warning, internal_vwarning): Declare.
	* utils.c (struct internal_problem): Define.
	(internal_vproblem): New function.
	(internal_warning): New function.
	(internal_vwarning): New function.
	(internal_warning_problem, internal_error_problem): New variables.
	(internal_verror): Just call internal_vproblem.

2002-09-18  Michael Snyder  <msnyder@redhat.com>

	* objc-lang.c: New file, support for Objective-C.
	Preliminary check-in, not yet integrated into gdb.
	* objc-lang.h: New file.
	* objc-exp.y:  New file.

2002-09-18  Andrew Cagney  <ac131313@redhat.com>

	* infrun.c (signal_stop_update): Convert definition to ISO C.
	(signal_print_update): Ditto.
	(signal_pass_update): Ditto.
	* inflow.c (terminal_save_ours): Ditto.

	* h8300-tdep.c (h8300_gdbarch_init): Use C instead of C++
	comments.
	
	* config/djgpp/fnchange.lst: Handle name clashes between
	bfd/coff-tic30.c, bfd/coff-tic4x.c, bfd/coff-tic54x.c and
	bfd/coff-tic80.c.

	* i386-linux-tdep.h: Fix tipo.

2002-09-18  Adam Fedor  <fedor@gnu.org>

	* MAINTAINERS: Add myself to the Write After Approval list.

2002-09-18  Jim Blandy  <jimb@redhat.com>

	* dbxread.c, mdebugread.c: Revert my change of 2001-10-23.  Moving
	texthigh and textlow to reader-specific structs caused
	objfile_relocate to miss them.  This is fixable, but the work that
	the change was supposed to prepare GDB for never got done anyway.

2002-09-18  David Carlton  <carlton@math.stanford.edu>

	* MAINTAINERS: Alphabetize Write After Approval list.

2002-09-18  Daniel Jacobowitz  <drow@mvista.com>

	Fix PR gdb/709
	* values.c (value_static_field): Call read_var_value.

2002-09-18  Andrew Cagney  <ac131313@redhat.com>

	* valops.c (hand_function_call): Align the initial stack pointer
	and STRUCT_ADDR using frame_align.  When STRUCT_RETURN and
	FRAME_ALIGN_P, use STRUCT_ADDR to obtain the called function's
	return value.
	* mips-tdep.c (mips_frame_align): New function.
	(mips_gdbarch_init): Set frame_align.
	* gdbarch.sh (FRAME_ALIGN): New method.
	* gdbarch.h, gdbarch.c: Re-generate.

2002-09-18  Michal Ludvig  <mludvig@suse.cz>

	* x86-64-linux-nat.c (x86_64_regmap): Added CS and SS
	registers.

2002-09-17  Andrew Cagney  <ac131313@redhat.com>

	* NEWS: Mention that MIPS $fp behavior changed.
	* mipsnbsd-tdep.c (mipsnbsd_cannot_fetch_register): Delete
 	reference to FP_REGNUM.
	(mipsnbsd_cannot_store_register): Ditto.
	* mips-linux-nat.c: Update copyright.
 	(mips_linux_cannot_fetch_register): Delete reference to FP_REGNUM.
	(mips_linux_cannot_store_register): Ditto.
	* mips-linux-tdep.c (supply_gregset): Ditto.  Update copyright.
	* config/mips/tm-mips.h: Update copyright.
 	(FP_REGNUM): Delete macro.
	(MIPS_REGISTER_NAMES): Replace "fp" with "".
	* config/mips/tm-irix6.h (FP_REGNUM): Delete macro.
	* mips-tdep.c (mips_gdbarch_init): Set read_fp to mips_read_sp.
	(mips_r3041_reg_names, mips_r3051_reg_names)
 	(mips_r3081_reg_names): Replace "fp" with "".
	Fix PR gdb/480.

2002-09-17  Theodore A. Roth  <troth@verinet.com>

	* gdb/avr-tdep.c(avr_scan_prologue): Fix bad call to 
	generic_read_register_dummy() (PR gdb/703).
	(avr_push_return_address): #if 0 out unused vars.
	(avr_gdbarch_init): Enable use of avr_push_return_address().

2002-09-17  Michael Snyder  <msnyder@redhat.com>

	* m32r-stub.c (restore_and_return): Postpone restoring of PSW.
	RTE will take care of it.

2002-09-17  Andrew Cagney  <ac131313@redhat.com>

	* arch-utils.c (legacy_virtual_frame_pointer): If FP_REGNUM is
	invalid, return SP_REGNUM.

2002-09-17  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_pop_frame): Read saved values of floating
	point registers without sign extension.

2002-09-17  Andrew Cagney  <cagney@redhat.com>

	* blockframe.c (deprecated_read_register_dummy): Rename
	generic_read_register_dummy.
	* frame.c (frame_unwind_signed_register): New function.
	(frame_unwind_unsigned_register): New function.
	* frame.h (frame_unwind_signed_register): Declare.
	(frame_unwind_unsigned_register): Declare.
	(deprecated_read_register_dummy): Rename
	generic_read_register_dummy.

	* h8300-tdep.c (h8300_frame_chain): Update.
	(h8300_frame_saved_pc): Update.
	* xstormy16-tdep.c (xstormy16_frame_saved_pc): Update.
	* rs6000-tdep.c (rs6000_frame_saved_pc): Update.
	* s390-tdep.c (s390_frame_saved_pc_nofix): Update.
	(s390_frame_chain): Update.
	* v850-tdep.c (v850_find_callers_reg): Update.
	(v850_frame_saved_pc): Update.
	* m32r-tdep.c (m32r_init_extra_frame_info): Update.
	(m32r_find_callers_reg): Update.
	(m32r_frame_saved_pc): Update.
	* sh-tdep.c (sh_find_callers_reg): Update.
	(sh64_get_saved_pr): Update.
	(sh_init_extra_frame_info): Update.
	(sh_init_extra_frame_info): Update.
	(sh64_init_extra_frame_info): Update.
	(sh64_init_extra_frame_info): Update.
	* mcore-tdep.c (mcore_find_callers_reg): Update.
	(mcore_frame_saved_pc): Update.
	(mcore_init_extra_frame_info): Update.
	* i386-tdep.c (i386_frame_saved_pc): Update.
	* ia64-tdep.c (ia64_frame_saved_pc): Update.
	(ia64_init_extra_frame_info): Update.
	(ia64_init_extra_frame_info): Update.
	* d10v-tdep.c (d10v_frame_saved_pc): Update.
	* cris-tdep.c (cris_init_extra_frame_info): Update.
	* avr-tdep.c (avr_frame_chain): Update.
	(avr_init_extra_frame_info): Update.
	(avr_frame_saved_pc): Update.
	* arm-tdep.c (arm_find_callers_reg): Update.
	(arm_init_extra_frame_info): Update.
	(arm_frame_saved_pc): Update.

2002-09-17  Tom Tromey  <tromey@redhat.com>

	* c-lang.c (c_emit_char): Don't treat \0 specially unless quoter
	is "'".

2002-09-17  Corinna Vinschen  <vinschen@redhat.com>

	* MAINTAINERS: Remove "non multi-arched" text from h8300.
	* h8300-tdep.c (h8300_next_prologue_insn) Renamed from
	NEXT_PROLOGUE_INSN.
	(h8300_examine_prologue): Call h8300_next_prologue_insn instead of
	NEXT_PROLOGUE_INSN.

2002-09-16  Joel Brobecker  <brobecker@gnat.com>

	* osfsolib.c: Remove file, replaced by solib-osf.c.
	* Makefile.in: Remove compilation rules for osfsolib.c.

2002-09-16  David Carlton  <carlton@math.stanford.edu>

	* cp-valprint.c (cp_print_class_method): Correct args to
	check_stub_method_group.

2002-09-16  Corinna Vinschen  <vinschen@redhat.com>

	* h8300-tdep.c: Multiarch.  Drop `set machine' command in favor of
	`set architecture'.  Unify naming convention of functions.
	(h8300_skip_prologue): Improve prologue analysis.
	(h8300_push_arguments): Rewritten to more closely match GCC's
	bizarre argument-passing behavior, along with the comment describing
	said behavior.
	* remote-hms.c (hms_regnames): Don't use NUM_REGS in definition.
	* config/h8300/tm-h8300.h: Multiarch.  Just keep stuff needed by
	sim, remote-e7000.c, remote-hms.c and remote.c

2002-09-15  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (gdb_print_insn_i386): Removed.
	(i386_print_insn): New function.
	(i386_gdbarch_init): Set print_insn to i386_print_insns.
	(_initialize_i386_tdep): Don't initialize tm_print_insn and
	tm_print_insn_info.

2002-09-14  Mark Kettenis  <kettenis@gnu.org>

	* gdbtypes.c (check_stub_method_group): Initialize found_stub to
	zero.

2002-09-14  Corinna Vinschen  <vinschen@redhat.com>

	* arch-utils.c (legacy_pc_in_sigtramp): Move preprocessor expression
	for IN_SIGTRAMP to here.  Use IN_SIGTRAMP only if it's defined. 
	Guard usage of SIGTRAMP_START() by using SIGTRAMP_START_P.

2002-09-13  Christopher Faylor  <cgf@redhat.com>

	* win32-nat.c (child_create_inferior): Honor 'tty' command.

2002-09-13  Daniel Jacobowitz  <drow@mvista.com>

	* gdbtypes.c (check_stub_method): Make static.
	(check_stub_method_group): New function.
	* gdbtypes.h: Update prototypes.
	* cp-support.c: New file.
	* cp-support.h: New file.

	* stabsread.c: Include "cp-abi.h" and "cp-support.h".
	(update_method_name_from_physname): New function.
	(read_member_functions): Correct method names for operators
	and v3 constructors/destructors.  Separate v2 constructors and
	destructors.
	* Makefile.in (stabsread.o): Update dependencies.
	(SFILES): Add cp-support.c.
	(COMMON_OBS): Add cp-support.o.
	(cp_support_h, cp-support.o): Add.

	* cp-valprint.c (cp_print_class_method): Call
	check_stub_method_group instead of check_stub_method.  Remove
	extraneous QUITs.
	* p-valprint.c (pascal_object_print_class_method): Likewise.
	* valops.c (search_struct_method): Likewise.
	(find_method_list, value_struct_elt_for_reference): Likewise.

2002-09-13  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (SIGTRAMP_END): Change to a predicate function.
	* gdbarch.h, gdbarch.c: Regenerate.

2002-09-13  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (find_saved_register): Delete function.
	* frame.h (find_saved_register): Delete declaration.
	Fix PR gdb/631.

Fri Sep 13 14:59:55 2002  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (read_next_frame_reg): Re-hack using
 	frame_register_unwind.

Fri Sep 13 07:42:09 2002  Andrew Cagney  <cagney@redhat.com>

	* mips-tdep.c (mips_get_saved_register): Re-hack using
 	frame_register_unwind.

2002-09-12  Joel Brobecker  <brobecker@gnat.com>

	* gdbarch.sh (NAME_OF_MALLOC): New variable in the architecture
	vector. Will be useful for Interix.  
	* gdbarch.h, gdbarch.c: Regenerate.

	* valops.c (value_allocate_space_in_inferior): Replace hard-coded
	name of the malloc function by NAME_OF_MALLOC.

2002-09-12  Joel Brobecker  <brobecker@gnat.com>

	* value.h (find_function_in_inferior): Add const keyword to
	one of the parameters. Allows us to invoke this function with
	a const char *.
	* valops.c (find_function_in_inferior): Likewise.

2002-09-12  Joel Brobecker  <brobecker@gnat.com>

	* exec.c (xfer_memory): Fix compilation warning with old versions
	of GCC.
	* tracepoint.c (trace_find_tracepoint_command): Likewise.

2002-09-12  David Carlton  <carlton@math.stanford.edu>

	* symtab.h: Run through gdb_indent.h.
	Add 2002 to Copyright year list.

2002-09-12  Alan Modra  <amodra@bigpond.net.au>

	* x86-64-tdep.c (_initialize_x86_64_tdep): Don't use hard-coded
	mach constants.
	* MAINTAINERS: Add myself to write after approval list.

2002-09-11  J. Brobecker  <brobecker@gnat.com>

	* osabi.c (gdb_osabi_name): Add entry for GDB_OSABI_INTERIX.

2002-09-11  J. Brobecker  <brobecker@gnat.com>

	* osabi.h (gdb_osabi): Add new GDB_OSABI_INTERIX enum value for
	Interix.

2002-06-05  Paul N. Hilfinger  <hilfingr@otisco.mckusick.com>

	* procfs.c (do_detach): Clear current signal, not just fault.
	Corrects problem with breakpoint trap signal leaking to detached
	process on Tru64.

2002-09-10  Michael Snyder  <msnyder@redhat.com>

	* buildsym.c (finish_block): Protect against null pointer.

2002-09-10  Andrew Cagney  <cagney@redhat.com>

	* infcmd.c (default_print_registers_info): Send all output to
	``file'' instead of ``gdb_stdout''.

2002-09-10  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_extract_struct_value_address): Make val a
	LONGEST, and use signed register read (addresses are sign-
	extended for mips).

2002-09-10  Stephane Carrez  <stcarrez@nerim.fr>

	* event-loop.c (gdb_do_one_event): Make public.
	* event-loop.h (gdb_do_one_event): Declare.

2002-09-10  Jeff Law  <law@redhat.com>

	* infttrace.c (child_resume): Simplify and rework to avoid
	TT_PROC_CONTINUE.

2002-09-09  Fred Fish  <fnf@intrinsity.com>

	* printcmd.c (print_scalar_formatted): "len" is the number of
	target bytes, NOT the number of target bits.

2002-09-09  Elena Zannoni  <ezannoni@redhat.com>

	From: Emmanuel Thome'  <thome@lix.polytechnique.fr>
	* top.c (init_main): Set rl_terminal_name.

2002-09-08  Aidan Skinner <aidan@velvet.net>

	* ada-lang.c (ada_array_bound, ada_type_match,
	_initialize_ada_language): Fix K&R definitions.
	* ada-tasks.c (get_current_task): Fix K&R definitions.
	* ada-valprint.c (adjust_type_signedness): Fix K&R definitions.
			
2002-09-07  Christopher Faylor  <cgf@redhat.com>

	* MAINTAINERS: Remove CE from list of maintainership responsibilities.
	Add XP.

2002-09-06  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (i386_register_virtual_type,
	i386_register_convertible, i386_register_convert_to_virtual,
	i386_register_comvert_to_raw): Use FP_REGNUM_P and SSE_REGNUM_P
	instead of IS_FP_REGNUM and IS_SSE_REGNUM.
	(i386_gdbarch_init): Fix comment.  Add comments on calls that set
	sp_regnum, fp_regnum, pc_regnum, ps_regnum and fp0_regnum.
	Don't set push_arguments twice.

	* i386bsd-tdep.c (i386bsd_init_abi): Set sigtramp_start and
	sigtramp_end to i386bsd_sigtramp_start and i386bsd_sigtramp_end.
	* i386nbsd-tdep.c (i386nbsd_init_abi): Set sigtramp_start and
	sigtramp_end to NULL.
	* config/i386/tm-fbsd.h (SIGTRAMP_START, SIGTRAMP_END): Remove
	defines.
	(i386bsd_sigtramp_start, i386_sigtramp_end): Remove prototypes.

	* i386nbsd-tdep.c (i386nbsd_pc_in_sigtramp): Remove spurious
	whitespace.

	* gdbarch.sh (SIGTRAMP_START, SIGTRAMP_END): New methods.
	* gdbarch.h, gdbarch.c: Re-generate.
	* blockframe.c (find_pc_sect_partial_function): Convert to use
	SIGTRAMP_START_P predicate.

2002-09-05  Michael Snyder  <msnyder@redhat.com>

	* arm-tdep.c (arm_init_extra_frame_info): Distinguish between
	generic_dummy_frame method and old method.  Also distinguish
	between ARM_FP_REGNUM and THUMB_FP_REGNUM.
	(arm_extract_return_value): Use new regcache method.

	* mips-tdep.c (mips_n32n64_push_arguments): Remove alignment
	adjustment that doesn't conform to the ABI.
	(mips_extract_struct_value_address): Retrieve V0_REGNUM from
	saved regcache, not from current regcache.

2002-09-05  Andrew Cagney  <ac131313@redhat.com>

	* NEWS: Update for 5.3.  Add new section ``Changes since 5.3''.
	* README: Update.

2002-09-04  Jason Thorpe  <thorpej@wasabisystems.com>

	* arm-tdep.c (arm_addr_bits_remove): Don't check for Thumb mode
	if arm_apcs_32 is false.

2002-09-04  Andrew Cagney  <ac131313@redhat.com>

	GDB 5.3 branch created.

2002-09-03  Theodore A. Roth  <troth@verinet.com>

	* gdb/avr-tdep.c (avr_gdbarch_init): Use
	generic_unwind_get_saved_register.

2002-09-03  David Carlton  <carlton@math.stanford.edu>

	* dwarf2read.c (dwarf2_add_member_fn): Add the 'type'
	argument (PR gdb/653).  Update call to smash_to_method_type.
	(read_structure_scope): Update call to dwarf2_add_member_fn.

2002-09-03  Michal Ludvig  <mludvig@suse.cz>

	* x86-64-linux-tdep.c: Include gdb_string.h
	* x86-64-linux-nat.c: Ditto.

2002-09-02  Jason Thorpe  <thorpej@wasabisystems.com>

	* ada-exp.y (yyname, yyrule): Remap global variables that appear
	when YYDEBUG is set to 1.  
	* c-exp.y: Likewise.
	* f-exp.y: Likewise.
	* jv-exp.y: Likewise.
	* m2-exp.y: Likewise.
	* p-exp.y: Likewise.

2002-09-02  Jason Thorpe  <thorpej@wasabisystems.com>

	* Makefile.in (i386nbsd-tdep.o): Add $(solib_svr4_h) to
	dependency list.
	* i386nbsd-tdep.c (i386nbsdelf_init_abi): Set
	solib_svr4_fetch_link_map_offsets to
	nbsd_ilp32_solib_svr4_fetch_link_map_offsets.
	* config/i386/nbsd.mt (TDEPFILES): Add solib.o and solib-svr4.o.
	* config/i386/nbsdaout.mh (NATDEPFILES): Remove solib.o.
	* config/i386/nbsdelf.mh (NATDEPFILES): Remove solib.o,
	solib-svr4.o, and solib-legacy.o.
	* config/i386/tm-nbsd.h: Include solib.h.

2002-09-02  Jason Thorpe  <thorpej@wasabisystems.com>

	* configure.tgt (i[3456]86-*-netbsdelf*): Merge with... 
	(i[3456]86-*-netbsd*): ...this.  Set gdb_target to nbsd. 
	(i[3456]86-*-openbsd*): Make this a separate entry.  Add a
	comment noting that this needs its own target configuration.
	* config/i386/nbsd.mt: New file.
	* config/i386/nbsdaout.mt: Remove.
	* config/i386/nbsdelf.mt: Ditto.
	* config/i386/tm-nbsdaout.h: Ditto. 

2002-09-02  Jason Thorpe  <thorpej@wasabisystems.com>

	* i386nbsd-tdep.c (i386nbsd_sigtramp_offset): New function. 
	(i386nbsd_pc_in_sigtramp): Rewrite to use i386nbsd_sigtramp_offset. 
	(i386nbsd_init_abi): Don't initialize tdep->sigtramp_start or
	tdep->sigtramp_end.
	(i386nbsd_sigtramp_start, i386nbsd_sigtramp_end): Remove. 
	* config/i386/tm-nbsd.h (SIGTRAMP_START, SIGTRAMP_END)
	(i386bsd_sigtramp_start, i386bsd_sigtramp_end): Remove.

2002-09-02  Jason Thorpe  <thorpej@wasabisystems.com>

	* Makefile.in (i386nbsd-tdep.o): Add $(arch_utils_h),
	$(i386_tdep_h), and $(nbsd_tdep_h) to dependency list.
	* i386-tdep.h (i386bsd_init_abi): New prototype.
	* i386bsd-tdep.c (i386bsd_init_abi): Remove "static" from
	function declaration.
	(_initialize_i386bsd_tdep): Don't register OS ABI handlers
	for NetBSD-a.out or NetBSD-ELF.
	(i386nbsd_sigtramp_start, i386nbsd_sigtramp_end)
	(i386nbsd_sc_pc_offset, i386nbsd_sc_sp_offset)
	(i386nbsd_init_abi, i386nbsdelf_init_abi): Move to...
	* i386nbsd-tdep.c: ...here.  Include arch-utils.h, i386-tdep.h,
	and nbsd-tdep.h.
	(i386nbsd_pc_in_sigtramp): New function.
	(i386nbsd_init_abi): Set gdbarch_pc_in_sigtramp to
	i386nbsd_pc_in_sigtramp.
	(_initialize_i386nbsd_tdep): Register i386nbsd_init_abi
	and i386nbsdelf_init_abi OS ABI handlers.
	* config/i386/nbsdaout.mt (TDEPFILES): Add nbsd-tdep.o.
	* config/i386/nbsdelf.mt (TDEPFILES): Likewise.

2002-09-02  Mark Kettenis  <kettenis@gnu.org>

	* i386-linux-nat.c (dummy_sse_values): Only try to fill in the SSE
	registers if the target really has them.

2002-08-31  Jason Thorpe  <thorpej@wasabisystems.com>

	* Makefile.in (mipsnbsd-tdep.o): Use $(nbsd_tdep_h) rather
	than nbsd-tdep.h.

2002-08-31  Jason Thorpe  <thorpej@wasabisystems.com>

	* Makefile.in (alphanbsd-tdep.o): Add $(frame_h) to dependency
	list.
	* alphanbsd-tdep.c (alphanbsd_sigcontext_addr)
	(alphanbsd_skip_sigtramp_frame): New functions. 
	(alphanbsd_init_abi): Set tdep->skip_sigtramp_frame to
	alphanbsd_skip_sigtramp_frame.  Set tdep->sigcontext_addr
	to alphanbsd_sigcontext_addr. 

2002-08-31  Jason Thorpe  <thorpej@wasabisystems.com>

	* Makefile.in (mipsnbsd-tdep.o): Add nbsd-tdep.h to dependency
	list.
	(nbsd-tdep.o): Add $(gdb_string_h) to dependency list. 
	* alphanbsd-tdep.c (alphanbsd_pc_in_sigtramp): Use
	nbsd_pc_in_sigtramp. 
	* mipsnbsd-tdep.c: Include nbsd-tdep.h.
	(mipsnbsd_pc_in_sigtramp): Use nbsd_pc_in_sigtramp.
	* nbsd-tdep.c: Include gdb_string.h.
	(nbsd_pc_in_sigtramp): New function. 
	* nbsd-tdep.h (nbsd_pc_in_sigtramp): New prototype. 
	* ppcnbsd-tdep.c (ppcnbsd_pc_in_sigtramp): New function.
	(ppcnbsd_init_abi): Set gdbarch_pc_in_sigtramp to
	ppcnbsd_pc_in_sigtramp. 
	* shnbsd-tdep.c (shnbsd_pc_in_sigtramp): New function.
	(shnbsd_init_abi): Set gdbarch_pc_in_sigtramp to
	shnbsd_pc_in_sigtramp. 
	* sparcnbsd-tdep.c (sparcnbsd_init_abi_elf): Set
	gdbarch_pc_in_sigtramp to nbsd_pc_in_sigtramp. 
	* config/mips/nbsd.mt (TDEPFILES): Add nbsd-tdep.o.

2002-08-30  Pierre Muller  <muller@ics.u-strasbg.fr>

	* breakpoint.c (breakpoint_init_inferior): Reset the val field of
	watchpoints to NULL.
	(insert_breakpoints): set val field of watchpoints if NULL.


2002-08-29  Jim Blandy  <jimb@redhat.com>

	* symtab.c (lookup_symbol_aux): In the cases where we find a
	minimal symbol of an appropriate name and use its address to
	select a symtab to read and search, use `name' (as passed to us)
	as the demangled name when searching the symtab's global and
	static blocks, not the minsym's name.

2002-08-29  Keith Seitz  <keiths@redhat.com>

	* stack.c (print_frame_info_base): Always set current_source_symtab
	and current_source_line.

2002-08-29  Donn Terry  <donnte@microsoft.com>

	* proc-api.c (rw_table): Fix typo in #ifdef PCSHOLD (missing S).

2002-08-28  Keith Seitz  <keiths@redhat.com>

	* stack.c (select_frame): Add FIXME concerning selected-frame
	events.
	(select_frame_command): Send selected-frame-level-changed
	event notification, but only if the level actually changed.
	(up_silently_base): Add selected-frame-level-changed event
	notification.
	(down_silently_base): Likewise.

2002-08-28  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in: Update dependencies for all gdb/*.c files.

2002-08-27  Tom Tromey  <tromey@redhat.com>

	* Makefile.in (osabi.o, i387-tdep.o, i386-linux-nat.o, lin-lwp.o,
	ax-gdb.o, signals.o, jv-valprint.o, c-valprint.o, cp-abi.o):
	Update dependencies.
	* i387-tdep.c: Include gdb_string.h.
	* osabi.c: Likewise.
	* i386-linux-nat.c: Likewise.
	* lin-lwp.c: Likewise.
	* ax-gdb.c: Likewise.
	* signals/signals.c: Likewise.
	* jv-valprint.c: Likewise.
	* p-lang.c: Likewise.
	* c-valprint.c: Likewise.
	* cp-abi.c: Likewise.

2002-08-27  Elena Zannoni  <ezannoni@redhat.com>

	* cli/cli-script.h (copy_command_lines): Export.
	* breakpoint.c: Include cli/cli-script.h.
	* Makefile.in (breakpoint.o): Update dependencies.

2002-08-26  Michael Snyder  <msnyder@redhat.com>

	* breakpoint.c (insert_breakpoints): Protect all references
	to 'process_warning'.  Shorten long lines.

2002-08-26  Joel Brobecker  <brobecker@gnat.com>

	* cli/cli-script.c (copy_command_lines): New function.
	* defs.h (copy_command_lines): Export.
	* testsuite/gdb.base/commands.exp: New tests for commands
	attached to a temporary breakpoint, and for commands that
	delete the breakpoint they are attached to.
	
2002-08-26  Michael Snyder  <msnyder@redhat.com>

	* breakpoint.c (bpstat_stop_status): Instead of copying the 
	pointer to the breakpoint commands struct, make a new copy
	of the struct and point to that.
	(bpstat_clear): Free the commands struct.
	(bpstat_clear_actions): Free the commands struct.
	(bpstat_do_actions): Free the command actions.  Also execute
	the local cleanups, instead of deleting them.
	(delete_breakpoint): Leave the commands field of the bpstat
	chain alone -- it will be freed later.

2002-08-26  Kevin Buettner  <kevinb@redhat.com>

	* rs6000-tdep.c (altivec_register_p): Restore function inadvertently
	deleted in 2002-08-20 commit.  This function is still used by
	ppc-linux-nat.c.

2002-08-26  Keith Seitz  <keiths@redhat.com>

	* gdb-events.sh: Add selected-frame-level-changed event.
	* gdb-events.c: Regenerated.
	* gdb-events.h: Regenerated.
	
2002-08-26  Stephane Carrez  <stcarrez@nerim.fr>

	Fix PR gdb/393:
	* inflow.c (terminal_save_ours): New function to save terminal
	settings.
	* inferior.h (terminal_save_ours): Declare.
	* target.c (debug_to_terminal_save_ours): New function.
	(cleanup_target): Defaults to_terminal_save_ours.
	(update_current_target): Inherit to_terminal_save_ours.
	(setup_target_debug): Set to_terminal_save_ours.
	* target.h (target_terminal_save_ours): New to save terminal settings.
	(target_ops): New member to_terminal_save_ours.
	* gnu-nat.c (init_gnu_ops): Set to_terminal_save_ours.
	* hpux-thread.c (init_hpux_thread_ops): Likewise.
	* inftarg.c (init_child_ops): Likewise.
	* m3-nat.c (init_m3_ops): Likewise.
	* procfs.c (init_procfs_ops): Likewise.
	* wince.c (init_child_ops): Likewise.
	* win32-nat.c (init_child_ops): Likewise.
	* sol-thread.c (init_sol_thread_ops): Likewise.

2002-08-26  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (i386_store_return_value): Undeprecate.  Convert to
	use regcache_* functions.
	(i386_gdbarch_init): Set store_return_value instead of
	deprecated_store_return_value.

	* regcache.c (regcache_raw_write_signed,
	regcache_raw_write_unsigned): New functions.
	* regcache.h (regcache_raw_write_signed,
	regcache_raw_write_unsigned): New prototypes.

2002-08-25  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in (c-exp.tab.o, jv-exp.tab.o, f-exp.tab.o)
	(m2-exp.tab.o, p-exp.tab.o, ada-exp.tab.o): Move to before the
	source file dependencies.  Cleanup corresponding generator rules.

2002-08-25  Andrew Cagney  <ac131313@redhat.com>

	* regcache.h (register_offset_hack): Declare.
	(regcache_cooked_read_using_offset_hack): Declare.
	(regcache_cooked_write_using_offset_hack): Declare.

	* regcache.c (register_offset_hack): New function.
	(regcache_cooked_read_using_offset_hack): New function.
	(regcache_cooked_write_using_offset_hack): New function.
	(regcache_dump): Check that the registers, according to their
	offset, are packed hard against each other.
	(cooked_xfer_using_offset_hack): New function.

2002-08-25  Andrew Cagney  <ac131313@redhat.com>

	* regcache.c (struct regcache_descr): Add field register_type.
	(init_legacy_regcache_descr): Pass a pre-allocated regcache_descr
	in as a parameter
	(init_regcache_descr): Initialize register_type.  Pass the descr
	to init_legacy_regcache_descr.  Use register_type instead of
	REGISTER_VIRTUAL_TYPE.
	(register_type): New function.
	(regcache_dump): Replace REGISTER_VIRTUAL_TYPE with register_type.
	* regcache.h (register_type): Declare.

2002-08-25  Andrew Cagney  <ac131313@redhat.com>

	* rs6000-tdep.c (rs6000_gdbarch_init): Set store_struct_return
	instead of deprecated_store_return_value.  Fix fallout from
	2002-08-23 Andrew Cagney <cagney@redhat.com>.

2002-08-25  Andrew Cagney  <ac131313@redhat.com>

	* regcache.c (max_register_size): New function.
	(init_legacy_regcache_descr): Ensure that max_register_size is
	large enough for REGISTER_VIRTUAL_SIZE.
	* regcache.h (max_register_size): Declare.

2002-08-24  Andrew Cagney  <ac131313@redhat.com>

	* rs6000-tdep.c (rs6000_gdbarch_init): Use deprecated version of
	store_return_value.
	(e500_extract_return_value): Change type of valbuf pointer to
	void.

2002-08-24  Mark Kettenis  <kettenis@gnu.org>

	* PROBLEMS: Clarify problems with FreeBSD's compiler and suggest
	workaround.

	* valprint.c (print_longest) [CC_HAS_LONG_LONG &&
	PRINTF_HAS_LONG_LONG]: Cast val_long to (long long) or (unsigned
	long long) to prevent compiler warning on 64-bit systems.

2002-08-23  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (STORE_RETURN_VALUE): Add regcache parameter.
	(DEPRECATED_STORE_RETURN_VALUE): New method.
	(EXTRACT_RETURN_VALUE): Make buffer parameter a void pointer.
	* gdbarch.h, gdbarch.c: Re-generate.

	* values.c (set_return_value): Pass current_regcache to
	STORE_RETURN_VALUE.
	* arch-utils.h (legacy_store_return_value): Declare.
	* arch-utils.c (legacy_store_return_value): New function.
	(legacy_extract_return_value): Update parameters.

	* config/pa/tm-hppa.h (DEPRECATED_STORE_RETURN_VALUE): Rename
	STORE_RETURN_VALUE.
	* config/pa/tm-hppa64.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/sparc/tm-sparc.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/z8k/tm-z8k.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/sparc/tm-sparclet.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/mn10200/tm-mn10200.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/m68k/tm-linux.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/m68k/tm-delta68.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/m32r/tm-m32r.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/h8500/tm-h8500.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.
	* config/h8300/tm-h8300.h (DEPRECATED_STORE_RETURN_VALUE): Ditto.

	* m68hc11-tdep.c (m68hc11_gdbarch_init): Update.
	* i386-tdep.c (i386_extract_return_value): Update.
	* arch-utils.c (legacy_extract_return_value): Update.
	* frv-tdep.c (frv_gdbarch_init): Update.
	* cris-tdep.c (cris_gdbarch_init): Update.
	* d10v-tdep.c (d10v_gdbarch_init): Update.
	* rs6000-tdep.c (rs6000_gdbarch_init): Update.
	* m68k-tdep.c (m68k_gdbarch_init): Update.
	* mcore-tdep.c (mcore_gdbarch_init): Update.
	* mn10300-tdep.c (mn10300_gdbarch_init): Update.
	* s390-tdep.c (s390_gdbarch_init): Update.
	* sparc-tdep.c (sparc_gdbarch_init): Update.
	* sh-tdep.c (sh_gdbarch_init): Update.
	* x86-64-tdep.c (x86_64_gdbarch_init): Update.
	* v850-tdep.c (v850_gdbarch_init): Update.
	* avr-tdep.c (avr_gdbarch_init): Update.
	* ia64-tdep.c (ia64_gdbarch_init): Update.
	* ns32k-tdep.c (ns32k_gdbarch_init): Update.
	* vax-tdep.c (vax_gdbarch_init): Update.
	* alpha-tdep.c (alpha_gdbarch_init): Update.
	* arm-tdep.c (arm_gdbarch_init): Update.
	* mips-tdep.c (mips_gdbarch_init): Update.
	* i386-tdep.c (i386_gdbarch_init): Update.

2002-08-23  Andrew Cagney  <ac131313@redhat.com>

	* config/djgpp/fnchange.lst: Add entries for bfd/elf32-ppcqnx.c,
	bfd/elf32-ppc.c, bfd/elf32-sh.c and bfd/elf32-shqnx.c.

2002-08-24  Mark Kettenis  <kettenis@gnu.org>

	* PROBLEMS: Refer to GDB 5.3 instead of 5.2.  Mention FreeBSD
	problems.

2002-08-23  Joel Brobecker  <brobecker@gnat.com>

	* infrun.c (handle_inferior_event): Move a comment outside of a
	function call, in order to avoid indent reformatting this part
	of the code in an unreadable way.

2002-08-23  Grace Sainsbury  <graces@redhat.com>

	* infrun.c (normal_stop, proceed): Remove call to print_sys_errmsg
	when breakpoints fail. Move general breakpoint error messages to
	insert_breakpoints.  
	* breakpoint.c (insert_breakpoints): Change warnings when
	breakpoints are nto inserted to specify the type. Remove call to
	memory_error when hardware breakpoints can't be inserted. Remove
	multiple calls to warning so all messages are sent to the user at
	once.
	(delete_breakpoints): Make insert error messsages more explicit.

2002-08-23  Daniel Jacobowitz  <drow@mvista.com>

	* ChangeLog: Move gdbserver entries after GDB 5.2 to
	gdbserver/ChangeLog.

2002-08-23  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c: Include "objfiles.h".
	(i386_svr4_init_abi): Set in_solib_call_trampoline and
	skip_trampoline_code.
	* config/i386/tm-i386v4.h: Don't include "config/tm-sysv4.h".
	(CPLUS_MARKER): Define to '.'.

	* linux-proc.c (struct linux_corefile_thread_data): Add num_notes
	member.
	(linux_corefile_thread_callback): Increase args->num_notes.
	(linux_make_note_section): Initialize thread_args.num_notes, and
	use it to determine whether notes for any threads were created.

2002-08-23  Donn Terry  <donnte@microsoft.com>

	* proc-api.c (rw_table): Do not include a row for PCDSTOP if the
	corresponding macro is not defined. Likewise for PCNICE, PCSHOLD
	and PCUNKILL.
	(write_with_trace): Conditionalize out the switch branch handling
	PCSHOLD if the corresponding macro is not defined. Likewise for
	PRSABORT and PRSTOP.
	This change will be needed by the Interix port.

2002-08-22  Elena Zannoni  <ezannoni@redhat.com>

	* ppc-sysv-tdep.c (ppc_sysv_abi_push_arguments): use
	write_register wherever possible instead of manipulating the
	register bytes directly.
	Assign VALUE_CONTENTS to a variable and use that.
	The GPR numbers are now dependent on the architecture.
	
2002-08-22  Elena Zannoni  <ezannoni@redhat.com>

	* rs6000-tdep.c (struct rs6000_framedata): Add saved_ev and
	ev_offset fields.
	(skip_prologue): Add support for BookE/e500 instructions.
	(e500_extract_return_value): New function.
	(frame_get_saved_regs): Add support for saving ev registers and
	pseudo gpr's.
	(e500_store_return_value): New function.
	(rs6000_gdbarch_init): Move up default intializations of
	deprecated_extract_return_value and store_return_value.  Overwrite
	init of store_return_value with e500 specific version.
	Set extract_return_value for e500.
	
2002-08-22  Elena Zannoni  <ezannoni@redhat.com>

	* blockframe.c (generic_call_dummy_register_unwind): Use
	regcache_cooked_read to catch cases in which the variable is
	stored in a pseudo register.

2002-08-22  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Mention that the i960 has been made obsolete.
	* Makefile.in (SFILES): Delete remote-nrom.c, remote-nindy.c and
	i960-tdep.c
	(remote-nrom.o): Obsolete target.
	(remote-nindy.o, i960-tdep.o): Ditto.
	* remote-nrom.c: Make file obsolete.
	* remote-nindy.c, remote-vx960.c: Ditto.
	* config/i960/vxworks960.mt, config/i960/nindy960.mt: Ditto.
	* config/i960/mon960.mt, config/i960/tm-i960.h: Ditto.
	* config/i960/tm-vx960.h, config/i960/tm-nindy960.h: Ditto.
	* config/i960/tm-mon960.h, i960-tdep.c: Ditto.
	* configure.tgt: Make i960-*-bout*, i960-nindy-coff*,
	i960-*-coff*, i960-nindy-elf*, i960-*-elf*, i960-*-nindy* and
	i960-*-vxworks* obsolete.
	* MAINTAINERS: Note that the i960 is obsolete.

2002-08-21  Corinna Vinschen  <vinschen@redhat.com

	* aix-thread.c (aix_thread_detach): Disable thread debugging on
	detach to allow reinitialization.

2002-08-22  Andrew Cagney  <ac131313@redhat.com>

	* MAINTAINERS: Change the s390 target to s390-linux-gnu (second
	attempt).

2002-08-22  Jim Blandy  <jimb@redhat.com>

	* coffread.c (coff_symfile_read): Don't try to read the line
	number table from disk if the image file doesn't have a symbol
	table; we'll never actually look at the info anyway, and Windows
	ships DLL's with bogus file offsets for the line number data.

2002-08-21  Elena Zannoni  <ezannoni@redhat.com>

        * rs6000-tdep.c (rs6000_gdbarch_init): Figure out whether we have
        an e500 executable.

2002-08-21  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (MSYMBOL_IS_SPECIAL): Replace macro with function.
	(MSYMBOL_SIZE): Replace macro with function.
	(DEFAULT_MIPS_TYPE): Delete unused macro.
	* config/mips/tm-mips.h (DEFAULT_MIPS_TYPE): Delete unused macro.
	* config/mips/tm-embed.h (DEFAULT_MIPS_TYPE): Delete unused macro.

2002-08-21  Jim Blandy  <jimb@redhat.com>

	* valops.c (value_cast): Simplify and correct logic for doing a
	static cast from a pointer to a base class to a pointer to a
	derived class.

2002-08-21  Andrew Cagney  <ac131313@redhat.com>

	* infcmd.c (default_print_registers_info): Replace
	do_registers_info.
	(registers_info): Use gdbarch_print_registers_info instead of
	DO_REGISTERS_INFO.
	* inferior.h (default_print_registers_info): Replace
	do_registers_info.
	* gdbarch.sh (PRINT_REGISTERS_INFO): New method.
	(DO_REGISTERS_INFO): Change to a predicate function.
	* gdbarch.h, gdbarch.c: Regenerate.
	
2002-08-21  Keith Seitz  <keiths@redhat.com>

	* gdb-events.sh: Add target-changed event.
	* gdb-events.c: Regenerated.
	* gdb-events.c: Regenerated.
	* valops.c (value_assign): Add target-changed event notification
	to inlval_register, lval_memory, and lval_reg_frame_relative.

2002-08-21  Joel Brobecker  <brobecker@gnat.com>

	* NEWS: Add an entry regarding the improvement of the next/step
	operation on Alpha Tru64 multi-processor machines.

2002-08-21  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in: Update dependencies for mi/ cli/ and tui/
	directores.
	* Makefile.in: Update all _h macro definitions.
	* Makefile.in (install-gdbtk): Move to install section.
	(rdi-share/libangsd.a): Move to end of file.

2002-08-19  Andrew Cagney  <ac131313@redhat.com>

	* frame.c (frame_register_unwind): When a register, set addrp to
	the register's byte.

2002-08-20  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (MSYMBOL_IS_SPECIAL, MSYMBOL_SIZE): These are only
	used locally, so move them from the target machine header to here.
	(mips_set_processor_type, mips_register_name, mips32_next_pc, 
	mips16_next_pc, cached_proc_desc, mips_set_processor_type): 
	Make static.
	* config/mips/tm-mips.h (MSYMBOL_IS_SPECIAL, MSYMBOL_SIZE): Delete.

2002-08-20  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Mention that the Apollo line was made obsolete.
	* configure.tgt: Make m68*-apollo*-bsd*, m68*-hp-bsd*, and
	m68*-hp-hpux* obsolete.
	* configure.host: Make m68*-apollo*-sysv*, m68*-apollo*-bsd*,
	m68*-hp-bsd* and m68*-hp-hpux* obsolete.
	* buildsym.c (make_blockvector): Make static.
	* buildsym.h (make_blockvector): Make extern declaration obsolete.
	* Makefile.in (HFILES_NO_SRCDIR): Remove dst.h
	(ALLDEPFILES): Remove dstread.c.
	(dstread.o): Obsolete make rule.
	* dstread.c: Makefile obsolete.
	* dst.h: Ditto.
	* config/m68k/hp300hpux.mt: Ditto.
	* config/m68k/hp300hpux.mh: Ditto.
	* config/m68k/hp300bsd.mt: Ditto.
	* config/m68k/hp300bsd.mh: Ditto.
	* config/m68k/apollo68b.mt: Ditto.
	* config/m68k/apollo68v.mh: Ditto.
	* config/m68k/apollo68b.mh: Ditto.

2002-08-20  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_in_return_stub): Make static.
	(mips_gdbarch_init): Set in_solib_return_trampoline.
	* config/mips/tm-mips.h (IN_SOLIB_RETURN_TRAMPOLINE): Delete.

2002-08-20  Michael Snyder  <msnyder@redhat.com>

	* gdbarch.sh (IN_SOLIB_RETURN_TRAMPOLINE): Add.
	* gdbarch.c, gdbarch.h: Regenerate.
	* arch-utils.c, arch-utils.h (generic_in_solib_return_trampoline):
	Add.
	* infrun.c (IN_SOLIB_RETURN_TRAMPOLINE): Delete default definition.

2002-08-20  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_skip_stub, mips_in_call_stub): Make static.
	(mips_gdbarch_init): Set skip_trampoline_code, 
	in_solib_call_trampoline.
	* config/mips/tm-mips.h (REGISTER_NAME): Delete.
	(IN_SOLIB_CALL_TRAMPOLINE, SKIP_TRAMPOLINE_CODE): Delete.

2002-08-20  Elena Zannoni  <ezannoni@redhat.com>

	* ppc-tdep.h (struct gdbarch_tdep): Add ev registers.

	* rs6000-tdep.c (rs6000_register_virtual_type): Return 64 bit
	vector type for ev registers.
	(e500_pseudo_register_read): New function.
	(e500_pseudo_register_write): New function.
	(e500_dwarf2_reg_to_regnum): New function.
	(PPC_UISA_NOFP_SPRS): New macro.
	(PPC_EV_REGS): New macro.
	(PPC_GPRS_PSEUDO_REGS): New macro.
	(registers_e500): New register set for e500.
	(variants): Add e500 variant.
	(rs6000_gdbarch_init): Move setting of pc, sp, fp regnums to
	before setting architectural dependent variations.  Initialize ev
	registers numbers.  Add case for e500 architecture.  Set the
	number of pseudo registers.

2002-08-20  Elena Zannoni  <ezannoni@redhat.com>

        * rs6000-tdep.c: Clean up comments.

2002-08-20  Andrew Cagney  <cagney@redhat.com>

	* h8300-tdep.c: Re-indent file.

2002-08-20  Jim Blandy  <jimb@redhat.com>

	* Makefile.in (LDFLAGS): Allow the configure script to establish a
	default for this.

2002-08-20  Keith Seitz  <keiths@redhat.com>

	* breakpoints.c (watch_command_1): Use internal breakpoint
	when setting a watchpoint_scope breakpoint.

2002-08-20  Elena Zannoni  <ezannoni@redhat.com>

        * gdbtypes.c (build_builtin_type_vec64): Add name to type.
        (build_builtin_type_vec64i): Ditto.
        (build_builtin_type_vec128): Ditto.
        (build_builtin_type_vec128i): Ditto.

2002-08-19  Michael Snyder  <msnyder@redhat.com>

	* config/mips/tm-mips.h (ELF_MAKE_MSYMBOL_SPECIAL): Delete.
	(MSYMBOL_IS_SPECIAL, MSYMBOL_SIZE): Change into functions.
	(FIX_CALL_DUMMY, PUSH_RETURN_ADDRESS, PUSH_DUMMY_FRAME,
	POP_FRAME, INIT_EXTRA_FRAME_INFO): Delete.
	(CALL_DUMMY_START_OFFSET, CALL_DUMMY_BREAKPOINT_OFFSET,
	CALL_DUMMY_ADDRESS): Delete.
	* mips-tdep.c (mips_elf_make_msymbol_special, mips_msymbol_size,
	mips_msymbol_is_special, mips_fix_call_dummy): New functions.
	(mips_gdbarch_init): Set elf_make_msymbol_special, pop_frame, 
	push_dummy_frame, fix_call_dummy, init_extra_frame_info, 
	push_return_address.
	(mips_register_raw_size, mips_eabi_use_struct_convention, 
	mips_n32n64_use_struct_convention, mips_o32_use_struct_convention,
	mips_o32_reg_struct_has_addr, mips_frame_saved_pc, mips_frame_chain,
	mips_init_extra_frame_info, mips_eabi_push_arguments, 
	mips_n32n64_push_arguments, mips_push_return_address,
	mips_push_dummy_frame, mips_pop_frame, mips_skip_prologue,
	mips_breakpoint_from_pc, mips_call_dummy_address): Make static.

2002-08-19  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_frame_num_args): New function.
	(mips_gdbarch_init): Set frame_chain, frameless_function_invocation,
	frame_saved_pc, frame_args_address, frame_locals_address, 
	frame_num_args, and frame_args_skip.
	* config/mips/tm-mips.h (FRAME_CHAIN, FRAMELESS_FUNCTION_INVOCATION,
	FRAME_SAVED_PC, FRAME_ARGS_ADDRESS, FRAME_LOCALS_ADDRESS, 
	FRAME_NUM_ARGS, FRAME_ARGS_SKIP): Delete.
	* config/mips/tm-mipsv4.h (FRAME_CHAIN_VALID): Delete.

2002-08-20  Michael Snyder  <msnyder@redhat.com>

	* config/mips/tm-mips.h (STORE_STRUCT_RETURN): Delete.
	(EXTRACT_STRUCT_VALUE_ADDRESS): Delete.
	* mips-tdep.c (mips_store_struct_return): New function.
	(mips_extract_struct_value_address): New function.
	(mips_gdbarch_init): Set store_struct_return and
	extract_struct_value_address.

2002-08-20  David Carlton  <carlton@math.stanford.edu>

	* dwarf2read.c (dwarf2_build_psymtabs): Check that
	dwarf_line_offset is nonzero before creating dwarf_line_buffer.
	(read_file_scope): Check that line_header is nonzero before
	decoding macro information.

2002-08-20  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.h (FP_REGNUM_P): Change such that we don't incorrectly
	flag the general-purpose registers as floating-point on targets
	that don't support the floating-point registers.

2002-08-20  Elena Zannoni  <ezannoni@redhat.com>

	* rs6000-tdep.c (altivec_register_p): Delete.
	(rs6000_do_altivec_registers): Delete.
	(rs6000_altivec_registers_info): Delete.
	(rs6000_do_registers_info): Delete.
	(_initialize_rs6000_tdep): Remove command 'info powerpc altivec'.
	(rs6000_gdbarch_init): Remove setting of do_registers_info.

2002-08-20  Elena Zannoni  <ezannoni@redhat.com>

	* infcmd.c (do_registers_info): Print vector registers in hex
	format only.
	(print_vector_info): Check that printing registers
	makes sense.
	(print_float_info): Ditto.

2002-08-20  Andrew Cagney  <ac131313@redhat.com>

	* mips-tdep.c (mips_gdbarch_init): Update.
	(mips_o32_extract_return_value): Rewrite.
	(mips_o32_store_return_value): Rewrite.
	(mips_o32_xfer_return_value): New function.
	(mips_xfer_register): Tweak debug print message.  Allow for
	buf_offset when dumping the value transfered.

2002-08-20  Andrew Cagney  <ac131313@redhat.com>

	* config/mips/tm-nbsd.h (MIPS_DEFAULT_ABI): Delete.
	* config/mips/tm-linux.h (MIPS_DEFAULT_ABI): Delete.
	* config/mips/tm-irix5.h (MIPS_DEFAULT_ABI): Delete.
	* config/mips/tm-irix6.h (MIPS_DEFAULT_ABI): Delete.
	* mips-tdep.c (mips_gdbarch_init) [MIPS_DEFAULT_ABI]: Delete code.

2002-08-14  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_frame_chain): Check for call-dummy frames.

2002-08-19  Elena Zannoni  <ezannoni@redhat.com>

	* rs6000-tdep.c (struct reg): Add field to indicate a pseudo
	register.
	(P): New macro to define a register as a pseudo register.
	(R, R4, R8, R16, FR32, R64, R0): Updated.
	(struct variant): Add new fields for number of pseudo registers
	and number of total registers.
	(tot_num_registers): New macro replacing....
	(num_registers): ...deleted macro.
	(num_registers): New function.
	(num_pseudo_registers): New function.
	(variants): Update all variants to intialize new fields correctly.
	Postpone initialization of number of pseudo regs and real regs.
	(init_variants): New function.
	(rs6000_gdbarch_init): Initialize variants.  Update calculation of
	registers offsets.

2002-08-19  David Carlton  <carlton@math.stanford.edu>

	* valops.c (search_struct_field): Change error message to treat
	return value of 0 from value_static_field as meaning that field is
	optimized out.
	(value_struct_elt_for_reference): Ditto.
	* values.c (value_static_field): Treat an unresolved location the
	same as a nonexistent symbol.  Fix PR gdb/635.
	* gnu-v2-abi.c (gnuv2_value_rtti_type): Eliminate test for being
	enclosed.  Fix PR gdb/574.
	* MAINTAINERS: Add self to Write After Approval list.

2002-08-19  Andrew Cagney  <ac131313@redhat.com>

	* mips-tdep.c (mips_xfer_register): New function.
	(mips_n32n64_extract_return_value): Rewrite.
	(mips_gdbarch_init): For N32 and N64, set extract_return_value
	instead of deprecated_extract_return_value.

2002-08-19  Elena Zannoni  <ezannoni@redhat.com>

	* rs6000-tdep.c (TDEP): Delete macro.
	(branch_dest): Replace use of TDEP macro with its body.
	(rs6000_pop_frame): Ditto.
	(rs6000_push_arguments): Ditto.
	(rs6000_skip_trampoline_code): Ditto.
	(rs6000_frame_saved_pc): Ditto.
	(rs6000_frame_chain): Ditto.
	(rs6000_register_name): Ditto.
	(rs6000_register_byte): Ditto.
        (rs6000_register_raw_size): Ditto.
	(rs6000_register_virtual_type): Ditto.
	(rs6000_register_convertible): Ditto.
	(rs6000_convert_from_func_ptr_addr): Ditto.

2002-08-19  Daniel Jacobowitz  <drow@mvista.com>

	* config/mips/tm-linux.h (REALTIME_LO, REALTIME_HI): Define
	conditionally.
	(JB_PC, JB_ELEMENT_SIZE): Rename to MIPS_LINUX_JB_PC and
	MIPS_LINUX_JB_ELEMENT_SIZE.
	* mips-linux-tdep.c (supply_gregset, fill_gregset): Use alloca
	for MAX_REGISTER_RAW_SIZE arrays.
	(mips_linux_get_longjmp_target): Use MIPS_LINUX_JB_PC and
	MIPS_LINUX_JB_ELEMENT_SIZE.

2002-08-19  Pierre Muller  <muller@ics.u-strasbg.fr>

	* i387-tdep.c (i387_print_float_info): Fix typo in comment.

2002-08-19  Aidan Skinner <aidan@velvet.net>

	* Makefile.in (SFILES): Add ada-exp.y ada-lang.c ada-typeprint.c
	ada-valprint.c ada-tasks.c.
	(YYFILES): Add ada-exp.y.
	(ada-exp.tab.c ada-lex.c ada-lang.o): New target.
	(ada-tasks.o ada-typeprint.o ada-valprint.o): New target.
	(ada-exp.tab.o): New target.
		
2002-08-18  Andrew Cagney  <ac131313@redhat.com>

	* regcache.c (regcache_xfer_part): New function.
	(regcache_raw_read_part): New function.
	(regcache_raw_write_part): New function.
	(regcache_cooked_read_part): New function.
	(regcache_cooked_write_part): New function.
	* regcache.h (regcache_raw_read_part): Declare.
	(regcache_raw_write_part): Declare.
	(regcache_cooked_read_part): Declare.
	(regcache_cooked_write_part): Declare.

2002-08-18  Daniel Jacobowitz  <drow@mvista.com>

	* remote.c (remote_open_1): Add async_p.
	(remote_async_open_1): Delete.
	(open_remote_target): Delete.
	(remote_open, extended_remote_open): Update calls to remote_open_1.
	(remote_async_open, extended_remote_async_open): Call
	remote_open_1 instead of remote_async_open_1.

2002-08-19  Mark Kettenis  <kettenis@gnu.org>

	* blockframe.c: Fix a few coding standard violations.

2002-08-19  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/nm-i386sco5.h (START_INFERIOR_TRAPS_EXPECTED): Moved
	here from ...
	* config/i386/tm-i386sco5.h: ... here.  File removed.
	* config/i386/i386sco5.mt (TM_FILE): Set to tm-i386v4.h.

	* config/i386/nm-i386v.h (START_INFERIOR_TRAPS_EXPECTED): New define.
	* config/i386/i386aout.mt (TDEPFILES): Add i387-tdep.o
	(TM_FILE): Set to tm-i386.h.
	* config/i386/i386v.mt (TM_FILE): Set to tm-i386.h.
	* config/i386/tm-i386v.h: Remove file.
	* config/i386/tm-ptx.h [!SEQUENT_PTX4]: Include "i386/tm-i386.h"
	instead of "i386/tm-i386v.h".
	(START_INFERIOR_TRAPS_EXPECTED): Remove define.
	* config/i386/tm-symmetry: Include "i386/tm-i386.h" instead of
	"i386/tm-i386v.h".
	(START_INFERIOR_TRAPS_EXPECTED): Remove define.
	* config/i386/tm-vxworks.h: Include "i386/tm-i386.h" instead of
	"i386/tm-i386.h".

2002-08-18  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/nm-i386v.h: Add protection against
	multiple-inclusion.
	(i386_register_u_addr): Remove prototype.
	(register_u_addr): New prototype.
	(REGISTER_U_ADDR): Redefine accordingly.
	* i386v-nat.c: Improve several comments.
	(i386_register_u_addr): Change signature and rename to
	register_u_addr.  Use FP_REGNUM_P.  Rewrite slightly to get rid of
	ubase variable.

2002-08-18  Andrew Cagney  <ac131313@redhat.com>

	* config/mips/tm-mips.h (STORE_RETURN_VALUE): Delete macro.
	(DEPRECATED_EXTRACT_RETURN_VALUE): Delete macro.
	* mips-tdep.c (mips_gdbarch_init): Set store_return_value and
	deprecated_extract_return_value.
	(mips_o32_push_arguments, mips_o64_push_arguments): Clone and
	rename mips_o32o64_push_arguments.
	(mips_gdbarch_init): Update.
	(mips_extract_return_value): Delete.
	(mips_o32_extract_return_value): Clone mips_extract_return_value.
	(mips_o64_extract_return_value): Clone mips_extract_return_value.
	(mips_eabi_extract_return_value): Clone mips_extract_return_value.
	(mips_n32n64_extract_return_value): Clone
	mips_extract_return_value.
	(mips_store_return_value): Delete.
	(mips_o32_store_return_value): Clone mips_store_return_value.
	(mips_o64_store_return_value): Clone mips_store_return_value.
	(mips_eabi_store_return_value): Clone mips_store_return_value.
	(mips_n32n64_store_return_value): Clone mips_store_return_value.

2002-08-18  Aidan Skinner <aidan@velvet.net>

	* ada-lang.c: Use gdb_string.h instead of <string.h>.
	* ada-typeprint.c: Use gdb_string.h instead of <string.h>.
		
2002-08-18  Aidan Skinner <aidan@velvet.net>

        * ada-lang.c: Run through gdb_indent.sh.
        * ada-lang.h: Run through gdb_indent.sh.
        * ada-tasks.c: Run through gdb_indent.sh.
        * ada-typeprint.c: Run through gdb_indent.sh.
        * ada-valprint.c: Run through gdb_indent.sh.

2002-08-18  Andrew Cagney  <ac131313@redhat.com>

	* osabi.c (gdbarch_init_osabi): Don't complain about an unknown
	ABI.

2002-08-18  Mark Kettenis  <kettenis@gnu.org>

	* i386b-nat.c [FETCH_INFERIOR_REGISTERS]: Remove dead code.

	* config/i386/nm-i386bsd.h (FLOAT_INFO): Remove redundant #undef.
	* i386b-nat.c [FLOAT_INFO]: Remove dead code.

	* i386-tdep.c (i386_do_pop_frame, i386_store_return_value): Call
	write_register_gen instead of write_register_bytes.

	* NEWS: Mention that the i[3456]-*mach3*, i[3456]-*-mach* and
	i[3456]-*-osf1mk* configurations have been made obsolete.
	* configure.host: Make i[3456]86-*-mach3*, i[3456]86-*mach* and
	i[3456]86-*-osf1mk* hosts obsolete.
	* confighure.tgt: Make i[3456]86-*-mach3*, i[3456]86-*-osf1mk*
	targets obsolete.
	* config/i386/i386mach.mh, config/i386/nm-i386mach.h,
	config/i386/xm-i386mach.h, config/i386/i386m3.mh,
	config/i386/i386m3.mt, config/i386/nm-m3.h,
	config/i386/tm-i386m3.h, config/i386/xm-i386m3.h,
	config/i386/i386mk.mh, config/i386/i386mk.mt,
	config/i386/tm-i386mk.h, config/i386/xm-i386mk.h: Make files
	obsolete.
	* i386mach-nat.c, i386m3-nat.c: Make files obsolete.
	* Makefile.in (ALLDEPFILES): Remove i386mach.c i386m3-nat.c
	(i386mach-nat.o, i386m3-nat.o):Make targets obsolete.

2002-08-18  Andrew Cagney  <ac131313@redhat.com>

	* config/pa/tm-hppa.h (hppa_store_return_value): Declare.
	(hppa_value_returned_from_stack): Declare.
	(hppa_extract_return_value): Declare.
	* config/pa/hppa.mt: New file.
	* configure.tgt: Recognize hppa*-*-*.
	* MAINTAINERS: Change HPPA target to hppa-elf.  Still broken.

2002-08-18  Mark Kettenis  <kettenis@gnu.org>

	* i386-sol2-tdep.c (_initialize_i386_sol2_tdep): Fix typo in
	comment.

2002-08-17  Mark Kettenis  <kettenis@gnu.org>

	* top.c (gdb_rl_operate_and_get_next): Make sure
	operate-and-get-next functions correctly even when the history
	list is completely filled.

2002-08-18  Andrew Cagney  <ac131313@redhat.com>

	* MAINTAINERS (Target Instruction Set Architectures): Rename
	Target/Architectures.  Replace vax-dec-vms5.5 with vax-netbsd.
	Replace s390-linux with s390-linux-gnu.  Remove i386-aout,
	mcore-pe, mips64-elf, sparc64-elf.  Remove i586-pc-msdosdjgpp,
	already listed under Host/Native.

	* configure.tgt: Combine i[3456]86-*-coff*, i[3456]86-*-elf*,
	i[3456]86-*-pe*, and i[3456]86-*-aout* into i[3456]86-*-*.  Add
	mips*-*-*.

2002-08-17  Andrew Cagney  <ac131313@redhat.com>

	* config/ia64/ia64.mt: New file.
	* config/alpha/alpha.mt: New file.
	* MAINTAINERS: Change the alpha target to alpha-elf and IA-64 to
	ia64-linux-gnu.  Mention that ia64-elf is broken.
	* configure.tgt: Add alpha*-*-* and ia64*-*-* patterns.

2002-08-17  Mark Kettenis  <kettenis@elgar.kettenis.dyndns.org>

	* i386-tdep.c (i386_svr4_init_abi, i386_nw_init_abi): Use
	generic_func_frame_valid instead of func_frame_valid.

2002-08-16  Joel Brobecker  <brobecker@gnat.com>

	* alpha-osf1-tdep.c (alpha_osf1_init_abi): Unfortunately,
	procfs appears to be broken when debugging on multi-processor
	machines. So enable software single stepping in order to avoid
	using the procfs interface to do next/step operations, using
	internal breakpoints instead.

	* infrun.c (handle_inferior_event): Readjust the stop_pc by
	DECR_PC_AFTER_BREAK when hitting a single step breakpoint, to
	make this pc address equal to the value it would have if the
	system stepping capability was used. Also set a new flag used
	to ensure that we don't readjust the PC one more time later.

	* breakpoint.c (bpstat_stop_status): Do not adjust the PC
	address by DECR_PC_AFTER_BREAK when software single step is
	in use for this architecture, as this has already been taken
	care of in handle_inferior_event().

2002-08-16  Joel Brobecker  <brobecker@gnat.com>

	* infrun.c (handle_inferior_event): Minor reformatting, to make
	a rather long condition expression easier to read.

2002-08-16  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in (gdbtk.o): Move to end of file.
	(gdbtk-bp.o, gdbtk-cmds.o): Ditto.
	(gdbtk-hooks.o, gdbtk-register.o): Ditto.
	(gdbtk-stack.o, gdbtk-varobj.o): Ditto.
	(gdbtk-wrapper.o, gdbres.o): Ditto.

2002-08-16  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in (copying.o): Separate out compile rule.
	(hpux-thread.o, procfs.o, signals.o): Ditto.
	(v850ice.o, z8k-tdep.o): Ditto.
	(tui-file.o): Move to TUI section.
	(xdr_ptrace.o, xdr_rdb.o, xdr_ld.o): Move to separate section.
	(nindy.o, Onindy.o, ttyflush.o): Move to separate section.

2002-08-16  Joel Brobecker  <brobecker@gnat.com>

	* i386-tdep.c (i386_pe_skip_trampoline_code): renamed from
	skip_trampoline_code, for better namespace-proofing.   

	* i386-tdep.h (i386_pe_skip_trampoline_code): Add declaration.

2002-08-16  Joel Brobecker  <brobecker@gnat.com>

	* config/i386/tm-cygwin.h: Remove some "#if 0"'ed macros.

2002-08-16  Joel Brobecker  <brobecker@gnat.com>

	* infrun.c (handle_inferior_event): When receiving a SIGTRAP
	signal, check whether we hit a breakpoint before checking for a
	single step breakpoint. Otherwise, GDB fails to notice that a
	breakpoint has been hit when stepping onto a breakpoint.

2002-08-16  Keith Seitz  <keiths@redhat.com>

	* gdb-events.sh (clear_gdb_event_hooks): New function.
	* gdb-events.c: Regenerate.
	* gdb-events.h: Regenerate.

2002-08-16  Andrew Cagney  <ac131313@redhat.com>

	* breakpoint.c (bpstat_stop_status): Rename not_a_breakpoint to
	not_a_sw_breakpoint.
	* breakpoint.h (bpstat_stop_status): Add parameter names.

2002-08-16  Grace Sainsbury  <graces@redhat.com>

	* remote.c (remote_insert_hw_breakpoint)
	(remote_remove_hw_breakpoint): Fix calculation of length field
	for Z-packet.

2002-08-15  Michael Snyder  <msnyder@redhat.com>

	* irix5-nat.c (supply_gregset): Allocate plenty-big buffer
	(32 bytes) instead of using MAX_REGISTER_RAW_SIZE.
	(supply_fpregset): Ditto.
	
	* config/mips/tm-mips.h (REGISTER_CONVERT_TO_VIRTUAL, 
	REGISTER_CONVERT_TO_RAW, REGISTER_CONVERTIBLE, 
	MAX_REGISTER_RAW_SIZE, MAX_REGISTER_VIRTUAL_SIZE): Delete.
	(TARGET_READ_SP): Delete.
	(DO_REGISTERS_INFO): Delete.
	(FUNCTION_START_OFFSET, IN_SIGTRAMP, REGISTER_VIRTUAL_SIZE):
	Delete.
	(REGISTER_CONVERT_FROM_TYPE, REGISTER_CONVERT_TO_TYPE): Convert
	from macros to functions.

	* mips-tdep.c (mips_gdbarch_init): Set the above in the gdbarch.
	(mips_register_convertible, mips_register_convert_to_virtual,
	mips_register_convert_to_raw): Make static.
	(mips_read_sp): New function.
	(mips_gdbarch_init): Set gdbarch read_sp to mips_read_sp.
	(mips_do_registers_info): Make static.
	(mips_gdbarch_init): Insert mips_do_registers_info into gdbarch.
	(in_sigtramp): Make static, rename to mips_pc_in_sigtramp.
	(mips_register_convert_from_type, mips_register_convert_to_type):
	New functions.
	(mips_gdbarch_init): Set up function_start_offset, 
	register_virtual_size, pc_in_sigtramp.

2002-08-15  Andrew Cagney  <ac131313@redhat.com>

	* infcmd.c (vector_info): New function.
	(_initialize_infcmd): Add command "info vector".
	(print_vector_info): New function.

	* gdbarch.sh (PRINT_VECTOR_INFO): New method
	* gdbarch.h, gdbarch.c: Regenerate.

2002-08-15  Andrew Cagney  <ac131313@redhat.com>

	* infcmd.c (do_registers_info): Rename parameter ``fpregs'' to
	``print_all''.  Only print vector registers when ``print_all''.

2002-08-15  Andrew Cagney  <ac131313@redhat.com>

	* i387-tdep.h (i387_print_float_info): Add `args' parameter.
	* i387-tdep.c (i387_print_float_info): Add `args' parameter.

	* gdbarch.sh (PRINT_FLOAT_INFO): Change to a predicate method.
	Add `args' parameter.
	* gdbarch.h, gdbarch.c: Regenerate.
	
	* arm-tdep.c (arm_print_float_info): Add the parameter `args'.
	
	* infcmd.c (float_info): Call print_float_info.
	(print_float_info): New function.  By default, print the
	floating-point registers.

	* arch-utils.h (default_print_float_info): Delete declaration.
	* arch-utils.c (default_print_float_info): Delete function.
	
2002-08-16  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/nm-i386v.h (FLOAT_INFO): Remove already commented
	out define.

	* i387-tdep.c (i387_print_float_info): Add comment about ignoring
	FRAME.

	* NEWS: Mention that the i[3456]-*-aix target has been made obsolete.
	* configure.host: Make i[3456]86-*-aix host obsolete.
	* configure.tgt: Make i[3456]86-*-aix target obsolete.
	* config/i386/i386aix.mh, config/i386/i386aix.mt,
	config/i386/nm-i386aix.h, condig/i386/tm-i386aix.h,
	config/i386/xm-i386aix.h: Make files obsolete.
	* i386aix-nat.c: Make file obsolete.
	* Makefile.in (ALLDEPFILES): Remove i386aix-nat.c.
	(i386aix-nat.o): Make target obsolete.

	* config/i386/nm-gnu.h: Removed.
	* config/i386/nm-i386gnu.h: New file.
	(THREAD_STATE_FLAVOR, THREAD_STATE_SIZE,
	THREAD_STATE_SET_TRACED, THREAD_STATE_CLEAR_STATE, ATTACH_DETACH):
	Moved here from ...
	* config/i386/tm-i386gnu.h: ... here.  Removed.
	* config/i386/xm-i386gnu.h: Removed.
	* config/i386/i386gnu.mh (XM_FILE): Set to xm-i386.h.
	(NAT_FILE): Set to nm-i386gnu.h.
	* config/i386/i386gnu.mt (TDEPFILES): Add i386gnu-tdep.o.
	* i386-tdep.c: New file.
	* Makefile.in (ALLDEPFILES): Add i386gnu-nat.c and i386gnu-tdep.c.
	(i386gnu-tdep.o): Specify dependencies.

2002-08-15  Mark Kettenis  <kettenis@gnu.org>

	* config/i386/tm-i386sco5.h: Include "i386/tm-i386v4.h" instead of
	"i386/tm-i386.h", "i386/tm-i386v.h" and "config/tm-sysv.h".
	Adjust a few comments to reflect reality a bit closer.
	(KERNEL_U_SIZE, TARGET_HAS_HARDWARE_WATCHPOINTS,
	TARGET_CAN_USE_HARDWARE_WATCHPOINT, HAVE_CONTINUEABLE_WATCHPOINT,
	HAVE_STEPPABLE_WATCHPOINT, STOPPED_BY_WATCHPOINT,
	target_insert_watchpoint, target_remove_watchpoint):
	Move defines to ...
	* config/i386/nm-i386sco5.h: ... here.
	(kernel_u_size): Add prototype.  Improve a few comments and add
	protection against multiple inclusion.
	
	* config/i386/nm-i386sco.h (FLOAT_INFO): Remove already commented
	out define.

	* uw-thread.c (SP_ARG0): Define if not already defined.
	* config/i386/tm-i386.h (SO_ARG0): Remove define.

	* config/i386/tm-i386v4.h (HAVE_I387_REGS): Remove define.

	* config/i386/tm-i386.h: Don't include "regcache.h".

	* i387-tdep.h (i387_print_float_info): New prototype.
	* i387-tdep.c (print_i387_value, print_i387_ext,
	print_i387_status_word, print_i387_control_word): Add `struct
	ui_file *' argument and use it for output.
	(i387_print_float_info): Renamed from i387_float_info.  Add
	`struct gdbarch *' and `struct ui_file *' arguments and use the
	latter for output.
	* i386-tdep.c: Include "i387-tdep.h".
	(i386_gdbarch_init): Set print_float_info.
	* config/i386/tm-i386.h (i387_float_info): Remove prototype.
	(FLOAT_INFO): Remove define.

2002-08-13  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_push_arguments): Rename to
	mips_eabi_push_arguments, and tune for EABI.
	(MIPS_REGS_HAVE_HOME_P): Delete.
	(struct gdbarch_tdep): Remove mips_regs_have_home_p field.
	(mips_gdbarch_init): Set gdbarch push_arguments for eabi.
	Delete references to mips_regs_have_home_p.

2002-08-14  Keith Seitz  <keiths@redhat.com>

	* Makefile.in (install-gdbtk): Create insight plugin directory.
	Install plugins.tcl file.

2002-08-14  Keith Seitz  <keiths@redhat.com>

	* configure.in: Move SUBDIRS to near top of the file so that
	--enable options may add things to it.
	If gdbtk is enabled, add gdbtk directory to SUBDIRS and configdirs.
	* configure: Regenerate.

2002-08-13  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_o32o64_push_arguments):  New function, 
	cloned from mips_push_arguments, tuned for o32/o64 ABI.
	(mips_gdbarch_init): Set gdbarch_push_arguments to new func.

2002-08-13  Andrew Cagney  <ac131313@redhat.com>

	* vax-tdep.c (vax_get_saved_register): Delete function.
	(vax_gdbarch_init): Update.
	* ns32k-tdep.c (ns32k_get_saved_register): Delete function.
	(ns32k_gdbarch_init): Update.
	* alpha-tdep.c (alpha_get_saved_register): Delete function.
	(alpha_gdbarch_init): Update.

2002-08-13  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (init_regcache_descr): Overallocate the
	raw_register_valid_p array including space for NUM_PSEUDO_REGS.
	(registers_changed): Replace NUM_REGS+NUM_PSEUDO_REGS with
	nr_raw_registers.
	(set_register_cached): Add range checking assertions.  Use
	current_regcache.

2002-08-13  Mark Kettenis  <kettenis@gnu.org>

	* i386-tdep.c (i386_stab_reg_to_regnum): Return correct register
	numbers for MMX registers.

2002-08-13  Andrew Cagney  <cagney@redhat.com>

	* i386-tdep.c (i386_gdbarch_init): Use
	generic_unwind_get_saved_register.

2002-08-13  Kevin Buettner  <kevinb@redhat.com>

	* procfs.c (procfs_can_use_hw_breakpoint): New function.
	(init_procfs_ops): Define ``to_can_use_hw_breakpoint'' for procfs
	target vector.
	* config/mips/nm-irix5.h (TARGET_CAN_USE_HARDWARE_WATCHPOINT):
	Delete.  Add comment regarding this now-deleted target method.

2002-08-13  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (M68HC12_NUM_PSEUDO_REGS): New define.
	(M68HC12_HARD_PC_REGNUM): Define specific PC for 68HC12 (pseudo reg).
	(m68hc11_pseudo_register_read): Compute the 68HC12 PC using the
	real PC and the page number (if it's within the memory bank window).
	(m68hc11_pseudo_register_write): Likewise when saving.
	(m68hc11_register_name): Name the virtual pc 'pc' and the real one ppc.
	(m68hc11_register_virtual_type): Return uint32 for virtual pc.
	(m68hc11_register_raw_size): And use 32-bit for it.
	(m68hc11_gdbarch_init): Use 32-bit address for 68HC12 if the
	16K memory bank is used by the prog; also use the virtual pc.

2002-08-13  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (m68hc11_elf_make_msymbol_special): New function.
	(m68hc11_gdbarch_init): Install it in gdbarch.
	(MSYMBOL_SET_RTC, MSYMBOL_SET_RTI): New to set symbol specific flags.
	(MSYMBOL_IS_RTC, MSYMBOL_IS_RTI): New to test these flags.
	(MSYMBOL_SIZE): New for documentation.
	(insn_return_kind): Enum to specify how a function returns.
	(frame_extra_info): Cleanup and record the return mode.
	(gdbarch_tdep, USE_PAGE_REGISTER): New to control the use of page 
	register in address computation.
	(m68hc11_get_return_insn): New to obtain the return instruction used
	by the function.
	(m68hc11_frame_init_saved_regs): Take into account the return
	instruction used by the function for far and interrupt functions.
	(m68hc11_init_extra_frame_info): Take into account page register.
	(m68hc11_frame_args_address): Adjust according to the return mode.
	(show_regs): Print page register only when it's used.

2002-08-13  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (HARD_PAGE_REGNUM): Define for 68HC12 page register.
	(M68HC11_LAST_HARD_REG, m68hc11_register_names): Update.
	(m68hc11_register_virtual_type): Return a 8-bit type for 8-bit
	registers.
	(m68hc11_register_raw_size): Likewise.

2002-08-13  Andrew Cagney  <cagney@redhat.com>

	* i386-tdep.c (i386_register_name): Handle mmx registers.
	(mmx_regnum_p): New function.
	(i386_mmx_names): New array.
	(mmx_num_regs): New variable.
	(i386_pseudo_register_read): New function.
	(i386_pseudo_register_write): New function.
	(mmx_regnum_to_fp_regnum): New function. Code from Fernando Nasser.

	* regcache.c (regcache_raw_read_unsigned): New function.
	(regcache_raw_read_signed): New function.
	* regcache.h (regcache_raw_read_unsigned): Declare.
	(regcache_raw_read_signed): Declare.

2002-08-13  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (regcache_raw_read_as_address): Delete function.
	(regcache_cooked_read_signed): New function.
	(regcache_cooked_read_unsigned): New function.
	* regcache.h (regcache_cooked_read_signed): Declare.
	(regcache_cooked_read_unsigned): Declare.
	(regcache_raw_read_as_address): Delete declaration.

	* blockframe.c (generic_read_register_dummy): Use
	regcache_cooked_read_unsigned.
	* i386-tdep.c (i386_extract_struct_value_address): Use
	regcache_cooked_read_unsigned.

2002-08-13  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (m68hc11_gdbarch_init): Set int, double and long
	double sizes according to ELF ABI flags.
	(gdbarch_tdep): Record elf_flags.

2002-08-13  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11-tdep.c (M6812_OP_PSHX, M6812_OP_PSHY): New defines.
	(m6812_prolog): They can appear in 68HC12 function prologue.
	(m68hc11_frame_chain): Cleanup.

2002-08-12  Andrew Cagney  <cagney@redhat.com>

	* i386-tdep.h (i386_register_byte, i386_register_raw_size): Delete
	declarations.
	* i386-linux-tdep.c (i386_linux_register_byte): Delete function.
	(i386_linux_register_raw_size): Delete function.
	(i386_linux_init_abi): Update.
	* i386-tdep.c (i386_register_raw_size): Delete function.
	(i386_register_byte): Delete function.
	(i386_gdbarch_init): Update.
	(i386_register_size): Delete array.
	(i386_register_offset): Delete array.

	* config/i386/tm-symmetry.h (REGISTER_BYTE): Delete macro.
	(REGISTER_RAW_SIZE): Delete macro.
	* config/i386/tm-ptx.h (REGISTER_RAW_SIZE): Delete macro.
	(REGISTER_BYTE): Delete macro.

2002-08-11  Aidan Skinner <aidan@velvet.net>

	* ada-lang.c (ada_lookup_partial_symbol)
	(to_fixed_variant_branch_type) (find_line_in_linetable): Fix
	prototype names so that grep ^func works properly.

	* ada-lang.c (ada_array_element_type)
	(ada_lookup_partial_symbol): Fix typos in parameter list.

	* ada-valprint.c (val_print_packed_array_elements) (ada_val_print_1):
	Fix prototype names so that grep ^func works properly.
 	
2002-08-10  Andrew Cagney  <cagney@redhat.com>
	    Elena Zannoni  <ezannoni@redhat.com>
	    Martin M. Hunt  <hunt@redhat.com>

	* gdbtypes.c (build_builtin_type_vec128): Set the vector bit.
	(build_builtin_type_vec128i): Set the vector bit.
	* gdbtypes.h (builtin_type_vec64, builtin_type_vec64i): Declare.
	* gdbtypes.c (builtin_type_vec64, builtin_type_vec64i): Define.
	(build_builtin_type_vec64): New function.
	(build_builtin_type_vec64i): New function.
	(build_gdbtypes): Initialize builtin_type_vec64 and
	builtin_type_vec64i.

2002-08-09  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (regcache_dump): Compare the register offset
	with REGISTER_BYTE.
	* arch-utils.c (generic_register_byte): New function.
	* arch-utils.h (generic_register_byte): Declare.
	* gdbarch.sh (REGISTER_BYTE): Default to generic_register_byte.
	* gdbarch.h, gdbarch.c: Regenerate.

2002-08-09  Andrew Cagney  <cagney@redhat.com>

	* regcache.c: Include "gdbcmd.h"
	(_initialize_regcache): Add commands "maintenance print
	registers", "maintenance print raw-registers" and "maintenance
	print cooked-registers".
	(enum regcache_dump_what): Define.
	(dump_endian_bytes): New function.
	(regcache_dump): New function.
	(regcache_print): New function.
	(maintenance_print_registers): New function.
	(maintenance_print_raw_registers): New function.
	(maintenance_print_cooked_registers): New function.
	* Makefile.in (regcache.o): Update dependencies.

2002-08-09  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (ROUND_DOWN, ROUND_UP): Move to global scope.
	(mips_push_arguments): Correct some comments.  Use paddr_nz
	for printing addresses in debug output.  Replace static
	allocation using MAX_REGISTER_RAW_SIZE with alloca.
	(mips_n32n64_push_arguments): New function, cloned from
	mips_push_arguments and tuned for the n32/n64 ABI.
	(mips_push_register): Buffer needs dynamic allocation.
	(mips_print_register): Ditto.
	(do_gp_register_row): Ditto.
	(mips_store_return_value): Ditto.
	(mips_gdbarch_init): Set gdbarch_push_arguments per ABI.

2002-08-09  Don Howard  <dhoward@redhat.com>

	* memattr.c (mem_info_command): Print special case of upper bound
	as max CORE_ADDR + 1.

2002-08-08  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c (mips_n32n64_use_struct_convention): N32 only 
	returns structs by ref if they're too big to fit in two registers.

2002-08-09  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (mips_init_extra_frame_info): Initialize SP_REGNUM's
	saved regs value.
	(read_next_frame_reg): Call FRAME_INIT_SAVED_REGS instead of
	mips_find_saved_regs().
	(mips_pop_frame): Likewise.

2002-08-09  Kevin Buettner  <kevinb@redhat.com>

	* blockframe.c (frame_saved_regs_register_unwind): Revise
	PC_IN_CALL_DUMMY assertion to only apply when generic dummy
	frames are in use.

2002-08-09  Grace Sainsbury  <graces@redhat.com>
        
	* remote.c: (remote_wait, remote_async_wait): Add check for awatch
        T-packets; the 'a' is not taken as a register number.
	(remote_check_watch_resources, remote_stopped_by_watchpoint)
        (remote_stopped_data_address): New functions; add to target
        vector.
        (remote_insert_hw_breakpoint, remote_remove_hw_breakpoint): Change
        prototypes to match other implementations of this
        function. replace integer argument with pointer -- the length
        field in the Z-packet is the length of what is pointed to or 1 if
        pointer is null. Add to target vector.
        (remote_insert_watchpoint, remote_remove_watchpoint): Add to
        target vector.

        From Mark Salter:
        * remote.c (remote_wait): Add support to extract optional
        watchpoint information from T-packet. Ignore unrecognized
        optional info in T-packet.
        (remote_async_wait): Ditto.

2002-08-09  Corinna Vinschen  <vinschen@redhat.com>

	* cli/cli-dump.c: Change fopen modes to use binary open modes
	as defined in include/fopen-bin.h throughout.

2002-08-08  Michael Snyder  <msnyder@redhat.com>

	* mips-tdep.c: Minor whitespace and indentation clean-ups.

2002-08-08  Kevin Buettner  <kevinb@redhat.com>

	* doublest.c (store_floating): Avoid floatformat_from_doublest()
	assertion failure by returning early after a warning.

2002-08-08  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (mips_find_saved_regs): Make static.
	(mips_frame_init_saved_regs): New function.
	(mips_gdbarch_init): Setup FRAME_INIT_SAVED_REGS method.
	* config/mips/tm-mips.h (FRAME_INIT_SAVED_REGS): Delete macro.
	(mips_find_saved_regs): Delete declaration.

2002-08-08  Grace Sainsbury  <graces@redhat.com>

	* remote.c (remote_wait, remote_async_wait): Change
        thread_num from int to ULONGEST.
	(unpack_varlen_hex): Change result parameter from
	int * to ULONGEST *.

2002-08-08  Andrew Cagney  <ac131313@redhat.com>

	* configure.tgt: Replace powerpc-*-sysv*, powerpc-*-elf*,
	powerpcle-*-eabi*, powerpcle-*-sysv* and powerpcle-*-elf* with
	powerpc*-*-*.
	* MAINTAINERS: Remove redundant rs6000-ibm-aix4.1 target.

2002-08-08  Andrew Cagney  <cagney@redhat.com>

	* gcore.c (override_derive_stack_segment): Delete variable.
	(preempt_derive_stack_segment): Delete function.
	(derive_stack_segment): Delete function.
	(default_derive_stack_segment): Renamed to derive_stack_segment.
	(override_derive_heap_segment): Delete variable.
	(preempt_derive_heap_segment): Delete function.
	(derive_heap_segment): Delete function.
	(default_derive_heap_segment): Rename to derive_heap_segment.

2002-08-06  Michael Snyder  <msnyder@redhat.com>

	* config/mips/tm-mips.h: Remove #define USE_STRUCT_CONVENTION.
	* mips-tdep.c (mips_EABI_use_struct_convention, 
	mips_OABI_use_struct_convention, mips_NABI_use_struct_convention):
	New functions.  (mips_use_struct_convention): Delete.
	(mips_gdbarch_init): set use_gdbarch_convention.

2002-08-06  Michael Snyder  <msnyder@redhat.com>

	*  mips-tdep.c: gdbarch-ify reg_struct_has_addr.
	(mips_eabi_reg_struct_has_addr, mips_n32n64_reg_struct_has_addr, 
	mips_o32_reg_struct_has_addr): New functions.
	(mips_gdbarch_init): Set gdbarch reg_struct_has_addr.

2002-08-07  Andrew Cagney  <ac131313@redhat.com>

	* regcache.c (pseudo_register): Delete function.
	(fetch_register): Delete function.
	(store_register): Delete function.
	(regcache_raw_read, legacy_read_register_gen): Use
	target_fetch_registers instead of fetch_register.
	(legacy_write_register_gen, regcache_raw_write): Use
	target_store_register instead of store_register.
	(write_register_bytes): Ditto.

	* gdbarch.sh (FETCH_PSEUDO_REGISTER): Delete.
	(STORE_PSEUDO_REGISTER): Delete.
	* gdbarch.h, gdbarch.c: Regenerate.

2002-08-06  Corinna Vinschen  <vinschen@redhat.com>

	* cli/cli-dump.c (add_dump_command): Explicitely use "b" flag to
	write dump file binary.

2002-08-05  Michael Snyder  <msnyder@redhat.com>

	*  mips-tdep.c (mips_find_saved_regs): Adjust stack according
	to MIPS_SAVED_REGSIZE, not GDB_TARGET_IS_MIPS64.  Enhance comment.
	(mips_gdbarch_init): Set N32 target to be mips64.

2002-08-06  Kevin Buettner  <kevinb@redhat.com>

	* frame.c (find_saved_register): Break out of loop once saved
	register address is found.  Don't mention sparc in loop comment
	anymore.

2002-08-06  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (mips_gdbarch_init): For the N32 ABI, set
	mips_default_saved_regsize to 8.

2002-08-06  Andrew Cagney  <ac131313@redhat.com>

	* gcore.c: Do not include <sys/procfs.h>.
	* Makefile.in (gcore.o): Update dependencies.

2002-08-06  Andrew Cagney  <cagney@redhat.com>

	* configure.tgt: Make arc-*-* obsolete.
	* NEWS: Mention that arc-*-* has been identifed as obsolete.
	* MAINTAINERS: Make arc-elf obsolete.
	* arc-tdep.c: Make file obsolete.
	* config/arc/arc.mt: Ditto.
	* config/arc/tm-arc.h: Ditto.

2002-08-05  Theodore A. Roth  <troth@verinet.com>

	* avr-tdep.c (avr_skip_prologue): Fix to return the correct pc.

2002-08-05  Andrew Cagney  <ac131313@redhat.com>

	* mcore-tdep.c (mcore_gdbarch_init): Use
	generic_unwind_get_saved_register instead of
	generic_get_saved_register.
	* v850-tdep.c (v850_gdbarch_init): Ditto.
	* frv-tdep.c (frv_gdbarch_init): Ditto.
	* mn10300-tdep.c (mn10300_gdbarch_init): Ditto.
	* s390-tdep.c (s390_gdbarch_init): Ditto.
	* d10v-tdep.c (d10v_gdbarch_init): Ditto.
	* config/mn10200/tm-mn10200.h (GET_SAVED_REGISTER): Ditto.
	* config/h8300/tm-h8300.h (GET_SAVED_REGISTER): Ditto.

2002-08-05  Joel Brobecker  <brobecker@gnat.com>

	* objfiles.h: Add missing #include "symfile.h"

	* Makefile.in (objfiles_h): Add dependency on symfile.h and dependents.

2002-08-04  Andrew Cagney  <ac131313@redhat.com>

	From 2002-08-01 david carlton <carlton@math.stanford.edu>:
	* hpread.c (hpread_read_struct_type): Deleted superfluous setting
	of FIELD_BITSIZE.

2002-08-04  Daniel Jacobowitz  <drow@mvista.com>

	* NEWS: Cleanup and nitpick.

2002-08-03  Andrew Cagney  <ac131313@redhat.com>

	* NEWS: Cleanup.  Use *-linux*-gnu*.  Only use `*' for headings.

2002-08-03  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in (gdbtk-bp.o): Update dependencies.
	(gdbtk-register.o): Ditto.
	(gdbtk-varobj.o): Ditto.

2002-08-03  Andrew Cagney  <cagney@redhat.com>

	* m68hc11-tdep.c (m68hc11_pseudo_register_read): Replace
	m68hc11_fetch_pseudo_register.
	(m68hc11_pseudo_register_write): Replace
	m68hc11_store_pseudo_register.
	(m68hc11_gdbarch_init): Update.

Fri Aug  2 15:53:50 2002  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh: Include "gdb_string.h".
	* gdbarch.c: Regenerate.

	* regcache.c: Include "gdb_string.h".
	* ax-general.c: Ditto.
	* varobj.c: Ditto.
	* std-regs.c: Ditto.
	* fbsd-proc.c: Ditto.
	* thread.c: Ditto.

	* Makefile.in (regcache.o): Update dependencies.
	(thread.o, gdbarch.o): Ditto.
	(ax-general.o, gdbarch.o): Ditto.
	(varobj.o, std-regs.o): Ditto.
	(fbsd-proc.o): Specify dependencies.

2002-08-02  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (regcache_cooked_read): Rename rawnum parameter to
	regnum.
	(regcache_cooked_write): Ditto.

2002-08-02  Andrew Cagney  <ac131313@redhat.com>

	* regcache.c (regcache_cooked_read): New function.
	(regcache_cooked_write): New function.
	(read_register_gen): Rewrite using regcache_cooked_read.
	(write_register_gen): Rewrite using regcache_cooked_write.

	* regcache.h (regcache_cooked_read, regcache_cooked_write):
	Declare.

2002-08-02  Andrew Cagney  <cagney@redhat.com>

	* gdbarch.sh (pseudo_register_read, pseudo_register_write):
	Replace the architecture methods register_read and register_write.
	* gdbarch.h, gdbarch.c: Regenerate.
	* regcache.c (init_regcache_descr): Update.
	(read_register_gen): Update.
	(write_register_gen): Update.
	(supply_register): Update comment.

	* sh-tdep.c (sh_gdbarch_init): Update.
	(sh_pseudo_register_read, sh64_pseudo_register_read): Add
	`regcache' and `gdbarch' parameters.  Make `buffer' a void
	pointer.  Update code.
	(sh_pseudo_register_write, sh64_pseudo_register_write): Add
	`regcache' and `gdbarch' parameters.  Make `buffer' a constant
	void pointer.  Update code.
	(sh64_register_write): Delete.
	(sh4_register_read): Delete.
	(sh64_register_read): Delete.
	(sh4_register_write): Delete.
	(sh_sh4_register_convert_to_raw): Make `from' parameter a constant
	void pointer, `to' parameter a void pointer.
	(sh_sh64_register_convert_to_raw): Ditto.

2002-08-01  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (mips_register_virtual_type): Use architecture
	invariant return values.

2002-08-01  Andrew Cagney  <cagney@redhat.com>

	* linux-proc.c: Include "gdb_string.h".
	* Makefile.in (linux-proc.o): Update dependency list.

2002-08-01  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (mips_gdbarch_init): Add comments.  Fix typo in
	comment.

2002-08-01  Grace Sainsbury  <graces@redhat.com>

	* target.h: Add to_insert_hw_breakpoint, to_remove_hw_breakpoint,
	to_insert_watchpoint, to_remove_watchpoint,
	to_stopped_by_watchpoint, to_stopped_data_address,
	to_region_size_ok_for_hw_watchpoint, to_can_use_hw_breakpoint to
	target vecctor. Define their corresponding macros so they call
	them.
	
	* target.c: Add default and debug versions of for
	to_insert_hw_breakpoint, to_remove_hw_breakpoint,
	to_insert_watchpoint, to_remove_watchpoint,
	to_stopped_by_watchpoint, to_stopped_data_address,
	to_region_size_ok_for_hw_watchpoint, to_can_use_hw_breakpoint.

2002-08-01  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (mips_register_virtual_type): New function.
	(mips_gdbarch_init): Register mips_register_virtual_type()
	with gdbarch machinery.
	* config/mips/tm-irix6.h (mips/tm-bigmips64.h): Include
	this file instead of tm-bigmips.h.
	(MIPS_REGSIZE): Delete this macro.
	(REGISTER_VIRTUAL_TYPE): Delete macro.  Undef macro so that
	multiarch version in mips-tdep.c will be found.

2002-08-01  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Menion that CHILL has been made obsolete.

	* gdbtypes.c (chill_varying_type): Make chill references obsolete.
	* stabsread.c (read_range_type): Ditto.
	* gdbtypes.h: Ditto.
	* language.c (binop_type_check): Ditto.
	(binop_result_type): Ditto.
	(integral_type): Ditto.
	(character_type): Ditto.
	(string_type): Ditto.
	(boolean_type): Ditto.
	(structured_type): Ditto.
	(lang_bool_type): Ditto.
	(binop_type_check): Ditto.
	* language.h (_LANG_chill): Ditto.
	* dwarfread.c (set_cu_language): Ditto.
	* dwarfread.c (CHILL_PRODUCER): Ditto.
	* dwarfread.c (handle_producer): Ditto.
	* expression.h (enum exp_opcode): Ditto.
	* eval.c: Ditto for comments.
	* typeprint.c (typedef_print) [_LANG_chill]: Ditto.
	* expprint.c (print_subexp): Ditto.
	(print_subexp): Ditto.
	* valops.c (value_cast): Ditto.
	(search_struct_field): Ditto.
	* value.h (COERCE_VARYING_ARRAY): Ditto.
	* symfile.c (init_filename_language_table): Ditto.
	(add_psymbol_with_dem_name_to_list): Ditto.
	* valarith.c (value_binop): Ditto.
	(value_neg): Ditto.
	* valops.c (value_slice): Ditto.
	* symtab.h (union language_specific): Ditto.
	(SYMBOL_INIT_LANGUAGE_SPECIFIC): Ditto.
	(SYMBOL_DEMANGLED_NAME): Ditto.
	(SYMBOL_CHILL_DEMANGLED_NAME): Ditto.
	* defs.h (enum language): Ditto.
	* symtab.c (got_symtab): Ditto.
	* utils.c (fprintf_symbol_filtered): Ditto.

	* ch-typeprint.c: Make file obsolete.
	* ch-valprint.c: Make file obsolete.
	* ch-lang.h: Make file obsolete.
	* ch-exp.c: Make file obsolete.
	* ch-lang.c: Make file obsolete.

	* Makefile.in (FLAGS_TO_PASS): Do not pass CHILL or CHILLFLAGS or
	CHILL_LIB.
	(TARGET_FLAGS_TO_PASS): Ditto.
	(CHILLFLAGS): Obsolete.
	(CHILL): Obsolete.
	(CHILL_FOR_TARGET): Obsolete.
	(CHILL_LIB): Obsolete.
	(SFILES): Remove ch-exp.c, ch-lang.c, ch-typeprint.c and
	ch-valprint.c.
	(HFILES_NO_SRCDIR): Remove ch-lang.h.
	(COMMON_OBS): Remove ch-valprint.o, ch-typeprint.o, ch-exp.o and
	ch-lang.o.
	(ch-exp.o, ch-lang.o, ch-typeprint.o, ch-valprint.o): Delete
	targets.

2002-07-31  Joel Brobecker  <brobecker@gnat.com>

	* dwarf2read.c (set_cu_language): Add handler for LANG_Ada95.
	This does not change anything at the moment, but will be helpful
	later when full Ada support is integrated.

2002-07-31  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (_initialize_mips_tdep): Add "n64" to "set mips abi"
	help message.

2002-07-31  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (mips_push_arguments): Fetch gdbarch_tdep struct
	and save it in a local variable.  Use variable in later test.

2002-07-31  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (mips_find_abi_section): Add N64 ABI recognition
	test.  (Thanks to Daniel Jacobowitz.)
	
2002-07-31  Kevin Buettner  <kevinb@redhat.com>

	* mips-tdep.c (enum mips_abi): Add MIPS_ABI_N64.
	(mips_abi_strings): Add "n64".
	(mips_gdbarch_init): Add test for n64 abi.  Add MIPS_ABI_N64 case.

2002-07-31  Kevin Buettner  <kevinb@redhat.com>

	* config/mips/tm-irix6.h (MIPS_REGSIZE): Define to be 8.
	(REGISTER_VIRTUAL_TYPE): Some registers are now 64 bits wide.

2002-07-31  Kevin Buettner  <kevinb@redhat.com>

	* utils.c (host_pointer_to_address, address_to_host_pointer):
	Use gdb_assert() instead of explicit call to internal_error().

2002-07-30  Kevin Buettner  <kevinb@redhat.com>

	* Makefile.in (rs6000-nat.o): Update dependencies.

	From Nicholas Duffek:
	* Makefile.in (ALLDEPFILES): Add aix-thread.c.
	(aix-thread.o): New rule.
	* configure.host (gdb_host): Set to aix432 on AIX 4.3.2+.
	* config/powerpc/aix432.mh: New file.

2002-07-30  Daniel Jacobowitz  <drow@mvista.com>

	* ppc-linux-tdep.c (ELF_NGREG, ELF_NFPREG, ELF_NVRREG)
	(ELF_FPREGSET_SIZE, ELF_GREGSET_SIZE): New enums.
	(fetch_core_registers, ppc_linux_supply_gregset)
	(ppc_linux_supply_fpregset): New functions.
	(ppc_linux_regset_core_fns): New.
	(_initialize_ppc_linux_tdep): Call add_core_fns.
	* ppc-tdep.h: Add prototypes for ppc_linux_supply_fpregset
	and ppc_linux_supply_gregset.
	* ppc-linux-nat.c (supply_gregset): Call ppc_linux_supply_gregset.
	(supply_fpregset): Call ppc_linux_supply_fpregset.
	* config/powerpc/linux.mh (NATDEPFILES): Remove core-regset.o and
	corelow.o.
	* config/powerpc/linux.mt (TDEPFILES): Add corelow.o.

2002-07-30  Daniel Jacobowitz  <drow@mvista.com>

	* symtab.c (lookup_symbol): Demangle before lowercasing.

2002-07-30  Andrew Cagney  <ac131313@redhat.com>

	* symtab.h: Replace #include "gdb_obstack.h" with opaque
	declaration.
	* cli/cli-cmds.c, cli/cli-script.c: Include "gdb_string.h".
	* gnu-v3-abi.c, arc-tdep.c, cli/cli-decode.c: Ditto.
	* avr-tdep.c, mon960-rom.c, i960-tdep.c: Ditto.
	* arch-utils.c, cli/cli-setshow.c: Unconditionally include
	"gdb_string.h".
	* Makefile.in (cli-script.o, cli-cmds.o): Update dependencies.
	(gnu-v3-abi.o, cli-setshow.o, i960-tdep.o): Ditto.
	(cli-decode.o, mi-cmd-var.o, mi-cmd-disas.o): Ditto.
	(avr-tdep.o, mon960-rom.o): Ditto.
	(aout_stabs_gnu_h): Define.
	(symtab_h): Remove $(gdb_obstack_h).

2002-07-30  Jim Blandy  <jimb@redhat.com>

	Patch from David Carlton <carlton@math.stanford.edu>:
	* gdbinit.in: Move the `dir' commands that add GDB's own source
	directory to the search path to the end, so that the `gdb' source
	directory will be searched first.

2002-07-29  Andrew Cagney  <ac131313@redhat.com>

	* gdb_obstack.h: New file.
	* symtab.h: Include "gdb_obstack.h" instead of "obstack.h".
	(obstack_chunk_alloc, obstack_chunk_free): Delete macros.
	* objfiles.h: Include "gdb_obstack.h".
	* Makefile.in (gdb_obstack_h): Define.
	(symtab_h): Add $(gdb_obstack_h).
	(objfiles_h): Add $(gdb_obstack_h).
	
	* objfiles.c: Include "gdb_obstack.h" instead of "obstack.h".
	* macrotab.c, cp-valprint.c, dbxread.c: Ditto.
	* ch-typeprint.c, ch-valprint.c, dstread.c: Ditto.
	* macroexp.c, p-typeprint.c, stabsread.c: Ditto.
	* symtab.c, f-typeprint.c, mdebugread.c: Ditto.
	* p-valprint.c, symmisc.c, typeprint.c: Ditto.
	* symfile.c, coffread.c, c-typeprint.c: Ditto.
	* buildsym.c, bcache.c, ada-typeprint.c: Ditto.

	* Makefile.in (bcache.o): Update dependencies.
	(buildsym.o, c-typeprint.o, ch-typeprint.o): Ditto.
	(ch-valprint.o, coffread.o, cp-valprint.o): Ditto.
	(dbxread.o, dstread.o, f-typeprint.o): Ditto.
	(objfiles.o, p-typeprint.o, p-valprint.o): Ditto.
	(stabsread.o, symfile.o, symmisc.o): Ditto.
	(symtab.o, typeprint.o, macroexp.o): Ditto.
	(macrotab.o, mdebugread.o): Ditto.
	(f_lang_h, coff_sym_h, coff_symconst_h): Define.
	(coff_ecoff_h, aout_aout64_h): Define.
	(aout_stabs_gnu_h, libaout_h): Define.

2002-07-29  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (struct regcache_descr): Rename nr_registers to
	nr_cooked_registers.  Revise comments describing the structure
	member fields.
	(init_regcache_descr): Update.
	(init_legacy_regcache_descr): Update.
	(read_register_gen, write_register_gen): When a cooked register in
	the raw register range, directly access the value from the raw
	register cache.

2002-07-29  Andrew Cagney  <ac131313@redhat.com>

	* z8k-tdep.c: Do not include "obstack.h".
	* h8300-tdep.c, h8500-tdep.c: Ditto.
	* m68hc11-tdep.c, sh-tdep.c: Ditto.
	* valprint.c, v850-tdep.c: Ditto.
	* d10v-tdep.c, mn10300-tdep.c: Ditto.
	* mn10200-tdep.c: Ditto.

	* Makefile.in (z8k-tdep.o): Update dependencies.
	(m68hc11-tdep.o, valprint.o): Ditto.
	(v850-tdep.o, d10v-tdep.o): Ditto.
	(mn10300-tdep.o, sparc-tdep.o): Ditto.
	(sh-tdep.o, h8500-tdep.o, h8300-tdep.o): Ditto.
	(m32r-tdep.o, mn10200-tdep.o): Specify dependencies.
	(sh_opc_h, gdb_sim_sh_h): Define.
	(elf_sh_h, elf_bfd_h): Define.
	(opcode_m68hc11_h): Define.
	(OPCODES_SRC, OPCODES_DIR): define.
	(OPCODES): Use $(OPCODES_DIR).
	(gdb_sim_d10v_h): Rename sim_d10v_h.
	(gdb_sim_arm_h): Rename sim_arm_h.

2002-07-26  Kevin Buettner  <kevinb@redhat.com>

	* utils.c (host_pointer_to_address, address_to_host_pointer):
	Change internal_error() message to indicate function responsible
	for the error.

2002-07-26  Kevin Buettner  <kevinb@redhat.com>

	* ui-out.c (ui_out_field_core_addr): Remove unnecessary cast in
	calls to local_hex_string_custom().

2002-07-26  Kevin Buettner  <kevinb@redhat.com>

	* irix5-nat.c: Move IRIX shared library support from here...
	* solib-irix.c: ...to here.  Revised substantially to work with
	generic solib framework.

	* osabi.h (gdb_osabi): Add new enum constant GDB_OSABI_IRIX.
	* osabi.c (gdb_osabi_names): Add corresponding string for Irix.
	* mips-irix-tdep.c: New file.

	* Makefile.in (ALLDEPFILES): Add mips-irix-tdep.c and solib-irix.c.
	(mips-irix-tdep.o, solib-irix.o): New rules.
	* config/mips/irix5.mt (TDEPFILES): Add mips-irix-tdep.o, solib.o,
	solib-irix.o.
	* config/mips/irix6.mt (TDEPFILES): Likewise.
	* config/mips/irix6.mh (NATDEPFILES): Remove solib.o.

2002-07-26  Kevin Buettner  <kevinb@redhat.com>

	* aix-thread.c (coff/internal.h, bfd/libcoff.h, pthread.h): Remove
	disabled (via ``#if 0'') includes.

2002-07-26  Kevin Buettner  <kevinb@redhat.com>

	* aix-thread.c (special_register_p, supply_sprs64, supply_sprs32)
	(fetch_regs_user_thread, fetch_regs_kernel_thread, fill_sprs64)
	(fill_sprs32, store_regs_user_thread, store_regs_kernel_thread):
	Add support for the fpscr register.
	* rs6000-nat.c (regmap, fetch_inferior_registers)
	(store_inferior_registers, fetch_core_registers): Likewise.

2002-07-26  Kevin Buettner  <kevinb@redhat.com>

	* rs6000-nat.c (language.h): Include.
	(special_regs): Delete this array.
	(regmap): New function.
	(fetch_register, store_register):  Use regmap() to map gdb
	register numbers to ptrace register numbers.  Also, use
	outputs from regmap() to make decisions regarding type of
	ptrace() call to make.  In particular, don't compare against
	FIRST_UISA_SP_REGNUM or LAST_UISA_SP_REGNUM.
	(fetch_inferior_registers, store_inferior_registers): Where
	possible, obtain register numbers from tdep struct.  Don't
	refer to FIRST_UISA_SP_REGNUM or LAST_UISA_SP_REGNUM.
	* config/rs6000/tm-rs6000.h (FIRST_UISA_SP_REGNUM)
	(LAST_UISA_SP_REGNUM): Delete.
	
2002-07-25  Kevin Buettner  <kevinb@redhat.com>

	* rs6000-nat.c (ppc-tdep.h): Include.
	(fetch_registers, store_register, fetch_core_registers): Don't
	access registers[] directly.  Instead, use supply_register() or
	regcache_collect() as appropriate.
	(find_toc_address): Format hex address with local_hex_string().

2002-07-25  Andrew Cagney  <ac131313@redhat.com>

	* config/djgpp/fnchange.lst: Rename bfd/elf32-fr30.c and
	bfd/elf32-frv.c.

2002-07-24  Tom Tromey  <tromey@redhat.com>

	* jv-exp.y: Marked all strings with _().
	(ClassInstanceCreationExpression, ArrayCreationExpression): Use
	internal_error.
	(MethodInvocation, CastExpression, parse_number, yyerror,
	java_type_from_name, push_expression_name, yylex): Typo fixes.

2002-07-24  Daniel Jacobowitz  <drow@mvista.com>

	* ui-file.c (struct tee_file, tee_file_new, tee_file_delete)
	(tee_file_flush, tee_file_write, tee_file_fputs)
	(tee_file_isatty): New.
	* ui-file.h (tee_file_new): Add prototype.

2002-07-24  Aidan Skinner <aidan@velvet.net>

	* ada-lang.c: Change k&r style function definitions to prototyped
	form.
	* ada-typeprint.c: Change k&r style function definitions to prototyped
	form.
	* ada-valprint.c: Change k&r style function definitions to prototyped
	form.
	
2002-07-24  Andrew Cagney  <cagney@redhat.com>

	* README: Remove reference to remote-bug.
	* Makefile.in (ALLDEPFILES): Remove m88k-nat.c, m88k-tdep.c and
	remote-bug.c.
	(m88k-nat.o): Delete rule.
	(m88k-tdep.o): Delete rule.
	(remote-bug.o): Delete rule.
	* MAINTAINERS: Mark as obsolete.
	* elfread.c (elf_symtab_read): Mention that m88k is obsolete.
	* m88k-tdep.c: Make file obsolete.
	* config/m88k/m88k.mh: Ditto.
	* config/m88k/delta88v4.mh: Ditto.
	* config/m88k/delta88v4.mt: Ditto.
	* config/m88k/delta88.mt: Ditto.
	* config/m88k/delta88.mh: Ditto.
	* remote-bug.c: Ditto.
	* config/m88k/tm-delta88.h: Ditto.
	* config/m88k/nm-delta88v4.h: Ditto.
	* config/m88k/xm-delta88.h: Ditto.
	* config/m88k/xm-dgux.h: Ditto.
	* config/m88k/tm-m88k.h: Ditto.
	* config/m88k/nm-m88k.h: Ditto.
	* config/m88k/tm-delta88v4.h: Ditto.
	* m88k-nat.c: Ditto.
	* cxux-nat.c: Ditto.
	* configure.host: Make m88*-motorola-sysv4*, m88*-motorola-sysv*
	and m88*-*-* obsolete.
	* configure.tgt: Make m88*-motorola-sysv4*, m88*-motorola-* and
	m88*-*-* obsolete.

2002-07-24  Andrew Cagney  <cagney@redhat.com>

	* findvar.c (extract_unsigned_integer): Make `addr' parameter
	constant.  Same for local pointer variables.
	(extract_signed_integer): Ditto.
	* defs.h (extract_unsigned_integer): Update.
	(extract_signed_integer): Update.

2002-07-24  Andrew Cagney  <cagney@redhat.com>

	* regcache.c (regcache_raw_write): Change buf parameter to a
	constant void pointer.
	(regcache_raw_read): Change buf parameter to a void pointer.
	(legacy_write_register_gen): Change myaddr parameter a constant
	void pointer.
	(supply_register): Change val parameter to a const void pointer.
	* regcache.h (regcache_raw_write): Update declaration.
	(regcache_raw_read): Update declaration.
	(supply_register): Update declaration.

2002-07-24  Tom Tromey  <tromey@redhat.com>

	* defs.h (gdb_readline_wrapper): Declare.
	* utils.c (prompt_for_continue): Use gdb_readline_wrapper.
	* tracepoint.c (read_actions): Use gdb_readline_wrapper.
	* top.c (gdb_readline_wrapper): New function.
	(command_line_input): Use it.

2002-07-24  Andrew Cagney  <cagney@redhat.com>

	* regcache.h (regcache_raw_read, regcache_raw_write): Replace
	regcache_read and regcache_write.
	(regcache_raw_read_as_address): Replace regcache_read_as_address.
	* regcache.c: Update.
	* sh-tdep.c (sh64_push_arguments): Update comment.
	(sh_pseudo_register_read): Update.
	(sh_pseudo_register_write): Update.
	(sh4_register_read): Update.
	(sh4_register_write): Update.
	(sh64_pseudo_register_read): Update.
	(sh64_pseudo_register_write): Update.
	(sh64_register_read): Update.
	(sh64_register_write): Update.
	* i386-tdep.c (i386_extract_return_value): Update.
	(i386_extract_struct_value_address): Update.
	(i386_extract_return_value): Update.
	* blockframe.c (generic_read_register_dummy): Update.
	(generic_call_dummy_register_unwind): Update
	* infrun.c (write_inferior_status_register): Update.

2002-07-23  Jim Blandy  <jimb@redhat.com>

	* parser-defs.h (expression_context_pc): Make this extern.
	(Thanks to Michael Snyder.)

2002-07-23  Andrew Cagney  <ac131313@redhat.com>

	GDB 5.2.1 released from 5.2 branch.
	* NEWS: Mention changes in 5.2.1 including addition of AVR target.
	* README: Update to mention 5.2.1.

2002-07-23  Mark Salter  <msalter@redhat.com>

	* remote.c (remote_read_bytes): Fix check for error.

2002-07-22  Kevin Buettner  <kevinb@redhat.com>

	* aix-thread.c (language.h): Include.
	(ptrace_check, pdc_symbol_addrs, pdc_read_regs, pdc_write_regs)
	(pdc_read_data, pdc_write_data, pdc_alloc, pdc_realloc, pdc_dealloc):
	Print newlines at end of debug messages.
	(pdc_symbol_addrs, pdc_read_regs, pdc_write_regs, pdc_read_data)
	(pdc_write_data): Use local_hex_string() instead of %llx formats.

2002-07-22  Kevin Buettner  <kevinb@redhat.com>

	* aix-thread.c (ppc-tdep.h): Include.
	(special_register_p): New function.
	(supply_sprs64, supply_sprs32, fill_sprs64, fill_sprs32)
	(store_regs_user_thread): Use register number information from
	gdbarch_tdep struct instead of hardcoded offsets relative to
	FIRST_UISA_SP_REGNUM.
	(fetch_regs_kernel_thread, store_regs_kernel_thread):  Call
	special_register_p() instead of using FPLAST_REGNUM and
	LAST_UISA_SP_REGNUM as lower and upper bounds on the special
	register numbers.  Also, don't assume that LAST_UISA_SP_REGNUM
	will be MQ's register number.

2002-07-22  Michael Snyder  <msnyder@redhat.com>

	* aix-thread.c (ops): Rename to aix_thread_ops.
	(base_ops): Rename to base_target.
	(ops_attach): Rename to aix_thread_attach.
	(ops_detach): Rename to aix_thread_detach.
	(ops_resume): Rename to aix_thread_detach.
	(ops_wait):   Rename to aix_thread_wait.
	(ops_kill):   Rename to aix_thread_kill.
	(init_ops):   Rename to init_aix_thread_ops.
	(ops_fetch_register): Rename to aix_thread_fetch_register.
	(ops_store_register): Rename to aix_thread_store_register.
	(ops_mourn_inferior): Rename to aix_thread_mourn_inferior.
	(ops_thread_alive):   Rename to aix_thread_thread_alive.
	(ops_extra_thread_info: Rename to aix_thread_extra_thread_info.
	(ops_pid_to_str):  Rename to aix_thread_pid_to_str.
	(ops_xfer_memory): Rename to aix_thread_xfer_memory.
	(fetch_regs_lib):  Rename to fetch_regs_user_thread.
	(fetch_regs_kern): Rename to fetch_regs_kernel_thread.
	(store_regs_lib):  Rename to store_regs_user_thread.
	(store_regs_kern): Rename to store_regs_kernel_thread.

2002-07-22  Michael Snyder  <msnyder@redhat.com>

	* aix-thread.c (ops_prepare_to_store): Eliminate.
	(init_ops): Don't initialize ops.prepare_to_store.
	(store_regs_kern): Pre-fetch register buffers from child, 
	because some registers may not be in the cache.  Copy
	regs from register cache only if they are cached.
	(store_regs_lib): Copy regs from register cache only
	if they are cached.
	(fill_sprs32, (fill_sprs64, fill_fprs, fill_gprs32,
	fill_gprs64): Ditto.

2002-07-22  Kevin Buettner  <kevinb@redhat.com>

	* aix-thread.c (gdb_assert.h): Include.
	(fill_sprs64, fill_sprs32): Add selected asserts to make sure that
	register sizes (from register cache) match size of buffer holding
	register data.
	(fill_sprs32): Change parameter types to match those in the ptrace()
	buffer.
	(store_regs_lib): Likewise, but for 32-bit temporary variables.
	(ops_prepare_to_store): Rename loop variable ``i'' to ``regno''.

2002-07-22  Michael Snyder  <msnyder@redhat.com>

	* aix-thread.c (supply_sprs64): Cosmetic change.
	(supply_sprs32): Cosmetic change.
	(fill_gprs64, fill_gprs32, fill_fprs, fill_sprs32): New funcs.
	(fill_sprs64): Use regcache_collect instead of read_register.
	(store_regs_lib): Use regcache_collect instead of 
	read_register.  Use fill_sprs32 instead of fill_sprs64,
	if debugging a 32-bit architecture.
	(store_regs_kern): Use fill_gprs64 etc. to pull the values
	out of the register cache, instead of passing a pointer into
	the register cache directly to ptrace.  Use regcache_collect
	insteaad of read_register.
	(ops_prepare_to_store): Use target_read_registers instead
	of read_register_bytes.

2002-07-20  Aidan Skinner <aidan@velvet.net>

	* MAINTAINERS: Add self under write after approval. 
		
2002-07-20  Aidan Skinner <aidan@velvet.net>

	* ada-tasks.c: Change k&r style function definitions to prototyped
	form.
		
2002-07-19  Andrew Cagney  <ac131313@redhat.com>

	* Makefile.in (x86-64-tdep.o): Add $(objfiles_h).
	* x86-64-tdep.c: Include "objfiles.h".
	(x86_64_gdbarch_init): Set in_solib_call_trampoline to
	in_plt_section.  From 2002-07-18 Michal Ludvig <mludvig@suse.cz>.

2002-07-17  Michal Ludvig  <michal@suse.cz>

	* dwarf2cfi.c (execute_stack_op): Complain on unknown DW_OP_ value.
	(update_context): Initialise cfa variable.

2002-07-17  Michael Snyder  <msnyder@redhat.com>

	* aix-thread.c: Shorten some long lines.  
	Bring comments into line with code spec.

2002-07-18  Joel Brobecker  <brobecker@gnat.com>

	* infrun.c: Re-indent using gdb_indent.sh.

2002-07-18  Joel Brobecker  <brobecker@gnat.com>

	* infrun.c (handle_inferior_event): Remove unneeded extra brace.
	Leave the indentation temporarily untouched, to minimize the diffs.

2002-07-18  Elena Zannoni  <ezannoni@redhat.com>

	* stabsread.c: Make os9k sections of the code obsolete,
	for real this time.
	* stabsread.h: Make os9k sections of the code obsolete.

2002-07-18  Michal Ludvig <mludvig@suse.cz>

	* linux-low.c (regsets_store_inferior_registers): Add free()
	at the end of a loop to prevent memory leak.
	* linux-x86-64-low.c (x86_64_regmap): Add CS, SS registers.
	(X86_64_NUM_GREGS): Count it from the size of x86_64_regmap.
	* config/sparc/tm-sp64linux.h: Make the rest of #endif
	line a comment.
	* Makefile.in (x86-64-linux-nat.o): Remove dependency on i387-tdep.h

2002-07-17  Jim Blandy  <jimb@redhat.com>

	* macrocmd.c (info_macro_command): Remove newline from error
	message.

2002-07-17  J"orn Rennecke <joern.rennecke@superh.com>

	* sh-tdep.c (sh_dsp_register_sim_regno): New function.
	(sh_gdbarch_init): Use it for sh-dsp.

2002-07-16  Kevin Buettner  <kevinb@redhat.com>

	* dwarf2read.c (read_initial_length): Handle older, non-standard,
	64-bit DWARF2 format.

2002-07-16  Joel Brobecker  <brobecker@gnat.com>

	* proc-api.c: use HAVE_SYS_PROC_H macro to avoid including
	<sys/proc.h> when not available.

2002-07-16  Andrew Cagney  <ac131313@redhat.com>

	* NEWS: Mention that the i[34]86-*-os9k has been made obsolete.
	* stabsread.c: Make os9k sections of the code obsolete.
	* configure.tgt: Make i[3456]86-*-os9k target obsolete.
	* config/i386/i386os9k.mt: Make file obsolete.
	* Makefile.in (ALLDEPFILES): Remove remote-os9k.c.
